commit 61404bd5022b913f58ecda8dc9e8922b4fc6f80b
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 27 15:44:52 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jul 1 03:24:33 2006 +0200

    Update version to 1.2.0 and add notes to NEWS file.
    
    Also update libtool version information to 11:0:9.

 NEWS         | 40 ++++++++++++++++++++++++++++++++++++++++
 ROADMAP      |  8 ++++----
 configure.in |  8 ++++----
 3 files changed, 48 insertions(+), 8 deletions(-)

commit cea70741e851993fe181a76872fb97549d0769d5
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jul 1 03:24:21 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jul 1 03:24:21 2006 +0200

    Add src/cairo-features.h and test/*.ps to CLEANFILES

 src/Makefile.am  | 2 +-
 test/Makefile.am | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 55b5fedbc1df32e4dc9d1fccf40e12e14f7b6cd0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jul 1 02:54:22 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jul 1 03:06:26 2006 +0200

    Add many references images (and a font) missing from EXTRA_DIST

 test/Makefile.am | 77 +++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 74 insertions(+), 3 deletions(-)

commit 3d4a8fd741df328bd969454791163bc945d3ad8b
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jul 1 02:53:26 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jul 1 02:53:26 2006 +0200

    Don't remove INSTALL during maintainer-clean

 Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit cfddf93afb692819548adb85c5b75f60be7e7349
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Sat Jul 1 01:55:12 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Sat Jul 1 02:07:28 2006 +0200

    Make CAIRO_EXTEND_REFLECT and CAIRO_EXTEND_PAD not crash on surface patterns,
    
    but return error.

 src/cairo-surface.c | 30 ++++++++++++++++++++++++++++++
 src/cairo.h         |  5 +++--
 2 files changed, 33 insertions(+), 2 deletions(-)

commit 01b1f3572c3c15a08dd6f32788106c0e42fd2436
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 30 22:01:24 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Sat Jul 1 02:07:28 2006 +0200

    Detect and report crashes in tests.

 test/cairo-test.c | 59 +++++++++++++++++++++++++++++++++++++++++++------------
 test/cairo-test.h |  3 ++-
 2 files changed, 48 insertions(+), 14 deletions(-)

commit 19c4700101bfce7d73a50017021b4ec198ddd783
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jul 1 01:05:30 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jul 1 01:05:30 2006 +0200

    Even _more_ valgrind suppresions for Xrm (XrmGetFileDatabase this time)

 test/.valgrind-suppressions | 190 ++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 176 insertions(+), 14 deletions(-)

commit 84b06eed4e53eb34b0ec378216fa246286998acd
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jul 1 00:47:59 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jul 1 00:47:59 2006 +0200

    SVG: Fix leak in _cairo_svg_surface_mask

 src/cairo-svg-surface.c | 1 +
 1 file changed, 1 insertion(+)

commit 35ec5747ca5eb8a63ec334d61eb13357b4aa3802
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jul 1 00:38:06 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jul 1 00:38:06 2006 +0200

    Add yet another XrmGetStringDatabase valgrind suppression.

 test/.valgrind-suppressions | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 80cb0d5ba1e3622b4b71639cf03e7dc277cbb457
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jul 1 00:37:44 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jul 1 00:37:44 2006 +0200

    Fix some leaks in the test suite itself.

 test/cairo-test.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 14e7883fae58e51c2deab5b97c9a405c5dbb3aeb
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jul 1 00:00:43 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jul 1 00:00:43 2006 +0200

    Fix a memory leak by removing accidentally duplicated code.

 test/cairo-test.c | 5 -----
 1 file changed, 5 deletions(-)

commit 8919b6b3243db5db59a73f804854364a00a8586d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 30 23:24:23 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 23:24:23 2006 +0200

    Add valgrind suppressions for pthread initialization still reachable/possibly lost memory

 test/.valgrind-suppressions | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

commit 98cc1651cf19699a0c90e8e2e7f2c2da2ae83760
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 30 23:21:06 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 23:21:06 2006 +0200

    Add valgrind suppressions for still-reachable memory from XGetDefault and XrmGetStringDatabase

 test/.valgrind-suppressions | 142 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 142 insertions(+)

commit f6b10a6aabb121e1a4ca092ca175aad39b3c828d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 30 23:06:56 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 23:06:56 2006 +0200

    Add another suppression due to mysterious occurences in libc

 test/.valgrind-suppressions | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit c6c943f3cfefa535e6c2da6adcac15507a8f0952
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 30 23:00:39 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 23:00:39 2006 +0200

    ps: Fix to not walk off the end of the data array.
    
    This fixes a bug recently introduced with the special case for the ~> sequence.

 src/cairo-ps-surface.c | 1 +
 1 file changed, 1 insertion(+)

commit 0853ccd05314d618afd0d640a33f0a744842a0d2
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 30 22:58:36 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 22:58:36 2006 +0200

    Add new libz/libpng suppressions.
    
    It would appear we have to keep updating these for new library versions.

 test/.valgrind-suppressions | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit ee75e1e6853ada5c4218788148e2f5a09669a2b3
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 30 17:07:42 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 17:07:42 2006 +0200

    Add ps-specific reference image for test/degenerate-path

 test/degenerate-path-ps-argb32-ref.png | Bin 0 -> 197 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit e0db22c6bc40d4576d9c1131d3192f1df3b942ca
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 30 16:54:16 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 16:54:16 2006 +0200

    ps: Fix degenerate-path test failure.
    
    This is as simple as simply not emitting any degenerate sub-paths when the cap
    style is CAIRO_LINE_CAP_SQUARE or CAIRO_LINE_CAP_BUTT.

 src/cairo-ps-surface.c | 84 ++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 68 insertions(+), 16 deletions(-)

commit 057c0abeea1ee80c7156be5a1c15594765d88fe0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 30 16:07:11 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 16:10:54 2006 +0200

    ps: Fix transformation of source surfaces.
    
    This makes the following four tests pass, (which were previously
    failing on the ps backend).
    
            move-to-show-surface
            scale-source-surface-paint
            source-surface-scale-paint
            translate-show-surface

 src/cairo-ps-surface.c | 63 +++++++++++++++++++++++++++++++-------------------
 1 file changed, 39 insertions(+), 24 deletions(-)

commit 54ce585817d78ffeeb0ba6b03b868e63b9552cb8
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 23:34:29 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 16:10:54 2006 +0200

    Update PDF-specific reference image for scale-source-surface-paint

 test/scale-source-surface-paint-pdf-argb32-ref.png | Bin 152 -> 182 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit a6fc321d1793e97e4601429a98c36bed9af365a0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 23:28:48 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 16:10:54 2006 +0200

    Add PDF-specific reference image for paint-source-alpha

 test/paint-source-alpha-pdf-argb32-ref.png | Bin 0 -> 475 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit aaef92f8307fedd864fca66054b06c8bfe7ae40d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 23:27:05 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 30 16:10:53 2006 +0200

    Add PDF-specific reference image for composite-integer-translate-over

 .../composite-integer-translate-over-pdf-argb32-ref.png | Bin 0 -> 12946 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 45ebf2d1f3c6cb4588c3bebf6acf1818eb723515
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 30 01:45:47 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 30 02:21:51 2006 +0200

    Fix an oops.

 src/cairo-xlib-surface.c | 2 --
 1 file changed, 2 deletions(-)

commit e5d18d7696eb9a48369b89517738dbaa101106d7
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 30 01:44:55 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 30 02:21:51 2006 +0200

    Use $no_x in configure.in.

 configure.in | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 6c3deb0be1b9d6db0104af02fb193849a8329133
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 30 01:33:14 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 30 02:21:51 2006 +0200

    Minor doc syntax fixes.

 src/cairo-surface.c | 2 +-
 src/cairo.h         | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8860263c6a18a0b196e2b462a538dfc166fbea04
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 30 01:29:54 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 30 02:21:50 2006 +0200

    Remove CAIRO_SVG_VERSION_LAST from public header file.

 src/cairo-svg-surface.c |  8 ++++++--
 src/cairo-svg.h         | 13 ++++++++++---
 2 files changed, 16 insertions(+), 5 deletions(-)

commit 6672529541e01b0da53fff279cb1f8030c931ffb
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 30 00:58:01 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 30 02:21:50 2006 +0200

    Hook some more symbols into docs.

 doc/public/cairo-sections.txt | 3 +++
 1 file changed, 3 insertions(+)

commit 66436d132772af627447a929ced3a8a18cc6915f
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 30 00:46:48 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 30 02:21:50 2006 +0200

    Update lots of docs.

 doc/public/Makefile.am        |  9 ++++-
 doc/public/cairo-sections.txt | 90 ++++++++++++++++++++++++-------------------
 src/cairo-pdf-surface.c       | 10 ++---
 src/cairo-ps-surface.c        | 16 ++++----
 src/cairo-svg-surface.c       | 14 +++----
 src/cairo-win32-font.c        | 19 ++++++++-
 src/cairo-win32-surface.c     |  3 ++
 src/cairo-xlib-surface.c      | 72 ++++++++++++++++++++++++++++++++++
 src/cairo.h                   | 18 ++++-----
 9 files changed, 177 insertions(+), 74 deletions(-)

commit de939f52061ba9a1c739c193e3e4f549668855cc
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Thu Jun 29 18:54:02 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 30 02:21:50 2006 +0200

    Require gtk-doc 1.6, and make it ignore cairo_public and cairo_private
    
    decorators.

 configure.in           | 2 +-
 doc/public/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 647ca37ca3d4b1954f7400deeeaaf245b5c90e69
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Thu Jun 29 18:47:35 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 30 02:21:50 2006 +0200

    Mark enum additions as "Since 1.2" too.

 src/cairo.h | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 320ce67d630e4aac1f0007982aef27c831b04b66
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Thu Jun 29 18:36:53 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 30 02:21:49 2006 +0200

    Add "Since: 1.2" to docs for most new API functions.

 src/cairo-font.c          |  2 ++
 src/cairo-image-surface.c |  6 ++++++
 src/cairo-pattern.c       |  2 ++
 src/cairo-pdf-surface.c   |  6 ++++++
 src/cairo-ps-surface.c    | 14 +++++++++++++-
 src/cairo-scaled-font.c   | 12 ++++++++++++
 src/cairo-surface.c       | 14 +++++++-------
 src/cairo-svg-surface.c   | 14 ++++++++++----
 src/cairo.c               | 14 ++++++++++++++
 9 files changed, 72 insertions(+), 12 deletions(-)

commit bd92eb7f3c58fdcbe05f67b9a879798246c616bc
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 19:47:26 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 29 21:33:34 2006 +0200

    Move device_transform of path to before floating->fixed conversion.
    
    This is an attempt to fix the following bug:
    
            http://bugzilla.gnome.org/show_bug.cgi?id=332266
    
    With the recent rewrite of the device-offset code, which pushed things
    from the gstate to the surface layer, the 16-bit limitations on coordinates
    which previously applied to device space only, have lately been applying to
    user space. This commit moves the device_transform back up above the conversion
    from floating-point to fixed-point values so that once again the limitation
    only applies to device space.

 src/cairo-clip.c             | 10 --------
 src/cairo-gstate.c           |  8 ++++---
 src/cairo-surface-fallback.c |  1 +
 src/cairo-surface.c          | 54 +++++++++++++++++++-------------------------
 src/cairo-xlib-surface.c     |  1 +
 src/cairoint.h               |  1 +
 6 files changed, 31 insertions(+), 44 deletions(-)

commit 29caf8915f822778f0e59add7d364a03bcdb8327
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Thu Jun 29 16:09:46 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Thu Jun 29 16:09:46 2006 +0200

    Fix support for non-pkg-config cflags and libs (needed for supporting
    freetype-config)

 configure.in            | 20 ++++++++++++--------
 src/cairo-backend.pc.in |  4 ++--
 2 files changed, 14 insertions(+), 10 deletions(-)

commit 195b1142e7a1652e0f65cfd822bba7ea8b6ba505
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Thu Jun 29 15:22:44 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Thu Jun 29 15:22:44 2006 +0200

    Prefix "cairo_*_test_*" symbols with underscore.

 src/cairo-pdf-surface.c      | 4 ++--
 src/cairo-pdf-test.h         | 4 ++--
 src/cairo-ps-surface.c       | 4 ++--
 src/cairo-ps-test.h          | 4 ++--
 src/cairo-scaled-font-test.h | 4 ++--
 src/cairo-scaled-font.c      | 2 +-
 src/cairo-svg-surface.c      | 4 ++--
 src/cairo-svg-test.h         | 4 ++--
 src/cairo-xlib-surface.c     | 4 ++--
 src/cairo-xlib-test.h        | 4 ++--
 test/fallback-resolution.c   | 6 +++---
 test/glyph-cache-pressure.c  | 2 +-
 test/xlib-surface.c          | 2 +-
 13 files changed, 24 insertions(+), 24 deletions(-)

commit f26da6c464c60ab2ed87175ab0a9b81e3cf363fb
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Thu Jun 29 12:32:58 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Thu Jun 29 12:32:58 2006 +0200

    Remove cairo_public from source files.

 src/cairo-atsui-font.c  | 2 +-
 src/cairo-svg-surface.c | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8effd25c1b05607ff6501821f1d80745677d8e72
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 06:25:24 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 29 06:25:24 2006 +0200

    Update PDF and PS reference images for test/text-pattern.

 test/text-pattern-pdf-argb32-ref.png | Bin 0 -> 1632 bytes
 test/text-pattern-ps-argb32-ref.png  | Bin 0 -> 1681 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit a64b946ee0512d85d3c790c67aad8a882c5c3533
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 06:24:44 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 29 06:24:44 2006 +0200

    Mark test/leaky-dash as an expected failure.

 test/Makefile.am  | 1 +
 test/leaky-dash.c | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 734e10709f5c62c0b64e51a03df8e109e7eebe0d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 06:12:48 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 29 06:12:48 2006 +0200

    Add several more stress tests to test/dash-zero-length

 test/dash-zero-length-ps-argb32-ref.png | Bin 214 -> 272 bytes
 test/dash-zero-length-ref.png           | Bin 235 -> 238 bytes
 test/dash-zero-length-rgb24-ref.png     | Bin 222 -> 218 bytes
 test/dash-zero-length.c                 |  85 +++++++++++++++++++++-----------
 4 files changed, 56 insertions(+), 29 deletions(-)

commit 8aa306caac99ebe074a6cde8b424b1780cafefee
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 05:13:37 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 29 06:12:08 2006 +0200

    PS: Fix for dash-zero-length

 src/cairo-ps-surface.c | 79 +++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 75 insertions(+), 4 deletions(-)

commit 7285499700a4f0f4bb95f003d0c730246bf3eabd
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 05:07:51 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 29 05:07:51 2006 +0200

    Squelch some bogus compiler warnings about possibly uninitialized values.

 pixman/src/fbcompose.c  | 9 +++++----
 src/cairo-font-subset.c | 4 ++--
 2 files changed, 7 insertions(+), 6 deletions(-)

commit 20e3a99bbaa2624ecad7b505158edc8dce706ea8
Author:     Keith Packard <keithp@neko.keithp.com>
AuthorDate: Thu Jun 29 04:10:35 2006 +0200
Commit:     Keith Packard <keithp@neko.keithp.com>
CommitDate: Thu Jun 29 04:10:35 2006 +0200

    Skip TrueType font output for PS/PDF until it handles vertical layout.
    
    The TrueType font subsetting code fails to emit VHEA/VMTX headers for the
    font, so WMode 1 doesn't work to switch to vertical metrics. Added a bug
    about this, and changed the PS/PDF output code to just use Type3 in this
    case until the bug is fixed. Updated the reference images to match the
    output for PDF/PS backends for the vertical font check.

 BUGS                                            |   7 +++++++
 src/cairo-font-subset.c                         |   3 +++
 src/cairo-ft-font.c                             |  16 +++++++++++++++-
 src/cairo-ft-private.h                          |   3 +++
 test/ft-text-vertical-layout-pdf-argb32-ref.png | Bin 1018 -> 956 bytes
 test/ft-text-vertical-layout-pdf-rgb24-ref.png  | Bin 1037 -> 0 bytes
 test/ft-text-vertical-layout-ps-argb32-ref.png  | Bin 351 -> 349 bytes
 test/ft-text-vertical-layout-ps-rgb24-ref.png   | Bin 1086 -> 0 bytes
 8 files changed, 28 insertions(+), 1 deletion(-)

commit 2e2799d4f921b22030eb63585dcec2ed4503fd5b
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 02:41:46 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 29 02:41:46 2006 +0200

    Ignore degenerate-path

 test/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit c90cc4e33f1549cde1d7a6a94599dbb3de84d387
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 29 02:41:17 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 29 02:41:17 2006 +0200

    Update reference images for ft-text-vertical-layout

 test/ft-text-vertical-layout-ref.png           | Bin 1130 -> 1130 bytes
 test/ft-text-vertical-layout-svg-rgb24-ref.png | Bin 1100 -> 1098 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 92021d169fea48eed9349e5821353f976df56be1
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jun 28 04:14:07 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jun 28 04:14:07 2006 +0200

    Make docs not build by "make all", but by "make doc", "make dist", and "make
    install".

 Makefile.am                        | 4 ++++
 doc/Makefile.am                    | 4 +++-
 doc/public/tmpl/cairo-types.sgml   | 4 +---
 doc/public/tmpl/cairo-version.sgml | 7 +++++++
 gtk-doc.make                       | 8 ++++++--
 5 files changed, 21 insertions(+), 6 deletions(-)

commit 0d073c2e86ced3a94ef76e7e4c2a00f8fb76efb1
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jun 28 03:25:08 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jun 28 03:25:08 2006 +0200

    Use $RELEASE_OR_SNAPSHOT to determine upload directory.
    Turn distcheck on release-check on again, as CAIRO_TEST_TARGET="" can be used
    to disable all failures now.

 Makefile.am | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit b37562868d2254d2dbd93a8808d32f0a0d769195
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jun 28 03:16:33 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jun 28 03:16:33 2006 +0200

    Ignore *.bak

 doc/public/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 9fe0ea16d344d5b9bed1cd7f6046e378ce76ae1f
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jun 28 03:15:41 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jun 28 03:15:41 2006 +0200

    Update list of ignored header files.

 doc/public/Makefile.am | 44 ++++++++++++++++++++++++++++----------------
 1 file changed, 28 insertions(+), 16 deletions(-)

commit ddb81d3cade326fecfe1ed05037542e958e734b5
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Jun 27 16:55:53 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Tue Jun 27 16:55:53 2006 +0200

    Report Xlib Xrender status.

 configure.in | 29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit 34f24d2aad90d4a737b513ac6858ed879316e132
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 27 15:38:45 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 27 15:38:45 2006 +0200

    ROADMAP: Note that degenerate path stuff has been pushed out now.

 ROADMAP | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 988a28e259924e7ce50f4d3119bcef7a3b18c931
Merge: 973c9abd5 ce2b9e1b5
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 27 15:37:58 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 27 15:37:58 2006 +0200

    Merge branch 'degenerate-path' into cairo

commit 973c9abd53df4e6d6583de045514e003827bc7b9
Author:     Jeff Muizelaar <jeff@infidigm.net>
AuthorDate: Tue Jun 27 15:33:47 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 27 15:35:22 2006 +0200

    PS: Workaround to avoid splitting final ~> terminating sequence.

 src/cairo-ps-surface.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 5d60ceb9b85a6b39865bc760ef7467c10f2ec7b6
Author:     Michael Emmel <memmel@debian.localdomain>
AuthorDate: Mon Jun 26 22:27:14 2006 -0700
Commit:     Michael Emmel <memmel@debian.localdomain>
CommitDate: Mon Jun 26 22:27:14 2006 -0700

    Added major updates fixes and enhancements by
    Claudio Ciccani klan@directfb.org
    Almost a full rewrite

 src/cairo-directfb-surface.c | 2175 +++++++++++++++++++++++++++++-------------
 1 file changed, 1523 insertions(+), 652 deletions(-)

commit 289e8b8af30ae3f00e7649109a933a673f346b37
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jun 26 12:26:15 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jun 26 12:26:15 2006 +0200

    Remove config.cache in make distclean.

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 73a0e792b4115a1012c5f618650a6265377cc6e5
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jun 26 12:21:18 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jun 26 12:21:18 2006 +0200

    More configure foo fixes for .pc files.

 configure.in            | 14 ++++++++------
 src/Makefile.am         |  9 ++++++++-
 src/cairo-backend.pc.in |  4 ++--
 3 files changed, 18 insertions(+), 9 deletions(-)

commit 5ba974ea0b7974e8c985d7414fcf6a8a5e415c12
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jun 26 11:54:04 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jun 26 11:54:04 2006 +0200

    Fix circular dependency in cairo.pc and cairo-xlib.pc.

 configure.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 53a478d233e7b8e02ecbc93bf102fb4dc29e0d57
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Sun Jun 25 17:43:27 2006 +0200
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Sun Jun 25 17:46:01 2006 +0200

    Rewrite configure caching.

 configure.in    | 285 +++++++++++++++++++++++++-------------------------------
 src/cairo.pc.in |   2 +-
 2 files changed, 128 insertions(+), 159 deletions(-)

commit ce2b9e1b5cc816e4a6a4345daab539cc58e2d043
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 16:57:59 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 16:57:59 2006 +0200

    Prefer TRUE and FALSE over 1 and 0 for assigning cairo_bool_t values

 src/cairo-path-stroke.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 58a60ed9fdd53a4cf29d33624b866bf6ccd637ae
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 16:53:13 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 16:53:13 2006 +0200

    Prefer sub-path over subpath in documentation.

 src/cairo.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 773cb6475b68199e5ef0839cd22c9f3445d7d5d3
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 16:51:25 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 16:51:25 2006 +0200

    Prefer sub_path over subpath in identifiers.

 src/cairo-path-stroke.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 8f0dd658b1fff3f4e9225b8fb23884f0bbcdb822
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 16:49:45 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 16:49:45 2006 +0200

    Add documentation for how degenerate segments and sub-paths are treated.

 src/cairo.c | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 15caa88c6416ce8e0c4c026e76f84ccaf7a3c840
Author:     Jeff Muizelaar <jeff@infidigm.net>
AuthorDate: Sun Jun 25 16:12:38 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 16:12:38 2006 +0200

    Initial support for degenerate-path stroking
    
    This follows the PDF and SVG specifications which only draw degenerate paths when
    round caps are in effect.
    
    With this commit, the degenerate-path test passes with the image, xlib, and pdf
    backends, (but still fails with ps and svg backends).

 src/cairo-path-stroke.c | 54 +++++++++++++++++++++++++++++++------------------
 1 file changed, 34 insertions(+), 20 deletions(-)

commit 20df4af12617ad6459dcb234dfd98954282710f5
Author:     Jeff Muizelaar <jeff@infidigm.net>
AuthorDate: Sun Jun 25 15:48:48 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 15:48:48 2006 +0200

    Add new test case degenerate-path to show current 'bug'

 test/Makefile.am                   |   4 +++
 test/degenerate-path-ref.png       | Bin 0 -> 193 bytes
 test/degenerate-path-rgb24-ref.png | Bin 0 -> 174 bytes
 test/degenerate-path.c             |  68 +++++++++++++++++++++++++++++++++++++
 4 files changed, 72 insertions(+)

commit e747bbd350e9630c18849dd7975036d1260264be
Author:     Torsten Schoenfeld <kaffeetisch@gmx.de>
AuthorDate: Sun Jun 25 15:07:19 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 15:25:23 2006 +0200

    Fix build after recent pixman.h change.
    
    The recent pixman.h change to use configure-generated defines
    accidentally broke the build.  Pulling in config.h fixes it.

 pixman/src/pixman.h | 4 ++++
 1 file changed, 4 insertions(+)

commit e32138aa93ba37d760af87294fbb47046bfe6dec
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 14:42:27 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 14:42:27 2006 +0200

    Prefer using configure-generated variable for finding stdint.h or similar.
    
    We were doing something more complicated originally, and that was because
    pixman.h was an installed public header file at one time. But that hasn't
    been the case for quite a long time.

 pixman/src/pixman.h | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 14ffde038038deda66973856a5f3b9442c8d3c7d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 12:16:36 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 12:16:36 2006 +0200

    ROADMAP: Note that bug 6759 is now fixed.

 ROADMAP | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d2ea21b4aef8ab5338718ddd6ccdff35609e9f6c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 11:48:32 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 11:48:32 2006 +0200

    ft-text-antialias-none: Update reference images and igore list.
    
    Add a new ps reference image due to slightly different rasterization. Also
    update pdf and svg backends to ignore this test since those backends do not
    support ANTIALIAS_NONE.
    
    Note in ROADMAP that bug 6759 is fixed now.

 test/cairo-test.c                             |   2 ++
 test/ft-text-antialias-none-ps-argb32-ref.png | Bin 0 -> 335 bytes
 2 files changed, 2 insertions(+)

commit 7e0e503fba80767dc68556054e937123fdcea359
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 11:32:36 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 11:32:36 2006 +0200

    xlib: Fix failure path to do cache thawing cleanup.

 src/cairo-xlib-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4bff3d559e1d931cd47701f11765b1a574a7eac4
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 11:28:03 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 11:28:03 2006 +0200

    ROADMAP: Note that cairo_xlib_surface_get_width/height exist now.

 ROADMAP | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ddead8e0612162e121868ba561498b8565112f8b
Author:     Robert O'Callahan <rocallahan@novell.com>
AuthorDate: Wed Jun 21 15:47:03 2006 +1200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 11:23:43 2006 +0200

    Surface size getters for xlib
    
    When accessing the underlying drawable etc of an xlib surface, it is
    also helpful to be able to get the width and height without a server
    round trip. This patch provides those functions.

 src/cairo-xlib-surface.c | 26 ++++++++++++++++++++++++++
 src/cairo-xlib.h         |  6 ++++++
 test/xlib-surface.c      |  7 ++++++-
 3 files changed, 38 insertions(+), 1 deletion(-)

commit 113bef399a2ca27f4c49a3d917ac1e6075449616
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 11:20:50 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 11:20:50 2006 +0200

    ROADMAP: Note that bug 6617 might already be fixed.

 ROADMAP | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9ab5678e53219f95de7183e300bba3edac7fe72d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 10:02:10 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 10:04:43 2006 +0200

    Fix bug 7268: Fix coordinate space for _cairo_surface_get_extents
    
    Previously this function was attempting to return values in surface
    space, (but even then it was doing it wrong). However, all callers
    actually expect values in backend space. Fixing this cleans up bug
    7268 quite nicely.

 ROADMAP             |  2 +-
 src/cairo-surface.c | 31 +++++++++++++------------------
 2 files changed, 14 insertions(+), 19 deletions(-)

commit 95355c854f1894e7bbcd370f3bb0d00223c077b6
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 02:25:16 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 10:04:43 2006 +0200

    ROADMAP: Note that SVG bitmap glyphs now work. Move some bugs to a punt list.

 ROADMAP | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 4c7074ceb42c50fc55929291330658f693c66bc7
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sun Jun 25 02:23:14 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sun Jun 25 10:04:43 2006 +0200

    Remove comment which had been incorrectly copied

 src/cairo-ft-font.c | 16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

commit 3a313070e5b5a1168225dec008f63ff68ed20559
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Fri Jun 23 20:13:58 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Fri Jun 23 20:16:12 2006 +0200

    SVG: fix bit order for bitmap font data and use a group with matrix
    
    transformation instead of applying the same matrix on each rect
    coordinates.

 src/cairo-svg-surface.c | 55 +++++++++++++++++++++----------------------------
 1 file changed, 23 insertions(+), 32 deletions(-)

commit 8b6fcaf8ff17786ab5394a4aa2d6289f5d9601c2
Author:     Jonathon Jongsma <jonathon.jongsma@gmail.com>
AuthorDate: Fri Jun 23 08:29:17 2006 -0500
Commit:     Jonathon Jongsma <jonathon.jongsma@gmail.com>
CommitDate: Fri Jun 23 08:29:17 2006 -0500

    Fix a minor documentation typo in cairo_pop_group_to_source

 src/cairo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bfa133f9e6dbe511ab696cb1d4b1cea59451f1c1
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 22 22:39:39 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 22 22:39:39 2006 -0700

    ROADMAP: Note that bug 6955 is fixed.

 ROADMAP | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5488c3b462260126a000928aa599684d7b1041e7
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 22 22:38:17 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 22 22:38:17 2006 -0700

    xlib: Prefer BAIL over FAIL when the cleanup code is also used in succesful cases.

 src/cairo-xlib-surface.c | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 7e457cb4c1e69670f27e3e8e134a9e32a8f75788
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 22 22:32:57 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 22 22:32:57 2006 -0700

    Bug 6955: Fix by adding freeze/thaw around scaled_font glyph cache in _cairo_xlib_surface_show_glyphs

 src/cairo-scaled-font.c     | 12 ++++++++++++
 src/cairo-xlib-surface.c    | 15 ++++++++++++++-
 src/cairoint.h              |  6 ++++++
 test/glyph-cache-pressure.c |  7 +++++++
 4 files changed, 39 insertions(+), 1 deletion(-)

commit 6a58658b73924fa6897bd1e290d754ce1df44b0d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 22 22:05:20 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 22 22:05:20 2006 -0700

    Add test/glyph-cache-pressure to demonstrate xlib failure (bug 6955)

 test/.gitignore                              |   1 +
 test/Makefile.am                             |   2 +
 test/glyph-cache-pressure-pdf-argb32-ref.png | Bin 0 -> 2879 bytes
 test/glyph-cache-pressure-ps-argb32-ref.png  | Bin 0 -> 591 bytes
 test/glyph-cache-pressure-ref.png            | Bin 0 -> 3223 bytes
 test/glyph-cache-pressure-svg-argb32-ref.png | Bin 0 -> 3635 bytes
 test/glyph-cache-pressure-svg-rgb24-ref.png  | Bin 0 -> 3165 bytes
 test/glyph-cache-pressure.c                  |  89 +++++++++++++++++++++++++++
 8 files changed, 92 insertions(+)

commit 333ac8f4d9ccc356cb91e7118ed56bfc07e78c2f
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 22 22:03:06 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 22 22:03:06 2006 -0700

    Add 'private' cairo_scaled_font_test_set_max_glyphs_cached_per_font for testing

 src/Makefile.am              |  1 +
 src/cairo-scaled-font-test.h | 49 ++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-scaled-font.c      | 17 ++++++++++++++-
 3 files changed, 66 insertions(+), 1 deletion(-)

commit d5197c1e0defc1018320efcb461977557a7d5d6e
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Thu Jun 22 22:32:47 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Thu Jun 22 22:32:47 2006 +0200

    SVG: dumb implementation of bitmap glyphs.
    
    Bitmap glyphs are emited as tiny svg rectangles. An improvement would be
    to calculate glyph outline from bitmap data.

 src/cairo-svg-surface.c | 39 ++++++++++++++++++++++++++++++++-------
 1 file changed, 32 insertions(+), 7 deletions(-)

commit cd5eb70e4e45962c88b4bfe13de6f26211601e55
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 21 22:36:27 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 21 22:36:54 2006 -0700

    ROADMAP: Update with 1.1.10 notes as well as new blockers and fixes

 ROADMAP | 23 +++++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

commit 25e0acfee0ae790329c2f558ce6a9f997eeace6d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 21 17:23:35 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 21 17:23:35 2006 -0700

    PDF: Fix display of bitmapped glyphs (bitmap-font test now passes)

 src/cairo-pdf-surface.c | 37 ++++++++++++++++++++++++++++++++-----
 1 file changed, 32 insertions(+), 5 deletions(-)

commit b4720ca51d4b1de02d6beb898b7d04a33e1d99fd
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 20 23:12:58 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 21 16:59:29 2006 -0700

    PDF: Push glyph stream creation down from emit glyph to outline/bitmap variants

 src/cairo-pdf-surface.c | 42 +++++++++++++++++++++++++-----------------
 1 file changed, 25 insertions(+), 17 deletions(-)

commit 83a8a50735746a4591c3bcc1aaa46fb7a0f87224
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jun 21 19:57:40 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jun 21 19:57:40 2006 -0400

    Pass --cache-file=config.cache and --disable-static to configure from
    autogen.sh.

 autogen.sh      | 2 +-
 src/Makefile.am | 6 ++++++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit f5ee9557c3dc7bc72098cd08698f147ed685ccb2
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jun 21 07:22:50 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jun 21 07:22:50 2006 -0400

    Removed excess mkdir.

 configure.in | 1 -
 1 file changed, 1 deletion(-)

commit f71313d427565cb37a25393ff8a5a2ffdcfb798b
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jun 21 07:00:34 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jun 21 07:05:14 2006 -0400

    Minor refinements, mostly to configure.in.

 configure.in     | 113 ++++++++++++++++++++++++++++++-------------------------
 test/.gitignore  |   1 +
 test/Makefile.am |   3 +-
 3 files changed, 65 insertions(+), 52 deletions(-)

commit c88bab66ab258e0bbd2cb80eaf4edc9e5f1ad6f0
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jun 21 06:25:01 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jun 21 07:05:13 2006 -0400

    Make configure generate cairo-features.h. Generate AC_DEFINE and AM_CONDITIONALS
    
    for all CAIRO_HAS_*  in CAIRO_BACKEND_ENABLE.

 configure.in            | 198 +++++++++++++++++++++++-------------------------
 src/Makefile.am         |   2 +
 src/cairo-features.h.in |  86 ---------------------
 3 files changed, 96 insertions(+), 190 deletions(-)

commit c6c1da2a2346de6c1df82fab2e7bafec7f37db50
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 20 17:49:05 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 20 17:49:05 2006 -0700

    PS: Add support for emitting bitmapped glyphs into type3 fonts.
    
    The bitmap-font now passes when run against the ps backend.

 src/cairo-ps-surface.c | 45 +++++++++++++++++++++++++++++++++++++++------
 1 file changed, 39 insertions(+), 6 deletions(-)

commit cca08d9bce1647444acdb78aedb6ad6967c07661
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 20 17:48:06 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 20 17:48:06 2006 -0700

    New bitmap-font test with bundled 6x13 font.
    
    The 6x13 font is a public-domain terminal font from the X
    distribution.

 test/.gitignore                |   1 +
 test/6x13.pcf                  | Bin 10560 -> 5239 bytes
 test/Makefile.am               |   3 ++
 test/bitmap-font-ref.png       | Bin 0 -> 552 bytes
 test/bitmap-font-rgb24-ref.png | Bin 0 -> 513 bytes
 test/bitmap-font.c             | 106 +++++++++++++++++++++++++++++++++++++++++
 6 files changed, 110 insertions(+)

commit ab8ae66f9d5c92af96b4a530957537ec7d33c128
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 20 17:15:07 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 20 17:15:07 2006 -0700

    SVG: Fix to not crash on bitmapped glyphs
    
    This is similar to a change that was recently made to the PDF and PS backends.
    Bitmap glyphs are not yet drawn correctly, (drawn as filled rectangles instead),
    but the crash is at least eliminated.

 src/cairo-svg-surface.c |  87 +++++++++++++++++++++++++++++++++++-------------
 test/6x13.pcf           | Bin 0 -> 10560 bytes
 2 files changed, 63 insertions(+), 24 deletions(-)

commit 2f43a79e4e87341dd0df49fc6c11fd17a21350c2
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 20 11:28:23 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 20 11:28:23 2006 -0700

    ft-font: Use compile-time test (WORDS_BIGENDIAN) rather than run-time function to test endian-ness.

 src/cairo-ft-font.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit b806b50cfe890b534dbf86f0b4d2cc0c22b880ff
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 20 10:59:22 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 20 10:59:22 2006 -0700

    Add new CAIRO_BITSWAP8 macro for swapping the bits within a byte.
    
    This uses a technique devised by Sean Anderson, July 13, 2001 as found
    at http://graphics.stanford.edu/~seander/bithacks.html#ReverseByteWith32Bits
    This technique uses 3 multiplies rather than just shifts and masks, but
    performance seems comparable to the old approach, (but more significantly,
    the new approach is easier to implement as a macro, and I plan to start
    using this bit-swapping elsewhere very soon).

 src/cairo-ft-font.c |  9 +++------
 src/cairoint.h      | 12 ++++++++++++
 2 files changed, 15 insertions(+), 6 deletions(-)

commit 3465ae1c58a87382c33117f6c5dec52403c9694e
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 20 10:43:53 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 20 10:43:53 2006 -0700

    output-stream: Support %X in addition to %x

 src/cairo-output-stream.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bb11980f14560ea16174c6531678b9b7a623f813
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Tue Jun 20 02:16:17 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Tue Jun 20 02:16:48 2006 -0400

    Add 'x' case to printf switch so we actually implement %02x.

 src/cairo-output-stream.c | 2 ++
 1 file changed, 2 insertions(+)

commit 651b2a9ab0bdb5f8fa952e47e95c21d2f530950d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon Jun 19 21:16:03 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon Jun 19 21:16:03 2006 -0700

    test/fallback-resolution: Remove extra call to cairo_show_page

 test/fallback-resolution.c | 2 --
 1 file changed, 2 deletions(-)

commit 7026e24548fd0e4fbfb2bd3af7cffab8eab88d44
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon Jun 19 21:15:26 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon Jun 19 21:15:26 2006 -0700

    PS PDF: Drop unused hex_digit functions, (now that output stream supports %02x)

 src/cairo-pdf-surface.c | 8 --------
 src/cairo-ps-surface.c  | 8 --------
 2 files changed, 16 deletions(-)

commit cd5e08a9fee70b1ed2252d24e04db806769babcd
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Mon Jun 19 22:42:32 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Mon Jun 19 22:44:39 2006 -0400

    Implement 0-padding and field width for _cairo_output_stream_printf().
    
    Use it instead of %c%c in PS and PDF surfaces.

 src/cairo-output-stream.c | 46 ++++++++++++++++++++++++++++++----------------
 src/cairo-pdf-surface.c   |  5 ++---
 src/cairo-ps-surface.c    |  5 ++---
 3 files changed, 34 insertions(+), 22 deletions(-)

commit a3f2d92f11a1ab4d30dd0e33a0cd5ee19495eeb1
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon Jun 19 11:03:32 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon Jun 19 11:03:32 2006 -0700

    PDF: Don't fallback due to CAIRO_ANTIALIAS_NONE
    
    This was a gratuitous thing that was causing excessive fallbacks in
    mozilla printing to PDF. The only reason it was ever there was to
    get some of the tests that rely on CAIRO_ANTIALIAS_NONE to pass.
    Instead we now simply don't run those tests against the PDF backend.

 src/cairo-pdf-surface.c | 16 ++--------------
 test/cairo-test.c       | 15 ++++++++++++++-
 2 files changed, 16 insertions(+), 15 deletions(-)

commit 72e7667ed904b93475d7e4540778c498aa781cdf
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jun 19 04:29:49 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jun 19 04:29:49 2006 -0400

    Replace noinst_ with check_, such that nothing is built with default make
    target.

 test/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit fdc109dc5902f362bfec2f90b5d357c2d16b96d6
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jun 19 04:17:19 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jun 19 04:17:19 2006 -0400

    Add create-for-stream.* to .gitignore.

 test/.gitignore | 3 +++
 1 file changed, 3 insertions(+)

commit d12afb7eac80d66cc140721031940feddc2586c6
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jun 19 04:10:56 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jun 19 04:12:39 2006 -0400

    Update .gitignore

 test/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit a28557f55a49ac812e69b59fe803fd0cba10d10b
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jun 19 04:10:19 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jun 19 04:12:39 2006 -0400

    Reference images for new test...

 test/device-offset-positive-ref.png       | Bin 0 -> 139 bytes
 test/device-offset-positive-rgb24-ref.png | Bin 0 -> 130 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 2f59dd4a5e9f4ce3853b055620bbada4526e3f58
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Mon Jun 19 15:52:36 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Mon Jun 19 15:55:12 2006 +0800

    Turn hinting off to get consistent results for ft-text-vertical-layout test case.

 test/ft-text-vertical-layout-ref.png            | Bin 1145 -> 1130 bytes
 test/ft-text-vertical-layout-rgb24-ref.png      | Bin 1059 -> 0 bytes
 test/ft-text-vertical-layout-svg-argb32-ref.png | Bin 1106 -> 1021 bytes
 test/ft-text-vertical-layout-svg-rgb24-ref.png  | Bin 1106 -> 1100 bytes
 test/ft-text-vertical-layout.c                  |   5 +++++
 5 files changed, 5 insertions(+)

commit f5b6fc139c8e455b27df52139578d2546a826e6d
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Mon Jun 19 15:51:43 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Mon Jun 19 15:55:12 2006 +0800

    Turn hinting off to get consistent results for ft-text-antialias-none test case.

 test/ft-text-antialias-none-ref.png | Bin 332 -> 336 bytes
 test/ft-text-antialias-none.c       |   3 +++
 2 files changed, 3 insertions(+)

commit ddc01a3c5530aa9480eb19aded7ba08f97529440
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jun 19 03:22:53 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jun 19 03:22:53 2006 -0400

    Correct comment about expected result in device-offset-positive test.

 test/device-offset-positive.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70d3719ec9d0dbe7e37f3ad3c5cfbe596be4f409
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jun 19 03:13:56 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jun 19 03:20:09 2006 -0400

    Add test device-offset-positive.

 test/.gitignore               |  1 +
 test/Makefile.am              |  2 +
 test/device-offset-positive.c | 88 +++++++++++++++++++++++++++++++++++++++++++
 test/device-offset.c          |  2 +-
 4 files changed, 92 insertions(+), 1 deletion(-)

commit fde08da55f293cd40927c8a1d41db0e478785e8e
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Mon Jun 19 14:49:46 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Mon Jun 19 14:49:46 2006 +0800

    freetype: Don't ignore antialias in some cases.

 src/cairo-ft-font.c | 57 +++++++++++++++++++++++++++--------------------------
 1 file changed, 29 insertions(+), 28 deletions(-)

commit c9de7b1286309fc2da1a5ea798674b528aa2eab6
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Mon Jun 19 14:17:24 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Mon Jun 19 14:17:24 2006 +0800

    freetype: Compare all elements in ft_options but not use memcmp.

 src/cairo-ft-font.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e4736fcf76855c7ca5c9e8b922622dfffe08e4e1
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Sun Jun 18 23:50:51 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Sun Jun 18 23:50:51 2006 +0800

    freetype: Clear target mode correctly in _cairo_ft_options_merge.

 src/cairo-ft-font.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1e0e56e0223116bf48e5acd4a974f16fae824df2
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Sun Jun 18 17:30:39 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Sun Jun 18 17:30:39 2006 +0800

    freetype: Fix warnings in _decompose_glyph_outline.

 src/cairo-ft-font.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 117b062756de9fc99f635b3e712ea3e258c53165
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Sun Jun 18 17:26:19 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Sun Jun 18 17:26:19 2006 +0800

    freetype: cleanup _cairo_ft_scaled_glyph_init.

 src/cairo-ft-font.c | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit 54b4a2fccdcaa4fbc126818c7cb7b96a1a8acf35
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Sun Jun 18 17:20:38 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Sun Jun 18 17:20:38 2006 +0800

    freetype: Respect configurations in font pattern.
    
    cairo freetype font backend doesn't handle fontconfig configurations
    quiet well, it always renders glyphs using configurations in
    scaled_font->base.options which usually isn't corresponding to
    font pattern used to create the font face and the load flags. As a
    result, turning antialias off with fontconfig doesn't work with cairo
    HEAD, subpixel order either.
    
    This commit make cairo respect configurations in font pattern and handle
    load flags correctly. The ft-text-antialias-none test case passess now.
    And should fix bug #6759 and #4792.

 src/cairo-ft-font.c | 232 +++++++++++++++++++++++++++++-----------------------
 1 file changed, 129 insertions(+), 103 deletions(-)

commit 4b2b8f939a9e786ead080f85d1b101680230f168
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Sat Jun 17 16:29:54 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Sat Jun 17 16:29:54 2006 +0800

    Add ft-text-antilaias-none test case demonstrating bug #6759.

 test/.gitignore                     |   1 +
 test/Makefile.am                    |   1 +
 test/ft-text-antialias-none-ref.png | Bin 0 -> 332 bytes
 test/ft-text-antialias-none.c       | 128 ++++++++++++++++++++++++++++++++++++
 4 files changed, 130 insertions(+)

commit efaf88d4092db5e4ca37508d87fdb8ac39496018
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Sat Jun 17 15:52:05 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Sat Jun 17 15:52:05 2006 +0800

    Add missing prototype for _cairo_lzw_compress.

 src/cairoint.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 6f0a85c8f76ba2fb77862f2da506bfd405ce218d
Author:     Ian Osgood <iano@quirkster.com>
AuthorDate: Fri Jun 16 08:18:37 2006 -0700
Commit:     Jamey Sharp <jamey@minilop.net>
CommitDate: Fri Jun 16 22:43:49 2006 -0700

    Update the XCB backend for screen sensitivity.

 src/cairo-xcb-surface.c | 87 +++++++++++++++++++++++++++++++++++++------------
 src/cairo-xcb-xrender.h |  1 +
 src/cairo-xcb.h         |  1 +
 test/cairo-test.c       |  2 +-
 4 files changed, 69 insertions(+), 22 deletions(-)

commit bc4a6796f851a9f10764feb783988641d26cf2ce
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 16 19:01:20 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 16 19:01:20 2006 -0400

    Accept CAIRO_TEST_TARGET being empty or containing a list of backends to test.
    The list can be separated by any of space, tab, comma, colon, or semicolon.
    Moreover, a CAIRO_TEST_TARGET of e.g. "glitz" matches any subtarget like
    "glitz-glx".

 test/cairo-test.c | 33 ++++++++++++++++++++++++---------
 1 file changed, 24 insertions(+), 9 deletions(-)

commit 8bc05f15ab3f2054f802cfbc9564476a4acbb4a8
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 16 18:39:36 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 16 18:39:36 2006 -0400

    Note that create_similar clears surface.

 src/cairo-surface.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3bad1f0b0c431f1e5832d8755d0e22fe31120007
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 16 10:09:54 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 16 10:09:54 2006 -0700

    Increment CAIRO_VERSION to 1.1.11 after making the 1.1.10 snapshot

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65e73c81b83222de873935cf384e514ea20ac854
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 16 09:45:44 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 16 09:45:44 2006 -0700

    Update version to 1.1.10 and add notes to NEWS file.
    
    Also update libtool version information to 10:0:8.

 NEWS         | 17 +++++++++++++++++
 configure.in |  6 +++---
 2 files changed, 20 insertions(+), 3 deletions(-)

commit b992e1e29d6d63de2a6b5b48b93d23be50fc29ca
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 16 09:44:33 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 16 09:44:33 2006 -0700

    Annoying doc template churn.

 doc/public/tmpl/cairo-image.sgml | 1 +
 1 file changed, 1 insertion(+)

commit 4a5111695c25ce9178f1eb69acd825b3466fcb11
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 16 09:22:36 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 16 09:22:36 2006 -0700

    Update release rules in Makefile to add git signature information.

 Makefile.am | 25 ++++++++++++++++++++++---
 RELEASING   |  2 +-
 2 files changed, 23 insertions(+), 4 deletions(-)

commit c6164d0d2a9ca16a00c2768f24a0230de6cbc6f6
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 15 16:22:52 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 16 08:46:34 2006 -0700

    New API: Add support for new CAIRO_FORMAT_RGB16_565

 pixman/src/icformat.c     |  6 ++++++
 pixman/src/pixman.h       |  3 ++-
 src/cairo-image-surface.c | 17 ++++++++++++++++-
 src/cairo.h               |  6 +++++-
 4 files changed, 29 insertions(+), 3 deletions(-)

commit 36e59ca5f854de2740c7ef4f0b6022785dd9dc4c
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Fri Jun 16 21:13:21 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Fri Jun 16 21:13:21 2006 +0800

    xlib: free resources before return if looking up glyph surface fails.

 src/cairo-xlib-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf2c0e44d8c8e1e692eafba7bccddd26f1f31c1b
Merge: b8231f894 a8b736c16
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 16 00:13:18 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 16 00:13:18 2006 -0400

    Merge branch 'cairo' into cairo-origin

commit a8b736c1608c3d0b98b81f79ab1f5607cce245ed
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Fri Jun 16 00:08:44 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Fri Jun 16 00:08:44 2006 -0400

    Use enum time instead of int (shuts intel compiler up.)

 pixman/src/pixregion.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8231f8949818099c4e6ed4e0669de6f8c8bf856
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Thu Jun 15 22:07:17 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Thu Jun 15 22:07:17 2006 -0400

    Add cairo-output-stream-private.h to libcairo_la_SOURCES.
    
    We now pass distcheck again.

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit abe1bfad8d8a3252bdc65da40bf303626881b163
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 15 15:43:00 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 15 15:43:00 2006 -0700

    Add missing breaks in switch statement.
    
    Yes, I am an idiot.

 src/cairo-image-surface.c | 3 +++
 1 file changed, 3 insertions(+)

commit 9fa24975b4b9cc9983331991d2a3c53a37272162
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 15 15:33:45 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 15 15:33:45 2006 -0700

    Drop _cairo_surface_is_opaque now that we have cairo_surface_get_content

 src/cairo-pattern.c |  2 +-
 src/cairo-surface.c | 37 +------------------------------------
 src/cairoint.h      |  1 +
 3 files changed, 3 insertions(+), 37 deletions(-)

commit 0ba040d7f63c62e482d40fc6db0e1f0714806839
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 15 14:56:59 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 15 14:56:59 2006 -0700

    Remove _cairo_image_surface_is_alpha_only in favor of just looking at content value.

 src/cairo-image-surface.c | 16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

commit 82496a6f7c5b0a9f91db6abc9e34202b8ffa77c4
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Jun 15 14:15:42 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Jun 15 14:15:42 2006 -0700

    _cairo_format_from_pixman_format: Add useful error mesage and assertion when failing.

 src/cairo-image-surface.c | 62 +++++++++++++++++++++++++++--------------------
 1 file changed, 36 insertions(+), 26 deletions(-)

commit dedc51ba51eaa61e4b11f274fac06c6f0acd8a87
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Wed Jun 14 19:25:37 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Wed Jun 14 19:25:37 2006 -0400

    Only call close function for output streams if it's non-NULL.

 src/cairo-output-stream.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9ef99d10bb7eb6cde421e0d93ae55988882d9b56
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Wed Jun 14 19:15:50 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Wed Jun 14 19:21:46 2006 -0400

    Add test case for the PDF, PS and SVG stream constructors.

 test/Makefile.am         |   1 +
 test/create-for-stream.c | 218 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 219 insertions(+)

commit 8c8bcaf99b1c8d6cb26dfc89751d71de535c11e7
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Wed Jun 14 20:57:42 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Wed Jun 14 21:09:16 2006 +0200

    SVG: Update of reference images.

 test/linear-gradient-svg-argb32-ref.png            | Bin 947 -> 1000 bytes
 test/linear-gradient-svg-rgb24-ref.png             | Bin 947 -> 1000 bytes
 test/mask-svg-argb32-ref.png                       | Bin 87715 -> 87728 bytes
 test/mask-svg-rgb24-ref.png                        | Bin 81874 -> 81753 bytes
 test/paint-source-alpha-svg-argb32-ref.png         | Bin 353 -> 505 bytes
 test/paint-source-alpha-svg-rgb24-ref.png          | Bin 353 -> 505 bytes
 test/paint-with-alpha-svg-argb32-ref.png           | Bin 420 -> 516 bytes
 test/paint-with-alpha-svg-rgb24-ref.png            | Bin 420 -> 516 bytes
 test/push-group-svg-argb32-ref.png                 | Bin 2945 -> 2935 bytes
 test/push-group-svg-rgb24-ref.png                  | Bin 2901 -> 2887 bytes
 test/scale-source-surface-paint-svg-argb32-ref.png | Bin 146 -> 182 bytes
 test/scale-source-surface-paint-svg-rgb24-ref.png  | Bin 158 -> 192 bytes
 test/text-pattern-svg-argb32-ref.png               | Bin 1720 -> 1708 bytes
 test/text-pattern-svg-rgb24-ref.png                | Bin 1567 -> 1563 bytes
 test/trap-clip-svg-argb32-ref.png                  | Bin 71765 -> 71728 bytes
 test/trap-clip-svg-rgb24-ref.png                   | Bin 73066 -> 73082 bytes
 16 files changed, 0 insertions(+), 0 deletions(-)

commit 2cea3a2710cd4c6eb68e25eadaaf96cdc921ef14
Merge: 17ea75523 4932d09a0
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Wed Jun 14 15:00:33 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Wed Jun 14 15:00:33 2006 -0400

    Merge branch 'svg-rewrite'

commit 4932d09a06228a08d1c8f4d2892378c004ff3313
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Wed Jun 14 14:12:55 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Wed Jun 14 14:12:55 2006 -0400

    Actually add src/cairo-output-stream-private.h.

 src/cairo-output-stream-private.h | 156 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 156 insertions(+)

commit 17ea7552355d9925fb99cd4ca98cf38946f99421
Author:     Torsten Schönfeld <kaffeetisch@gmx.de>
AuthorDate: Wed Jun 14 11:09:00 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 11:09:00 2006 -0700

    Add missing cairo_public tag for cairo_image_surface_get_stride

 src/cairo.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1599ab8fa91fd2b5b611825d1e1b46fcacfb7982
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 14 10:41:29 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 10:41:29 2006 -0700

    Increment CAIRO_VERSION to 1.1.9 after making the 1.1.8 snapshot

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd859b8736bb4d1bcf3ed78d0bd1f72a7aad9ca9
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 14 08:14:43 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 08:14:43 2006 -0700

    Update version to 1.1.8 and add notes to NEWS file.
    
    Also update libtool version information to 9:0:7.

 NEWS         | 132 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |   6 +--
 2 files changed, 135 insertions(+), 3 deletions(-)

commit 65c9c072d207b04cac8da21b40b2dd5c14791547
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 14 06:39:23 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 06:40:36 2006 -0700

    Update refefence images due to pattern source shift.
    
    The commit that introduced this change is:
    
    commit b104a79502e2c01c508e40d83613ecfa001a2a4e
    Author: Bertram Felgenhauer <int-e@gmx.de>
    Date:   Tue Jun 13 20:07:28 2006 -0400
    
        Patch to fix pixman samping location bug (#2488).

 test/gradient-alpha-ref.png        | Bin 155 -> 147 bytes
 test/gradient-alpha-rgb24-ref.png  | Bin 142 -> 142 bytes
 test/linear-gradient-ref.png       | Bin 972 -> 1023 bytes
 test/mask-ref.png                  | Bin 87837 -> 87890 bytes
 test/mask-rgb24-ref.png            | Bin 71069 -> 70978 bytes
 test/operator-source-ref.png       | Bin 19684 -> 19726 bytes
 test/operator-source-rgb24-ref.png | Bin 14699 -> 14701 bytes
 test/push-group-ref.png            | Bin 3012 -> 2996 bytes
 test/push-group-rgb24-ref.png      | Bin 2858 -> 2840 bytes
 test/text-pattern-ref.png          | Bin 1721 -> 1721 bytes
 test/text-pattern-rgb24-ref.png    | Bin 1423 -> 1418 bytes
 test/trap-clip-ref.png             | Bin 71785 -> 71753 bytes
 test/trap-clip-rgb24-ref.png       | Bin 63087 -> 63049 bytes
 13 files changed, 0 insertions(+), 0 deletions(-)

commit 4bdfff477a1d7fa19890f0a5c4f3cc6533e39149
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 14 06:00:11 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 06:40:33 2006 -0700

    PS PDF: Update reference images due to truetype subsetting

 test/select-font-face-pdf-argb32-ref.png        | Bin 2782 -> 2237 bytes
 test/select-font-face-ps-argb32-ref.png         | Bin 528 -> 481 bytes
 test/show-text-current-point-pdf-argb32-ref.png | Bin 3838 -> 2157 bytes
 test/show-text-current-point-ps-argb32-ref.png  | Bin 645 -> 602 bytes
 test/text-antialias-gray-pdf-argb32-ref.png     | Bin 1004 -> 950 bytes
 test/text-antialias-gray-ps-argb32-ref.png      | Bin 306 -> 310 bytes
 test/text-antialias-none-pdf-argb32-ref.png     | Bin 1004 -> 950 bytes
 test/text-antialias-none-ps-argb32-ref.png      | Bin 306 -> 310 bytes
 test/text-antialias-subpixel-pdf-argb32-ref.png | Bin 1004 -> 950 bytes
 test/text-antialias-subpixel-ps-argb32-ref.png  | Bin 306 -> 310 bytes
 10 files changed, 0 insertions(+), 0 deletions(-)

commit 7e0be461b595c3561fa75472fdfd5954e4666cfc
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Jun 13 22:40:50 2006 -0400
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 05:06:10 2006 -0700

    Rename cairo-wideint.h to cairo-wideint-private.h.

 RELEASING                                        | 2 +-
 src/Makefile.am                                  | 2 +-
 src/{cairo-wideint.h => cairo-wideint-private.h} | 0
 src/cairoint.h                                   | 2 +-
 4 files changed, 3 insertions(+), 3 deletions(-)

commit b9cfe941c8e1ae427780117fedfd47d458e29f02
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Jun 13 22:37:34 2006 -0400
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 05:06:09 2006 -0700

    Add backend-specific pkg-config files.

 .gitignore              |  1 -
 configure.in            | 56 +++++++++++++++++++++++++++++++++----------------
 src/.gitignore          |  1 +
 src/Makefile.am         | 35 ++++++++++++++++++++++++-------
 src/cairo-backend.pc.in | 12 +++++++++++
 5 files changed, 78 insertions(+), 27 deletions(-)

commit 2249fb89ae36859d1d3f6c9d0b72e95e45726170
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Jun 13 19:13:05 2006 -0400
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 05:05:30 2006 -0700

    Move cairo.pc into src/.

 Makefile.am                    | 8 ++------
 configure.in                   | 2 +-
 src/Makefile.am                | 3 +++
 cairo.pc.in => src/cairo.pc.in | 0
 4 files changed, 6 insertions(+), 7 deletions(-)

commit e346eca1386e8ec14f9bda7d76662a16706f1e7c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 14 04:58:54 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 04:58:54 2006 -0700

    Add zero-alpha reference image to Makefile.am for the sake of make dist

 test/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 211741cce61075b526edfacd728c9c5de8dd1aac
Author:     Bertram Felgenhauer <bertram.felgenhauer@googlemail.com>
AuthorDate: Wed Jun 14 04:51:27 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 04:51:27 2006 -0700

    Bug 4723: configure.in: Fix m4 quoting when examining pkg-config version

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8e93f9c5598d5452e08728546677a977e41617f
Author:     Brian Cameron <brian.cameron@sun.com>
AuthorDate: Wed Jun 14 04:44:01 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 04:44:01 2006 -0700

    Bug 4882: Flag Sun's X server has having buggy_repeat.
    
    This is the Sun labelling of Xorg 6.8 as shipped with Solaris 10.

 src/cairo-xlib-surface.c | 3 +++
 1 file changed, 3 insertions(+)

commit 32d049a7bf9549f8c797c50654546b6526518f0a
Author:     Dom Lachowicz <cinamod@hotmail.com>
AuthorDate: Wed Jun 14 04:37:08 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 04:37:27 2006 -0700

    Bug 5306: test/pdf2png: Add missing include of stdio.h

 test/pdf2png.c | 1 +
 1 file changed, 1 insertion(+)

commit e9269aefcbc96a417012107c17ec2bc4de608cc1
Author:     Behdad Esfahbod <freedesktop@behdad.org>
AuthorDate: Wed Jun 14 04:07:29 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 04:07:29 2006 -0700

    Bug 7075: Fix make clean to remove cairo.def

 src/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit c8e7ff096648a53b780f14c2cd2467157fae8385
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 14 04:04:21 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 04:04:21 2006 -0700

    ROADMAP: Update with PDF bugs from minefield test. Slip non-1.0 regressions off of 1.2.

 ROADMAP | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit c515b15cfc8c88b330f16a9263841476c29ded99
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 14 03:53:18 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 14 03:53:18 2006 -0700

    ft: If glyph->format is not OUTLINE use _render_glyph_bitmap to coerce to a bitmap

 src/cairo-ft-font.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 61a3260e44b40b8aa344f806979b60a82400105e
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Wed Jun 14 15:57:23 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Wed Jun 14 15:57:23 2006 +0800

    ROADMAP: Mark bugs FC_ADVANCE and _transform_glyph_bitmap as fixed.

 ROADMAP | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0d2900477cd6edfe6025be06c3f1eda63cbe5230
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Wed Jun 14 15:56:17 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Wed Jun 14 15:56:17 2006 +0800

    freetype: Return an error if the glyph format isn't outline or bitmap
    while getting glyph surface.

 src/cairo-ft-font.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b104a79502e2c01c508e40d83613ecfa001a2a4e
Author:     Bertram Felgenhauer <int-e@gmx.de>
AuthorDate: Tue Jun 13 20:07:28 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Tue Jun 13 20:10:59 2006 -0400

    Patch to fix pixman samping location bug (#2488).

 pixman/src/fbcompose.c                |  21 +++++++++++++++------
 test/pixman-rotate-rgb24-ref.png      | Bin 385 -> 244 bytes
 test/pixman-rotate-svg-argb32-ref.png | Bin 0 -> 258 bytes
 test/pixman-rotate-svg-rgb24-ref.png  | Bin 0 -> 358 bytes
 4 files changed, 15 insertions(+), 6 deletions(-)

commit 0ee64b84689c22bba1d9bb2758170bbc104f5cf1
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 13 16:50:43 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 13 16:50:43 2006 -0700

    Bug 4196: undef MIN an MAX before defining to avoid duplicate definition

 pixman/src/icint.h     | 2 ++
 pixman/src/pixregion.c | 2 ++
 2 files changed, 4 insertions(+)

commit 1b11d3830b26f6ce7f0d8ddcc315a9c19f56658a
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 13 16:42:06 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 13 16:42:06 2006 -0700

    test/zero-alpha: Drop REPS from 100 to 10 for a faster test.
    
    Hopefully this still triggers the bug of interest. I think it should.

 test/zero-alpha.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d269664f166c4fc835e70a176ad46b2d7ccb41d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 13 16:13:23 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 13 16:13:23 2006 -0700

    Add new zero-alpha test to demonstrate (X server?) bug found by Paul Giblock

 test/.gitignore         |   1 +
 test/Makefile.am        |   3 +-
 test/zero-alpha-ref.png | Bin 0 -> 115 bytes
 test/zero-alpha.c       |  97 ++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 100 insertions(+), 1 deletion(-)

commit 1d18af9f5adb0ce2e01bc42578fe117c4e924ce8
Merge: c7b194c59 27e9e3cec
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 13 15:51:57 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 13 15:51:57 2006 -0700

    Merge branch 'type1-subsetting' into cairo
    
    Conflicts:
    
            src/cairo-ps-surface.c

commit c7b194c59544ff441d1e83827242667c0e86dc5a
Merge: 4b063c607 127fab469
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 13 15:46:14 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 13 15:46:14 2006 -0700

    Merge branch 'truetype-subsetting' into cairo
    
    Conflicts:
    
            src/Makefile.am
            src/cairo-font-subset.c
            src/cairo-pdf-surface.c
            src/cairo-ps-surface.c

commit cdf07a9be87515b75156a6f02f050bc5b1e6b5d1
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Tue Jun 13 17:45:55 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Tue Jun 13 17:45:55 2006 -0400

    Remove libxml2 checks from configure.in.

 configure.in | 14 --------------
 1 file changed, 14 deletions(-)

commit ed60128bd0822e56c8002f3503044d5b0efaec79
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Tue Jun 13 17:25:24 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Tue Jun 13 17:25:24 2006 -0400

    Rewrite SVG backend to just use cairo output stream instead of libxml2.

 src/cairo-svg-surface.c | 1161 +++++++++++++++++++----------------------------
 1 file changed, 471 insertions(+), 690 deletions(-)

commit 17d41d1f71a5d5af489bc395e3bb3cf414aeda57
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Tue Jun 13 17:24:36 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Tue Jun 13 17:24:36 2006 -0400

    Only run fallback-resolution test case when all of PDF, PS and SVG are enabled.

 test/Makefile.am | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 4b063c607208935fad040d481d42085c4ed6e64d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 13 12:48:00 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 13 12:51:16 2006 -0700

    PS, PDF: Re-organize handling of bitmapped fonts to avoid invalid output.
    
    Previously, using the ps or pdf backend with a bitmapped font would
    result in a coorupt output file, filled with uninitialized values and
    missing procedures for drawing the glyphs.
    
    Now, the file should actually be valid, but it's simply drawing black
    boxes instead of the correct glyphs.

 src/cairo-pdf-surface.c | 92 ++++++++++++++++++++++++++++++++++---------------
 src/cairo-ps-surface.c  | 91 ++++++++++++++++++++++++++++++++++--------------
 2 files changed, 129 insertions(+), 54 deletions(-)

commit d2045c1f7465f7f3625ce14a7b0e395b35ba8dc0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 13 12:45:16 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 13 12:51:10 2006 -0700

    Change return type of _cairo_scaled_glyph_lookup to allow UNSUPPORTED.
    
    This allows graceful recovery when first requesting a path from a font
    that only supports bitmapped glyph. The changed return type is also
    pushed down into the scaled_glyph_init function of the
    cairo_scaled_font backend.

 src/cairo-atsui-font.c  |  2 +-
 src/cairo-ft-font.c     |  4 ++--
 src/cairo-scaled-font.c | 10 ++++++++--
 src/cairoint.h          |  4 ++--
 4 files changed, 13 insertions(+), 7 deletions(-)

commit 0e30fc44363435c52c762fa8a353de43fe087822
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon Jun 12 08:45:58 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon Jun 12 09:01:06 2006 -0700

    Add aliases for deprecated cairo_{pdf,ps,svg}_surface_set_dpi
    
    The aliases should allow binaries with the old symbols to continue to run.
    
    Meanwhile, the macros in cairo.h prevent any code from being compiled without
    using the new, future-proof function names.
    
    This is a temporary, transition strategy and the aliases will be dropped
    before the next major release.

 src/cairo-surface.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 7015cc0b90f99898852ca276368854f9465f4c82
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon Jun 12 08:18:09 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon Jun 12 09:01:06 2006 -0700

    Add cairo-ps-test.h and cairo-svg-test.h to Makefile.am

 src/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8581447e7b26f34c7be43fef7dfa5458f2278556
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Mon Jun 12 03:15:33 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Mon Jun 12 03:15:33 2006 -0400

    Add an in-memory output-stream implementation.

 src/cairo-output-stream.c | 59 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

commit d43321066081eacca2e0c86258c68bae49036087
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Mon Jun 12 03:10:40 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Mon Jun 12 03:10:40 2006 -0400

    Convert the word wrap stream, the base85 stream and the ps string stream.

 src/cairo-base85-stream.c | 27 ++++++++++++---------------
 src/cairo-ps-surface.c    | 44 +++++++++++++++++++++-----------------------
 2 files changed, 33 insertions(+), 38 deletions(-)

commit 45cbe055d9cf4ac2cf2fbcd21b020c8f869a0380
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Mon Jun 12 03:08:51 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Mon Jun 12 03:08:51 2006 -0400

    Convert the stdio output stream to use the new output stream interface.

 src/cairo-output-stream.c | 50 +++++++++++++++++++++++++++++++++++------------
 1 file changed, 37 insertions(+), 13 deletions(-)

commit 3575c942f81d54c88fd48aee2352ecd29406e711
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Mon Jun 12 03:07:19 2006 -0400
Commit:     Kristian Høgsberg <krh@redhat.com>
CommitDate: Mon Jun 12 03:07:19 2006 -0400

    Make cairo_output_stream_t an embeddable type.
    
    Most internal cairo types are transparent within cairo and have init and fini
    functions to intialize and finialize them in place.  This way they can be
    easily be embedded in other structs or derived from.  Initially, the
    cairo_output_stream_t type was proposed as a publically visible type and
    thus kept opaque.  However, now it's only used internally and derived from
    in a number of places so let's make it an embeddable type for consistency
    and ease of use.
    
    The patch keeps _cairo_output_stream_create() and _cairo_output_stream_close()
    around for (internal) backwards compatibility by deriving a
    cairo_output_stream_with_closure_t stream type.
    
    The patch also moves all cairo_output_stream_t functions out of cairoint.h
    and into new file cairo-output-stream-private.h, thus chipping away at the
    monolithic cairoint.h.

 src/cairo-base85-stream.c |  1 +
 src/cairo-output-stream.c | 76 +++++++++++++++++++++++++++++++-----------
 src/cairo-pdf-surface.c   |  1 +
 src/cairo-ps-surface.c    |  1 +
 src/cairo-svg-surface.c   |  1 +
 src/cairoint.h            | 84 -----------------------------------------------
 6 files changed, 60 insertions(+), 104 deletions(-)

commit 9d3443e86ab32711d332b1474bc2fe23f9796723
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Mon Jun 12 14:18:25 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Mon Jun 12 14:18:25 2006 +0800

    xlib: bugfix for #7172.
    
    When the glyph format does not match the font format, the glyph will
    be rendered incorrectly. Setting the {x, y}_offset correctly when
    converting glyph format fix that.

 src/cairo-xlib-surface.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 79928101352a84af1884e993fd06bf6cd44f2af3
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Sun Jun 11 20:56:09 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Sun Jun 11 21:07:34 2006 +0200

    SVG: Sets fallback resolution when compositing a meta surface.
    
    For doing so, I've changed document owner to be the paginated surface,
    instead of the svg surface like previously. That's because fallback
    resolution is stored in paginated surface.

 src/cairo-svg-surface.c | 29 ++++++++++++++---------------
 1 file changed, 14 insertions(+), 15 deletions(-)

commit 7e1a01092c94c7b67e95f4f4ff27c76fb5b21295
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Sun Jun 11 18:37:59 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Sun Jun 11 18:37:59 2006 +0800

    freetype: build fix for _transform_glyph_bitmap.
    
    I sorry for this noise, I didn't notice cworth's device_{x, y}_offset
    changes. Now cairo builds again.
    paths...

 src/cairo-ft-font.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 4af28e639dcf7fe3332c0302295e6d590a505af7
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Sun Jun 11 18:16:46 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Sun Jun 11 18:16:46 2006 +0800

    ignore FC_MATRIX in font pattern.
    
    With previous commit, freetype font backend is able to transform
    both bitmap and outline glyphs, so ignores FC_MATRIX from now,
    cairo doesn't need this for artificial oblique. And cairo doesn't
    use FC_MATRIX direct anyway, it has its own font matrix that may be not
    equal to FC_MATRIX in the font pattern! You should pass the matrix
    (usually the matrix is multiplied by font's pixel size) to cairo when
    creating scaled font.

 src/cairo-ft-font.c | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

commit f5bc26b75dd030ada70f87113e2d132dfcb0b0f3
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Sun Jun 11 18:09:05 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Sun Jun 11 18:09:05 2006 +0800

    freetype: rework _transform_glyph_bitmap.
    
    This function is used to shape bitmap glyphs(outline glyphs are
    transformed by freetype). That means freetype backend is able to
    tranform both bitmap & outline glyphs now. This is needed for glyph
    rotating, artificial oblique etc.

 src/cairo-ft-font.c | 58 ++++++++++++++++++++++++++++++-----------------------
 1 file changed, 33 insertions(+), 25 deletions(-)

commit da9cd55afbb55ae70991e3f5b4c0dc5b9a58e0d6
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 16:31:05 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 16:31:05 2006 -0700

    ROADMAP: Note that cairo_surface_set_fallback_resolution is in place now.

 ROADMAP | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit 2f4210d346d10a2bff9a1ba74e6e9279cd4dddc3
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 11:20:21 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 11:20:21 2006 -0700

    Change _cairo_meta_surface_get_extents to return a bounded size.
    
    The old behavior of returning "infinite" extents is inconsistent with
    the current usage of meta-surface where it is always created for
    replay against a particular (sized) target surface and that size is
    passed to _cairo_meta_surface_create.
    
    Also clarify documentation of _cairo_surface_get_extents to eliminate
    the possibility of inifinite extents.

 src/cairo-meta-surface.c | 25 ++++++++++++++++---------
 src/cairo-surface.c      | 20 +++++++++++---------
 2 files changed, 27 insertions(+), 18 deletions(-)

commit d758d5104a09019b65c1b2e93fd5ab80b0e4d056
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 10:42:32 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 10:42:32 2006 -0700

    Don't create a new scaled_font if there's a device_offset but no device_scale.
    
    (This is covering up my mistake from the last batch of 12 commits which
    wasn't ready to be pushed yet. This fixes some of the crashes which
    were introduced, and is a good thing to do regardless.)

 src/cairo-surface.c | 34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit 0662928e4fd7bd432fdd815b95271d5c74eaba70
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 09:44:30 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 09:44:30 2006 -0700

    Clarify that fallback_resolution acts on a per-page granularity.
    
    This explains why the SVG result from the fallback-resolution test
    doesn't actually show multiple resolutions in effect at the same time.

 src/cairo-surface.c        |  5 +++++
 test/fallback-resolution.c | 16 ++++++++++++++++
 2 files changed, 21 insertions(+)

commit 13ba5316fbc4b9d2aac13da644f4c87069447246
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 09:15:31 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 09:15:31 2006 -0700

    Test PS and SVG backends in addition to PDF in test/fallback-resolution.

 test/.gitignore            |   2 +
 test/fallback-resolution.c | 112 ++++++++++++++++++++++++++++++++-------------
 2 files changed, 83 insertions(+), 31 deletions(-)

commit 6ca30e108f32862948fa332b31f60fa79b566d77
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 09:14:47 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 09:14:47 2006 -0700

    Add cairo_{ps,svg}_test_force_fallbacks so tests can force fallbacks.

 src/cairo-ps-surface.c  | 24 ++++++++++++++++++++++
 src/cairo-ps-test.h     | 54 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-svg-surface.c | 24 ++++++++++++++++++++++
 src/cairo-svg-test.h    | 54 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 156 insertions(+)

commit 100b30d1c09cb7fe73414c4d3466032a8c99b088
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 08:35:01 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 08:35:01 2006 -0700

    Fix font size when drawing text with a device_scale.
    
    The trick is to create a new scaled_font with the device_transform
    multiplied into the CTM within _cairo_surface_show_glyphs before
    calling into the backend. The fallback-resolution test shows that
    the font size is now correct.

 src/cairo-surface.c | 27 +++++++++++++++++++++++++--
 1 file changed, 25 insertions(+), 2 deletions(-)

commit 74857181c96c734d7e735cfc9862e22b01599913
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 08:29:14 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 08:29:14 2006 -0700

    Fix line width for stroking with a device_scale.
    
    The trick is to simply multiply the device_transform into the CTM
    within _cairo_surface_stroke before passing the CTM down to the
    backend. The fallback-resolution test shows that the stroke width is
    now correct.

 src/cairo-surface.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit ebb53b2572cc74f90d2afd03807b7d4f41a4965a
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 08:21:18 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 08:21:18 2006 -0700

    Add text and stroke to falback-resolution test (showing bugs in each).

 test/fallback-resolution.c | 42 +++++++++++++++++++++++++++++++++++-------
 1 file changed, 35 insertions(+), 7 deletions(-)

commit 6efeb1e19b4c30d6a88bd9248a1d67b791b8df0d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 08:19:41 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 08:19:41 2006 -0700

    Hook up device scaling so fallback_resolution starts working.
    
    Add new, private _cairo_surface_set_device_scale for getting at the
    scaling components of device_transform. Use this in paginated surface
    when replaying to an image surface. The fallback-resolution test now
    clearly shows that image fallback resolution can be controlled by the
    user. Hurrah!

 src/cairo-paginated-surface.c | 11 +++++++++--
 src/cairo-surface.c           | 39 +++++++++++++++++++++++++++++++++++++++
 src/cairoint.h                |  5 +++++
 3 files changed, 53 insertions(+), 2 deletions(-)

commit b129f747c5c7edc37982f286940d3583c74cfee9
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Jun 10 00:12:51 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Jun 10 00:12:51 2006 -0700

    Change {x,y}_device_offset values to a device_transform matrix.
    
    This is a step toward allowing device scaling in addition to device offsets.
    So far, the scale values are still always 1.0 so only the translation is
    actually being used. But most of the code is in place for doing scaling as
    well and it just needs to be hooked up.
    
    There are some fragile parts in this code, all of which involve using the
    translation without the scale, (so grep for device_transform.x0 or
    device_transform->x0). Some of these are likely bugs that will hopefully
    be obvious once we start using the scale. Others are OK if only because
    we 'know' that we aren't ever setting device scaling on a surface that
    has a device offset (we only set device scaling on surfaces we create
    internally and we don't export device scaling to the user).
    
    All of these fragile parts in the code have been marked with comments of
    the form: XXX: FRAGILE.

 src/cairo-clip.c             |  15 +++--
 src/cairo-directfb-surface.c |   5 +-
 src/cairo-ft-font.c          |  12 ++--
 src/cairo-glitz-surface.c    |   8 +--
 src/cairo-gstate.c           |  13 ++---
 src/cairo-matrix.c           |   8 +++
 src/cairo-path.c             |  29 ++++++++--
 src/cairo-scaled-font.c      |   5 +-
 src/cairo-surface-fallback.c |   3 +-
 src/cairo-surface.c          | 129 +++++++++++++++++++++++--------------------
 src/cairo-xlib-surface.c     |   8 +--
 src/cairo.c                  |   4 +-
 src/cairoint.h               |  13 +++--
 13 files changed, 144 insertions(+), 108 deletions(-)

commit 24da744d03e961078e68691225fb1363e47b2b22
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 9 23:59:24 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 9 23:59:24 2006 -0700

    doc: SGML template churn

 doc/public/tmpl/cairo-pdf.sgml    | 7 +++++++
 doc/public/tmpl/cairo-ps.sgml     | 7 +++++++
 doc/public/tmpl/cairo-status.sgml | 7 -------
 doc/public/tmpl/cairo-svg.sgml    | 7 +++++++
 4 files changed, 21 insertions(+), 7 deletions(-)

commit 999315cc0ad326d31c66f2e6fa1ae72dfb9bb57e
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 9 21:12:44 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 9 21:12:44 2006 -0700

    Rename device_{x,y}_offset to {x,y}_device_offset for better consitency/grepability

 src/cairo-clip.c             |  4 ++--
 src/cairo-directfb-surface.c |  4 ++--
 src/cairo-ft-font.c          |  8 +++----
 src/cairo-glitz-surface.c    |  8 +++----
 src/cairo-gstate.c           |  8 +++----
 src/cairo-scaled-font.c      |  4 ++--
 src/cairo-surface-fallback.c |  4 ++--
 src/cairo-surface.c          | 56 ++++++++++++++++++++++----------------------
 src/cairo-xlib-surface.c     |  8 +++----
 src/cairo.c                  |  4 ++--
 src/cairoint.h               |  4 ++--
 11 files changed, 56 insertions(+), 56 deletions(-)

commit 6f6bdb6663fc439387db6b410bf742de6b501015
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 9 16:54:09 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 9 16:54:09 2006 -0700

    Add REPLACED_BY macros to help porting to new set_fallback_resolution

 src/cairo.h | 3 +++
 1 file changed, 3 insertions(+)

commit b2f274b3e86983b312ec19e33b3a1231bd3e51d0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 9 16:52:17 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 9 16:52:17 2006 -0700

    New API: Replace cairo_{ps,pdf,svg}_set_dpi with new cairo_surface_set_fallback_resolution.
    
    This just provides the mechanics for storing the value and removing the old
    function calls. The new value is still not used anywhere (though nor where
    the old values), so there should be no functional change (other than forcing
    any programs calling the old API to be updated).

 src/cairo-pdf-surface.c    | 35 -----------------------------------
 src/cairo-pdf.h            |  5 -----
 src/cairo-ps-surface.c     | 35 -----------------------------------
 src/cairo-ps.h             |  5 -----
 src/cairo-surface.c        | 44 ++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-svg-surface.c    | 38 --------------------------------------
 src/cairo-svg.h            |  5 -----
 src/cairo.h                |  5 +++++
 src/cairoint.h             |  5 +++++
 test/cairo-test.c          |  6 +++---
 test/fallback-resolution.c |  2 +-
 11 files changed, 58 insertions(+), 127 deletions(-)

commit a812b3c4908ff296877a648915d5f06696eebe9e
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Jun 9 15:37:50 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Jun 9 15:37:50 2006 -0700

    Ignore ft-text-vertical-layout binary

 test/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit ac20c80960ccf233f9582da88f0d7aa4a181099e
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Fri Jun 9 07:06:51 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Fri Jun 9 07:06:51 2006 +0800

    freetype: Ignore global advance unconditionally.
    
    Global advance exists for historical reasons. Nowadays, most of fonts
    support unicode, means it's no guaranteed to every glyphs in the font
    has the same advance.Sometimes it maybe is biger/smaller then the global
    advance even for monospace fonts!So forcing their advance to global
    advance, it's obviously wrong.

 src/cairo-ft-font.c      | 3 +++
 src/cairo-xlib-surface.c | 3 +++
 2 files changed, 6 insertions(+)

commit d3c782320a76d8e79099e5c5dc03c7dd819573d7
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 7 17:38:09 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 7 17:38:09 2006 -0700

    Rename ft-text-vertical-layout reference image according to standard convention.
    
    The standard convention is that the ARGB32 reference image has no
    -argb32- component in its name (no real important reason, just
    historical). So let's be consist and rename:
    test/ft-text-vertical-layout-argb32-ref.png -> test/ft-text-vertical-layout-ref.png

 ...ayout-argb32-ref.png => ft-text-vertical-layout-ref.png} | Bin
 1 file changed, 0 insertions(+), 0 deletions(-)

commit b7b3d05d78f22b6b45c6a54f2647dbdaeb034d37
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 7 13:51:58 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 7 14:00:15 2006 -0700

    Fix bug in get-group-target (in the test itself) letting it now pass.

 test/get-group-target.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 45ca22e5e1a177a4dc9854cd310e5c683df058cb
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Thu Jun 8 04:06:30 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Thu Jun 8 04:06:30 2006 +0800

    Make image-*-ref.png image as reference image.

 ...rgb32-ref.png => ft-text-vertical-layout-argb32-ref.png} | Bin
 ...-rgb24-ref.png => ft-text-vertical-layout-rgb24-ref.png} | Bin
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 5ae2a78a297730cd9d2f45be9f23fbf6e2bffe7d
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Thu Jun 8 03:45:38 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Thu Jun 8 03:45:38 2006 +0800

    freetype: Fix for test case ft-text-vertial-layout.
    
    Fix scaled font metrics and glyph metrics calculation for vertical
    layout. Test case ft-text-vertial-layout passes now.

 src/cairo-ft-font.c | 130 +++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 97 insertions(+), 33 deletions(-)

commit 6b5be506ed160675232bea31b17f458040f6b2d8
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Thu Jun 8 03:33:38 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@gmail.com>
CommitDate: Thu Jun 8 03:33:38 2006 +0800

    Add ft-text-vertical-layout test case for vertical layout.

 test/Makefile.am                                  |   1 +
 test/ft-text-vertical-layout-image-argb32-ref.png | Bin 0 -> 1145 bytes
 test/ft-text-vertical-layout-image-rgb24-ref.png  | Bin 0 -> 1059 bytes
 test/ft-text-vertical-layout-pdf-argb32-ref.png   | Bin 0 -> 1018 bytes
 test/ft-text-vertical-layout-pdf-rgb24-ref.png    | Bin 0 -> 1037 bytes
 test/ft-text-vertical-layout-ps-argb32-ref.png    | Bin 0 -> 351 bytes
 test/ft-text-vertical-layout-ps-rgb24-ref.png     | Bin 0 -> 1086 bytes
 test/ft-text-vertical-layout-svg-argb32-ref.png   | Bin 0 -> 1106 bytes
 test/ft-text-vertical-layout-svg-rgb24-ref.png    | Bin 0 -> 1106 bytes
 test/ft-text-vertical-layout.c                    | 131 ++++++++++++++++++++++
 10 files changed, 132 insertions(+)

commit bb66d15a7998740b6ce2525ab5d852fb2966f8f8
Merge: 3594fd2d2 b7c7d2e57
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Thu Jun 8 02:38:17 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@localhost.localdomain>
CommitDate: Thu Jun 8 02:38:17 2006 +0800

    Merge branch 'master' of git+ssh://jinghua@git.cairographics.org/git/cairo

commit 3594fd2d273398b10748c8ed03c7a9da7af377fa
Author:     Jinghua Luo <sunmoon1997@gmail.com>
AuthorDate: Thu Jun 8 02:35:42 2006 +0800
Commit:     Jinghua Luo <sunmoon1997@localhost.localdomain>
CommitDate: Thu Jun 8 02:35:42 2006 +0800

    glitz: Don't hardcode content type when initializing cairo surface
    since we can compute it from glitz format.

 src/cairo-glitz-surface.c | 23 ++++++++++++++++++++---
 1 file changed, 20 insertions(+), 3 deletions(-)

commit b7c7d2e57c2721c3a900694d5620b3f45f495233
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 7 10:37:29 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 7 10:37:29 2006 -0700

    Add new test get-group-target (currently failing with paginated).
    
    This test exercises the combination of cairo_get_group_target along
    with cairo_surface_get_device_offset. Something funny is currently
    going on with the surfaces based on the paginated surface.

 test/.gitignore               |   1 +
 test/Makefile.am              |   2 ++
 test/get-group-target-ref.png | Bin 0 -> 134 bytes
 test/get-group-target.c       |  80 ++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 83 insertions(+)

commit 53bf2f8d5dd82e9cff0960ebec536597bc7701e9
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 7 10:29:33 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 7 10:29:33 2006 -0700

    Remove debugging "prints" of images from test/device-offset.c

 test/device-offset.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 32c0e85d45ee26c34ba1af0e4ba6ced044e469cc
Author:     Zakharov Mikhail <zmey20000@yahoo.com>
AuthorDate: Wed Jun 7 18:32:16 2006 +0400
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 7 09:42:48 2006 -0700

    pixman: fix compilation on HP-UX 11.11

 pixman/src/pixman.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3690eeb44cd86ac02eb21163d9a5e84784f6417d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 7 02:59:51 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 7 02:59:51 2006 -0700

    Change all instances of UINT16_MAX to INT16_MAX to avoid new bug.
    
    A recent renaming from CAIRO_MAXSHORT also changed the range of some
    values from INT16_MAX to UINT16_MAX. The test suite shows one case
    where this introduces a bug, (push/pop_group with SVG and RGB24
    surfaces).
    
    I haven't tracked the bug down, (presumably there's overflow of the
    unsigned value at some point), but I'm now reverting this to avoid
    triggering the bug.

 src/cairo-meta-surface.c | 4 ++--
 src/cairo-pattern.c      | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7f2cf378d595fa559401c76f051ca9b5e6809763
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Jun 7 01:17:53 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Jun 7 02:56:45 2006 -0700

    Fix MAX vs. MIN bug introduced with rename away from CAIRO_MINSHORT

 src/cairo-traps.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf458c9c67120a2d175f18447dd710060f0ba014
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 17:06:57 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 17:06:57 2006 -0700

    win32: Add conditional definitions for INT16_{MIN,MAX} and UINT16_MAX now that we use them.

 src/cairo-wideint.h | 9 +++++++++
 1 file changed, 9 insertions(+)

commit c1855f17624c62e1f7451b3c673bca23a4575ff7
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 16:59:59 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 16:59:59 2006 -0700

    Remove CAIRO_{MIN,MAX}SHORT which did not distinguish signed vs. unsigned.
    
    Instead, use the standard INT16_{MIN,MAX} and UINT16_{MIN,MAX} as
    appropriate.

 src/cairo-meta-surface.c | 4 ++--
 src/cairo-pattern.c      | 8 ++++----
 src/cairo-scaled-font.c  | 4 ++--
 src/cairo-traps.c        | 4 ++--
 src/cairoint.h           | 3 ---
 5 files changed, 10 insertions(+), 13 deletions(-)

commit 746f66c3fce6de39ac9afa7be8bcf8f74c750e85
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 16:54:03 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 16:54:03 2006 -0700

    Fix bogus cairo_rectangle_fixed_t to be cairo_rectangle_int16_t.
    
    This rectangle has regular integer values, not fixed-point values.
    So the old name was horribly wrong and misleading, (and yes I think
    it was even I that had suggested it).

 src/cairo-analysis-surface.c         |  2 +-
 src/cairo-atsui-font.c               |  2 +-
 src/cairo-clip-private.h             |  6 ++---
 src/cairo-clip.c                     |  6 ++---
 src/cairo-directfb-surface.c         | 16 ++++++-------
 src/cairo-glitz-surface.c            | 16 ++++++-------
 src/cairo-image-surface.c            | 12 +++++-----
 src/cairo-meta-surface.c             |  2 +-
 src/cairo-paginated-surface.c        |  6 ++---
 src/cairo-pattern.c                  |  4 ++--
 src/cairo-pdf-surface.c              |  4 ++--
 src/cairo-ps-surface.c               |  4 ++--
 src/cairo-quartz-private.h           |  2 +-
 src/cairo-quartz-surface.c           | 10 ++++----
 src/cairo-rectangle.c                | 10 ++++----
 src/cairo-region.c                   |  8 +++----
 src/cairo-scaled-font.c              |  2 +-
 src/cairo-surface-fallback-private.h |  2 +-
 src/cairo-surface-fallback.c         | 42 +++++++++++++++++-----------------
 src/cairo-surface.c                  | 36 ++++++++++++++---------------
 src/cairo-svg-surface.c              |  2 +-
 src/cairo-win32-private.h            |  4 ++--
 src/cairo-win32-surface.c            | 12 +++++-----
 src/cairo-xcb-surface.c              | 18 +++++++--------
 src/cairo-xlib-surface.c             | 20 ++++++++--------
 src/cairo.c                          |  2 +-
 src/cairoint.h                       | 44 ++++++++++++++++++------------------
 src/test-fallback-surface.c          | 10 ++++----
 src/test-meta-surface.c              |  4 ++--
 src/test-paginated-surface.c         |  2 +-
 30 files changed, 155 insertions(+), 155 deletions(-)

commit 5570bf0a9e99019ac24b2b856455afcf360c14fc
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 16:36:24 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 16:36:24 2006 -0700

    CODING_STYLE: Fix misspellings.

 CODING_STYLE | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a21a2e935d3a75b045ce5f7e917524052f018758
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 16:28:15 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 16:28:15 2006 -0700

    CODING_STYLE: Add notes on avoiding trailing whitespace.

 CODING_STYLE | 20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

commit ef10a0403a8a466199615e34a34df9ea860ef9c0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 15:50:33 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 15:50:33 2006 -0700

    Remove initial, final, and duplicate blank lines.
    
    This patch was produced by running git-stripspace on all *.[ch] files
    within cairo. Note that this script would have also created all the changes
    from the previous commits to remove trailing whitespace.

 doc/tutorial/src/include/cairo-tutorial.h |  1 -
 pixman/src/fbcompose.c                    | 15 ---------------
 pixman/src/fbedge.c                       |  1 -
 pixman/src/fbmmx.c                        |  7 -------
 pixman/src/fbpict.c                       |  4 ----
 pixman/src/fbpict.h                       |  1 -
 pixman/src/icbltone.c                     |  1 -
 pixman/src/icimage.c                      |  1 -
 pixman/src/icimage.h                      |  1 -
 pixman/src/icint.h                        | 11 -----------
 pixman/src/icpixels.c                     |  1 -
 pixman/src/icrect.c                       |  2 --
 pixman/src/ictransform.c                  |  1 -
 pixman/src/ictri.c                        |  1 -
 pixman/src/icutil.c                       |  1 -
 pixman/src/pixman-xserver-compat.h        |  1 -
 pixman/src/pixman.h                       | 10 ----------
 pixman/src/pixregion.c                    | 12 ------------
 pixman/src/pixregionint.h                 |  1 -
 pixman/src/renderedge.c                   |  1 -
 src/cairo-analysis-surface.c              |  2 --
 src/cairo-array.c                         |  1 -
 src/cairo-atsui-font.c                    |  6 ------
 src/cairo-base85-stream.c                 |  1 -
 src/cairo-beos.h                          |  1 -
 src/cairo-cache.c                         |  2 --
 src/cairo-clip.c                          |  2 --
 src/cairo-debug.c                         |  1 -
 src/cairo-directfb-surface.c              | 11 -----------
 src/cairo-directfb.h                      |  9 ---------
 src/cairo-font-subset-private.h           |  1 -
 src/cairo-font-subset.c                   |  2 --
 src/cairo-ft-font.c                       |  1 -
 src/cairo-glitz-surface.c                 |  1 -
 src/cairo-matrix.c                        |  3 ---
 src/cairo-output-stream.c                 |  2 --
 src/cairo-path-fill.c                     |  1 -
 src/cairo-path.c                          |  1 -
 src/cairo-pdf-surface.c                   |  2 --
 src/cairo-pdf-test.h                      |  1 -
 src/cairo-png.c                           |  1 -
 src/cairo-ps-surface.c                    |  1 -
 src/cairo-quartz-surface.c                |  1 -
 src/cairo-quartz.h                        |  1 -
 src/cairo-region.c                        |  1 -
 src/cairo-scaled-font-subsets.c           |  1 -
 src/cairo-scaled-font.c                   |  1 -
 src/cairo-slope.c                         |  4 ----
 src/cairo-spline.c                        |  1 -
 src/cairo-stroke-style.c                  |  1 -
 src/cairo-svg-surface.c                   |  1 -
 src/cairo-traps.c                         |  1 -
 src/cairo-unicode.c                       |  3 ---
 src/cairo-win32-font.c                    |  3 ---
 src/cairo-win32-surface.c                 |  2 --
 src/cairo-xcb-surface.c                   |  1 -
 src/cairo-xlib-surface.c                  |  3 ---
 src/cairo-xlib-test.h                     |  1 -
 src/cairo-xlib-xrender.h                  |  1 -
 src/cairo-xlib.h                          |  1 -
 src/cairo.c                               |  3 ---
 src/cairo.h                               |  3 ---
 src/cairoint.h                            |  4 ----
 test/buffer-diff.c                        |  1 -
 test/buffer-diff.h                        |  2 --
 test/cairo-test-directfb.c                |  4 ----
 test/cairo-test.c                         |  2 --
 test/font-face-get-type.c                 |  4 ----
 test/push-group.c                         |  2 --
 test/read-png.c                           |  1 -
 test/surface-finish-twice.c               |  1 -
 test/text-cache-crash.c                   |  1 -
 test/xmalloc.c                            |  1 -
 73 files changed, 184 deletions(-)

commit 5278de09973c3e41028dc80a8862db01fc70cf11
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 15:41:31 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 15:41:31 2006 -0700

    Remove all remaining trailing whitespace.
    
    This patch was produced with the following (GNU) sed script:
    
            sed -i -r -e 's/[ \t]+$//'
    
    run on all *.[ch] files within cairo.
    
    Note that the above script would have also created all the changes
    from the previous commits to remove trailing whitespace.

 doc/tutorial/src/include/cairo-tutorial-gtk.h |   6 +-
 doc/tutorial/src/include/cairo-tutorial-pdf.h |   2 +-
 doc/tutorial/src/include/cairo-tutorial-png.h |   2 +-
 pixman/src/fbcompose.c                        |   2 +-
 pixman/src/fbmmx.c                            |   8 +-
 pixman/src/fbpict.c                           |  10 +-
 pixman/src/icblt.c                            |  42 ++++-----
 pixman/src/icbltone.c                         |   8 +-
 pixman/src/icformat.c                         |   4 +-
 pixman/src/icimage.c                          |   6 +-
 pixman/src/icimage.h                          |   2 +-
 pixman/src/icint.h                            |   8 +-
 pixman/src/icrect.c                           |  16 ++--
 pixman/src/ictransform.c                      |   2 +-
 pixman/src/ictrap.c                           |   4 +-
 pixman/src/ictri.c                            |   4 +-
 pixman/src/pixman-xserver-compat.h            |   2 +-
 pixman/src/pixman.h                           |   8 +-
 pixman/src/pixregion.c                        |  22 ++---
 pixman/src/pixregionint.h                     |   8 +-
 pixman/src/slim_internal.h                    |   2 +-
 src/cairo-atsui-font.c                        |  18 ++--
 src/cairo-clip.c                              |   4 +-
 src/cairo-directfb-surface.c                  |  60 ++++++------
 src/cairo-directfb.h                          |   4 +-
 src/cairo-font-options.c                      |   4 +-
 src/cairo-font-subset.c                       |   4 +-
 src/cairo-font.c                              |   8 +-
 src/cairo-ft-font.c                           |  34 +++----
 src/cairo-gstate.c                            |  32 +++----
 src/cairo-hash.c                              |   6 +-
 src/cairo-matrix.c                            |  28 +++---
 src/cairo-meta-surface.c                      |   4 +-
 src/cairo-path.c                              |   2 +-
 src/cairo-pattern.c                           |   4 +-
 src/cairo-pen.c                               |   6 +-
 src/cairo-polygon.c                           |   2 +-
 src/cairo-ps-surface.c                        |   8 +-
 src/cairo-quartz-surface.c                    |   6 +-
 src/cairo-scaled-font-subsets.c               |   2 +-
 src/cairo-scaled-font.c                       |  34 +++----
 src/cairo-slope.c                             |   2 +-
 src/cairo-surface-fallback.c                  |  12 +--
 src/cairo-surface.c                           |   8 +-
 src/cairo-svg-surface.c                       | 126 +++++++++++++-------------
 src/cairo-traps.c                             |   2 +-
 src/cairo-unicode.c                           |   2 +-
 src/cairo-wideint.c                           |   2 +-
 src/cairo-win32-font.c                        |  30 +++---
 src/cairo-win32-surface.c                     |  12 +--
 src/cairo-xcb-surface.c                       |   4 +-
 src/cairo-xlib-surface.c                      |  32 +++----
 src/cairo.c                                   |  18 ++--
 src/cairo.h                                   |  14 +--
 src/cairoint.h                                |  56 ++++++------
 test/cairo-test-directfb.c                    |  16 ++--
 test/cairo-test.c                             |  28 +++---
 test/cairo-test.h                             |   2 +-
 test/imagediff.c                              |   2 +-
 test/write-png.c                              |   2 +-
 60 files changed, 404 insertions(+), 404 deletions(-)

commit 00592e075754594605fddfb2a702f3d2caa7c55c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 15:38:58 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 15:38:58 2006 -0700

    Remove trailing whitespace from lines with a single brace.
    
    This patch was produced with the following (GNU) sed script:
    
            sed -i -r -e '/^[ \t]*[{}][ \t]*/ s/[ \t]+$//'
    
    run on all *.[ch] files within cairo.

 pixman/src/fbmmx.c           | 6 +++---
 pixman/src/icimage.c         | 4 ++--
 src/cairo-atsui-font.c       | 2 +-
 src/cairo-clip.c             | 2 +-
 src/cairo-directfb-surface.c | 4 ++--
 src/cairo-font-options.c     | 2 +-
 src/cairo-font-subset.c      | 2 +-
 src/cairo-font.c             | 2 +-
 src/cairo-ft-font.c          | 2 +-
 src/cairo-hash.c             | 4 ++--
 src/cairo-image-surface.c    | 2 +-
 src/cairo-pattern.c          | 2 +-
 src/cairo-png.c              | 2 +-
 src/cairo-rectangle.c        | 2 +-
 src/cairo-surface.c          | 2 +-
 src/cairo-svg-surface.c      | 4 ++--
 src/cairo-win32-surface.c    | 4 ++--
 test/clip-operator.c         | 2 +-
 test/operator-clear.c        | 4 ++--
 test/operator-source.c       | 4 ++--
 test/unbounded-operator.c    | 4 ++--
 21 files changed, 31 insertions(+), 31 deletions(-)

commit 4670366ede0b0ed1abf47f4595a64bc5cd3c19fc
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 15:35:48 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 15:35:48 2006 -0700

    Remove trailing whitespace from lines that look like comments.
    
    This patch was produced with the following (GNU) sed script:
    
            sed -i -r -e '/^[ \t]*\/?\*/ s/[ \t]+$//'
    
    run on all *.[ch] files within cairo, (though I manually excluded
    src/cairo-atsui-font.c which has a code line that appears as a comment
    to this script).

 doc/tutorial/src/include/cairo-tutorial-xlib.h |   2 +-
 pixman/src/fbmmx.c                             |   8 +-
 pixman/src/fbmmx.h                             |   2 +-
 pixman/src/icbltone.c                          |  10 +-
 pixman/src/iccolor.c                           |   2 +-
 pixman/src/icformat.c                          |   2 +-
 pixman/src/icimage.c                           |   4 +-
 pixman/src/icint.h                             |   8 +-
 pixman/src/icrop.h                             |   2 +-
 pixman/src/ictransform.c                       |   2 +-
 pixman/src/pixregion.c                         |  12 +-
 pixman/src/slim_internal.h                     |   2 +-
 src/cairo-arc.c                                |   4 +-
 src/cairo-array.c                              |  32 ++---
 src/cairo-base85-stream.c                      |   2 +-
 src/cairo-cache.c                              |  30 ++---
 src/cairo-clip-private.h                       |   2 +-
 src/cairo-debug.c                              |   2 +-
 src/cairo-font-options.c                       |  46 +++----
 src/cairo-font.c                               |  22 ++--
 src/cairo-ft-font.c                            |  22 ++--
 src/cairo-gstate.c                             |  14 +--
 src/cairo-hash.c                               |  30 ++---
 src/cairo-hull.c                               |   2 +-
 src/cairo-image-surface.c                      |  30 ++---
 src/cairo-matrix.c                             |  28 ++---
 src/cairo-meta-surface.c                       |   6 +-
 src/cairo-output-stream.c                      |   2 +-
 src/cairo-path-data.c                          |  14 +--
 src/cairo-path-stroke.c                        |   6 +-
 src/cairo-pattern.c                            |  60 ++++-----
 src/cairo-pdf-surface.c                        |   2 +-
 src/cairo-pen.c                                |   2 +-
 src/cairo-png.c                                |  20 +--
 src/cairo-ps-surface.c                         |  16 +--
 src/cairo-region.c                             |   6 +-
 src/cairo-scaled-font-subsets-private.h        |  12 +-
 src/cairo-scaled-font.c                        |  38 +++---
 src/cairo-surface-fallback.c                   |   6 +-
 src/cairo-surface.c                            |  68 +++++-----
 src/cairo-svg-surface.c                        |  18 +--
 src/cairo-svg.h                                |   2 +-
 src/cairo-traps.c                              |   8 +-
 src/cairo-unicode.c                            |  10 +-
 src/cairo-win32-font.c                         |  14 +--
 src/cairo-win32-surface.c                      |  16 +--
 src/cairo-xcb-surface.c                        |  20 +--
 src/cairo-xlib-surface.c                       |  24 ++--
 src/cairo.c                                    | 166 ++++++++++++-------------
 src/cairo.h                                    |   6 +-
 src/cairoint.h                                 |   8 +-
 test/buffer-diff.c                             |   2 +-
 test/buffer-diff.h                             |   2 +-
 test/cairo-test.c                              |   4 +-
 test/cairo-test.h                              |   2 +-
 test/imagediff.c                               |   2 +-
 test/rectangle-rounding-error.c                |   8 +-
 57 files changed, 446 insertions(+), 446 deletions(-)

commit 80b8deb1e4f9d0b856106031c6a7a629cca7552c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Jun 6 15:25:49 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Jun 6 15:25:49 2006 -0700

    Remove extraneous whitespace from "blank" lines.
    
    This patch was produced with the following (GNU) sed script:
    
            sed -i -r -e 's/^[ \t]+$//'
    
    run on all *.[ch] files within cairo.

 doc/tutorial/src/include/cairo-tutorial-gtk.h |   2 +-
 doc/tutorial/src/include/cairo-tutorial-pdf.h |   2 +-
 doc/tutorial/src/include/cairo-tutorial-png.h |   2 +-
 doc/tutorial/src/lca.c                        |   6 +-
 pixman/src/fbcompose.c                        |   6 +-
 pixman/src/fbedge.c                           |   4 +-
 pixman/src/fbedgeimp.h                        |   8 +-
 pixman/src/fbmmx.c                            | 530 +++++++++++++-------------
 pixman/src/fbpict.c                           |   8 +-
 pixman/src/fbpict.h                           |   2 +-
 pixman/src/fbtrap.c                           |  24 +-
 pixman/src/icblt.c                            |  54 +--
 pixman/src/icbltone.c                         |  38 +-
 pixman/src/icformat.c                         |  24 +-
 pixman/src/icimage.c                          |  18 +-
 pixman/src/icimage.h                          |   6 +-
 pixman/src/icint.h                            |  26 +-
 pixman/src/icrect.c                           |  12 +-
 pixman/src/icrop.h                            |   4 +-
 pixman/src/icstipple.c                        |   6 +-
 pixman/src/ictrap.c                           |   8 +-
 pixman/src/ictri.c                            |  26 +-
 pixman/src/icutil.c                           |   2 +-
 pixman/src/pixregion.c                        |  32 +-
 pixman/src/renderedge.c                       |  12 +-
 src/cairo-analysis-surface.c                  |   2 +-
 src/cairo-arc.c                               |   2 +-
 src/cairo-atsui-font.c                        |  24 +-
 src/cairo-base85-stream.c                     |   2 +-
 src/cairo-clip.c                              |  26 +-
 src/cairo-directfb-surface.c                  |   6 +-
 src/cairo-font-options.c                      |   8 +-
 src/cairo-font-subset.c                       |   6 +-
 src/cairo-font.c                              |  10 +-
 src/cairo-ft-font.c                           | 196 +++++-----
 src/cairo-gstate-private.h                    |   2 +-
 src/cairo-gstate.c                            |  80 ++--
 src/cairo-hash.c                              |  14 +-
 src/cairo-image-surface.c                     |  28 +-
 src/cairo-lzw.c                               |   2 +-
 src/cairo-matrix.c                            |  84 ++--
 src/cairo-meta-surface.c                      |  10 +-
 src/cairo-operator.c                          |   8 +-
 src/cairo-output-stream.c                     |  14 +-
 src/cairo-paginated-surface.c                 |   8 +-
 src/cairo-path-bounds.c                       |   8 +-
 src/cairo-path-fill.c                         |   2 +-
 src/cairo-path-stroke.c                       |  16 +-
 src/cairo-pattern.c                           |  44 +--
 src/cairo-pen.c                               |  10 +-
 src/cairo-png.c                               |  12 +-
 src/cairo-ps-surface.c                        |  36 +-
 src/cairo-quartz-surface.c                    |  16 +-
 src/cairo-region.c                            |   2 +-
 src/cairo-scaled-font-subsets.c               |   2 +-
 src/cairo-scaled-font.c                       |  90 ++---
 src/cairo-spline.c                            |   2 +-
 src/cairo-surface-fallback.c                  |  82 ++--
 src/cairo-surface.c                           |  44 +--
 src/cairo-svg-surface.c                       | 100 ++---
 src/cairo-traps.c                             |  38 +-
 src/cairo-unicode.c                           |  30 +-
 src/cairo-wideint.c                           |  16 +-
 src/cairo-wideint.h                           |   2 +-
 src/cairo-win32-font.c                        | 106 +++---
 src/cairo-win32-private.h                     |   6 +-
 src/cairo-win32-surface.c                     |  96 ++---
 src/cairo-xcb-surface.c                       |  36 +-
 src/cairo-xlib-private.h                      |   4 +-
 src/cairo-xlib-screen.c                       |  32 +-
 src/cairo-xlib-surface.c                      | 154 ++++----
 src/cairo.c                                   |  18 +-
 src/cairo.h                                   |   8 +-
 src/cairoint.h                                |  34 +-
 src/test-fallback-surface.c                   |   4 +-
 src/test-meta-surface.c                       |   2 +-
 test/cairo-test.c                             |  24 +-
 test/caps-joins.c                             |   2 +-
 test/clip-all.c                               |   2 +-
 test/clip-nesting.c                           |   4 +-
 test/clip-operator.c                          |  12 +-
 test/dash-offset-negative.c                   |   8 +-
 test/fill-and-stroke.c                        |   2 +-
 test/filter-nearest-offset.c                  |   2 +-
 test/font-face-get-type.c                     |   2 +-
 test/get-and-set.c                            |   2 +-
 test/gradient-alpha.c                         |   2 +-
 test/linear-gradient.c                        |   8 +-
 test/mask.c                                   |   8 +-
 test/operator-clear.c                         |  12 +-
 test/operator-source.c                        |  14 +-
 test/ps-features.c                            |   2 +-
 test/rectangle-rounding-error.c               |   2 +-
 test/rel-path.c                               |   4 +-
 test/self-copy.c                              |   6 +-
 test/source-clip.c                            |   2 +-
 test/surface-pattern.c                        |   2 +-
 test/svg-clip.c                               |   2 +-
 test/text-pattern.c                           |  10 +-
 test/text-rotate.c                            |   2 +-
 test/transforms.c                             |   2 +-
 test/trap-clip.c                              |   4 +-
 test/unbounded-operator.c                     |  12 +-
 test/user-data.c                              |   2 +-
 test/write-png.c                              |   2 +-
 test/xlib-surface.c                           |  18 +-
 106 files changed, 1311 insertions(+), 1311 deletions(-)

commit 28d47d332aafa81bcbc669603357298cb0a14322
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon Jun 5 14:25:13 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon Jun 5 14:25:22 2006 -0700

    Move rectangle functions to new cairo-rectangle.c

 src/Makefile.am       |  1 +
 src/cairo-gstate.c    | 46 ----------------------------
 src/cairo-rectangle.c | 85 +++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 86 insertions(+), 46 deletions(-)

commit 3d9dc96d186c9093da24c7bbf36614f3d8df1758
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 25 02:28:09 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon Jun 5 14:25:21 2006 -0700

    New API: Add cairo_image_surface_get_{data,format,stride}

 src/cairo-image-surface.c | 69 +++++++++++++++++++++++++++++++++++++++++++++++
 src/cairo.h               |  9 +++++++
 2 files changed, 78 insertions(+)

commit 0c49666231e42a3f968ad46a0aa58fc7b854b258
Author:     Jeff Muizelaar <jeff@freiheit.infidigm.net>
AuthorDate: Sat May 27 02:23:09 2006 -0400
Commit:     Jeff Muizelaar <jeff@freiheit.infidigm.net>
CommitDate: Mon May 29 18:50:32 2006 -0400

    Only destroy scaled glyphs if they are not in the cache.
    
    Previously, when scaled_glyph_init failed we would destroy the scaled glyph in
    CLEANUP. However, this causes trouble later because there is still a reference
    to the glyph in the cache. This remaining reference causes a number of bad things,
    including a double destruction when the cache is destroyed.

 src/cairo-scaled-font.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit bafdded8ee43632e5f60307e53f0489be0afc3c4
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Sun May 28 13:25:57 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Sun May 28 13:39:34 2006 -0400

    Remove cairo_public from _cairo_lzw_compress() definition.

 src/cairo-lzw.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 84c6f879631b3d3ca63c3fd99b9cb68b111d283f
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Sun May 28 13:38:50 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Sun May 28 13:38:50 2006 -0400

    Clarify licensing of float formatting code.

 src/cairo-output-stream.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 79c86b04a7848830998e1a5344c6a9ecf9113789
Author:     Christian Biesinger <cbiesinger@web.de>
AuthorDate: Sun May 28 16:50:54 2006 +0200
Commit:     Christian Biesinger <cbiesinger@web.de>
CommitDate: Sun May 28 16:50:54 2006 +0200

    Add "html" Makefile target to run make-html.pl

 test/Makefile.am | 7 +++++++
 1 file changed, 7 insertions(+)

commit 508d0955fb3a851919233f27b5fe9408c85fa053
Author:     Christian Biesinger <cbiesinger@web.de>
AuthorDate: Thu May 25 21:54:54 2006 +0200
Commit:     Christian Biesinger <cbiesinger@web.de>
CommitDate: Sat May 27 15:00:49 2006 +0200

    Distribute make-html.pl

 test/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit f072d4ed66f78bd4fba4fb44e30f3ddd3f10fc33
Author:     Christian Biesinger <cbiesinger@web.de>
AuthorDate: Thu May 25 21:21:31 2006 +0200
Commit:     Christian Biesinger <cbiesinger@web.de>
CommitDate: Thu May 25 21:21:31 2006 +0200

    Add missing reference images to EXTRA_DIST

 test/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 0b63baba6e8c3f2f6da52d4476ec595ff87dfc93
Author:     Christian Biesinger <cbiesinger@web.de>
AuthorDate: Thu May 25 17:29:01 2006 +0200
Commit:     Christian Biesinger <cbiesinger@web.de>
CommitDate: Thu May 25 17:29:01 2006 +0200

    Make BeOS compile again
    
    ..by passing the cairo_content_t to _cairo_surface_init

 src/cairo-beos-surface.cpp | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 22232be7592dadc22fef614aefee9c9398a8510c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 24 17:24:52 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 24 17:24:52 2006 -0700

    Note the changed semantics of cairo_surface_set_device_offset
    
    Specifically, device offsets now affect using the offset surface in
    a source pattern as well as drawing to the surface. This behavior
    os also verified with a new test case: test/device-offset.c

 src/cairo-surface.c              |   4 +-
 test/.gitignore                  |   1 +
 test/Makefile.am                 |   1 +
 test/device-offset-ref.png       | Bin 0 -> 137 bytes
 test/device-offset-rgb24-ref.png | Bin 0 -> 130 bytes
 test/device-offset.c             |  93 +++++++++++++++++++++++++++++++++++++++
 6 files changed, 97 insertions(+), 2 deletions(-)

commit d0dd3b822e98358e88f8c9261ef633331548ccfd
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 24 17:05:51 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 24 17:19:00 2006 -0700

    New API: Add new function cairo_surface_get_content
    
    This assumes that the directfb, glitz, and quartz backends
    always create surfaces with content of COLOR_ALPHA which might
    be totally wrong.

 src/cairo-analysis-surface.c  |  5 ++-
 src/cairo-directfb-surface.c  |  4 +-
 src/cairo-glitz-surface.c     |  4 +-
 src/cairo-image-surface.c     |  3 +-
 src/cairo-meta-surface.c      |  6 ++-
 src/cairo-paginated-surface.c |  3 +-
 src/cairo-pdf-surface.c       |  3 +-
 src/cairo-ps-surface.c        |  3 +-
 src/cairo-quartz-surface.c    |  4 +-
 src/cairo-surface.c           | 22 +++++++++-
 src/cairo-svg-surface.c       |  3 +-
 src/cairo-win32-surface.c     |  6 ++-
 src/cairo-xcb-surface.c       | 29 +++++++++++++-
 src/cairo-xlib-surface.c      | 93 ++++++++++++++++++++++++-------------------
 src/cairo.h                   |  3 ++
 src/cairoint.h                |  5 ++-
 src/test-fallback-surface.c   |  3 +-
 src/test-meta-surface.c       |  3 +-
 src/test-paginated-surface.c  |  3 +-
 test/cairo-test.c             | 18 +++++++++
 20 files changed, 162 insertions(+), 61 deletions(-)

commit 0796845ae6923f3ccef5df231b7d9a2c145063fd
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 24 14:03:49 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 24 14:03:49 2006 -0700

    Add new fallback-resolution test for bug in cairo_pdf_surface_set_dpi

 test/.gitignore            |  2 ++
 test/Makefile.am           |  1 +
 test/fallback-resolution.c | 84 ++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 87 insertions(+)

commit 11b2481862e15a2cdedae347eab4347f7b63f715
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 24 14:02:30 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 24 14:02:30 2006 -0700

    PDF: Add new, private test function: cairo_pdf_test_force_fallbacks

 doc/public/Makefile.am  |  1 +
 src/Makefile.am         |  2 +-
 src/cairo-pdf-surface.c | 26 ++++++++++++++++++++++-
 src/cairo-pdf-test.h    | 55 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 82 insertions(+), 2 deletions(-)

commit 65b9217cadcd09f1ed18aa0da38d0b72b6438780
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 24 11:37:05 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 24 11:37:05 2006 -0700

    cairo-xlib-test: Rename cairo_test_xlib function prefix to cairo_xlib_test

 src/cairo-xlib-surface.c | 4 ++--
 src/cairo-xlib-test.h    | 2 +-
 test/xlib-surface.c      | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 5acce60291fe0b61a67ff1e803b6226db576c233
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 24 10:35:24 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 24 10:35:24 2006 -0700

    Typo fixes

 test/pdf-features.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a5a72676bd34ac6bfdf5e0bcfd3fb21fcbada673
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 23 13:41:44 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 23 13:41:44 2006 -0700

    ROADMAP: Note that the cairo_set_line_width issue is resolved

 ROADMAP | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4476dda49b709875b8204567168752c15927480
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 23 13:41:00 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 23 13:41:00 2006 -0700

    PDF: Move dash operator before path construction operators.
    
    I don't recall anything about this in the PDF reference, (though I
    also didn't look specifically for it), but without this acroread
    is quite unhappy with cairo's PDF output when it includes dashing.

 src/cairo-pdf-surface.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 59885c6a122f593b417cb47dbd676eeac0cd8f69
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 23 12:08:20 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 23 12:13:20 2006 -0700

    Clarify the documentation for cairo_set_dash
    
    Note that dash length units are evaluated in the user space
    at the time of the stroke operation, (not the user space at
    the time of cairo_set_dash).

 src/cairo.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 68b41cfd06dd6c798f8045ba1580342669ef5539
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 23 11:23:27 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 23 12:13:20 2006 -0700

    PDF: Share path callbacks for fill and stroke.

 src/cairo-pdf-surface.c | 112 ++++++++++++++++--------------------------------
 1 file changed, 36 insertions(+), 76 deletions(-)

commit 7e5bef2439be93e46583c0922f68ad770179fa1e
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 23 11:17:01 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 23 12:13:20 2006 -0700

    PDF: Rename pdf_stroke_t to pdf_path_into_t for future sharing with fill

 src/cairo-pdf-surface.c | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 1b1b59a4a9cdeab0f3c360c09721aff23154015f
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 23 11:12:09 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 23 12:13:20 2006 -0700

    New test: dash-scale
    
    Tests interactions of cairo_set_dash and cairo_scale, (in particular with a
    non-uniformly scaled pen).

 test/.gitignore                   |   1 +
 test/Makefile.am                  |   2 +
 test/dash-scale-ps-argb32-ref.png | Bin 0 -> 2950 bytes
 test/dash-scale-ref.png           | Bin 0 -> 7791 bytes
 test/dash-scale.c                 | 125 ++++++++++++++++++++++++++++++++++++++
 5 files changed, 128 insertions(+)

commit 0755a619a101b89f5c5439f12e0544ab5ecac997
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 23 10:54:54 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 23 12:13:19 2006 -0700

    SVG: Fix for line-width-scale
    
    Use the same approach as the PDF backend: emit the pen matrix as the
    SVG transform for the stroke, and compensate by first transforming all path
    coordinates by the ctm_inverse.

 src/cairo-svg-surface.c | 63 ++++++++++++++++++++++++++++++++-----------------
 1 file changed, 41 insertions(+), 22 deletions(-)

commit b1231e2ef349af1c0b130880603a924ff67b2967
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 23 10:45:18 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 23 12:13:19 2006 -0700

    Codify 1.0 behavior of cairo_set_line_width as a feature, not a bug.
    
    Clarify the documentation of cairo_set_line_width to indicate that the
    value will be interpreted within the user space at the time of the
    stroke.
    
    Also adjust the comments in test/line-width-scale as well as the
    reference images for that test to match.

 src/cairo.c                             |  25 +++++++++++++++++++------
 test/line-width-scale-ps-argb32-ref.png | Bin 1470 -> 1599 bytes
 test/line-width-scale-ref.png           | Bin 4884 -> 6445 bytes
 test/line-width-scale.c                 |  28 +++++++++++++++-------------
 4 files changed, 34 insertions(+), 19 deletions(-)

commit 0a1ec91977ef05f04e2cc52895fd98a903f1c8eb
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 22 09:22:42 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 22 09:31:31 2006 -0700

    Move prototype of cairo_debug_reset_static_data from uninstalled cairo-debug.h to cairo.h

 src/Makefile.am   |  4 +---
 src/cairo-debug.h | 48 ------------------------------------------------
 src/cairo.h       |  4 ++++
 src/cairoint.h    |  1 -
 test/cairo-test.h |  1 -
 5 files changed, 5 insertions(+), 53 deletions(-)

commit 27e9e3cecd354475047ac268d5ef52eba3f041f1
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Fri May 19 02:17:35 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Fri May 19 02:17:35 2006 -0400

    Handle seac charstring commands correctly.
    
     - Include PS standard encoding table so we can map from standard
       encoding indices to glyph names and then make sure to include the
       glyph of that name.
     - Cut out verbose debugging code.
     - Fix a couple of bugs in glyph name to index lookup code.

 src/cairo-type1-subset.c | 218 +++++++++++++++++++----------------------------
 1 file changed, 90 insertions(+), 128 deletions(-)

commit 89384ae12474c257fb47e4231229235207ab8f85
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 18 21:48:38 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 21:48:38 2006 -0700

    PDF: Squelch a couple of bogus "may be used uninitialized" warnings.

 src/cairo-pdf-surface.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e2713057f80c412a3ba947f9c7af2f18dd26105e
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Wed Mar 15 14:10:59 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 21:44:23 2006 -0700

    Define kCGBitmapByteOrder32Host for when the SDK doesn't define it
    (cherry picked from bd9b5d29e39f424e912184dcd0dc2610637d5fdf commit)

 src/cairo-atsui-font.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 5bdcfd14136d02ccaec275b2bcd5fb2744352f87
Author:     Vladimir Vukicevic <vladimir@cyclone.vlad1.com>
AuthorDate: Thu Mar 16 14:14:35 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 21:37:39 2006 -0700

    Whitespace fix
    (cherry picked from 0bb567a2f1807d83508e2d7598a8bd8f4d94208d commit)

 src/cairo-win32-surface.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e8069da97bc5c09d9bac91cf401d9e3c3ba91607
Author:     Vladimir Vukicevic <vladimir@cyclone.vlad1.com>
AuthorDate: Thu Mar 16 17:00:37 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 21:37:08 2006 -0700

    CAIRO_SCALED_FONT_TYPE_* -> CAIRO_FONT_TYPE_*
    
    Some of these were missed when CAIRO_SCALED_FONT_TYPE_* was renamed.
    (cherry picked from 33dba4a690a5e4ec13ed294307b89cceac1ca696 commit)

 src/cairo-win32-surface.c | 2 +-
 src/cairo.h               | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit fb7ae2a28e46895f764754c6961cb99989be7a04
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Thu May 18 21:01:20 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 21:01:20 2006 -0400

    Remember to call cairo_type1_font_subset_destroy().

 src/cairo-type1-subset.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1d2b60454fb1e7a1e4b7614029f02dfb0e33acb3
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Thu May 18 20:50:36 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 20:50:36 2006 -0400

    Consolidate a few arrays into a array of structs.

 src/cairo-type1-subset.c | 76 +++++++++++++++++++++++-------------------------
 1 file changed, 37 insertions(+), 39 deletions(-)

commit 9b84b3da58a62b25c129626f918713036e41cc88
Author:     Vladimir Vukicevic <vladimir@cyclone.vlad1.com>
AuthorDate: Fri Mar 17 00:06:21 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 17:31:44 2006 -0700

    [win32] GDI is nearly always faster than pixman; use it whenever possible
    
    Remove local image check from fill_rectangles and fix check for whether
    we can AlphaBlend or not (ARGB->ARGB AlphaBlend works fine)
    (cherry picked from f099783b3e7f895a59d4d4a67a8534f1d21d44e1 commit)

 src/cairo-win32-surface.c | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit 2a89526edf1f42dfc3e8592b82a51b9970015bda
Author:     Vladimir Vukicevic <vladimir@cyclone.vlad1.com>
AuthorDate: Thu Mar 16 14:04:49 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 17:31:21 2006 -0700

    [win32] Add GdiFlush() calls after DIB creation, as per MSDN docs
    
    Also fixes some spacing/tab issues
    (cherry picked from 123ca7c9f9d8984be5ed4fb42a2897508e8ff44a commit)

 src/cairo-win32-surface.c | 38 +++++++++++++++++++++-----------------
 1 file changed, 21 insertions(+), 17 deletions(-)

commit a9c42e8fc264e3d07e4888d5965eea130c1e9d0a
Author:     Stuart Parmenter <stuart@mozilla.com>
AuthorDate: Wed Mar 15 14:20:35 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 17:31:05 2006 -0700

    [win32] fix win32_show_glyphs glyph offsets
    (cherry picked from 947a4a1bc6a0a0ee78c44b71fef32c924ebc9397 commit)

 src/cairo-win32-surface.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 59a45f1c4a914c9640bbea37c72b1ec222f56ff3
Author:     Stuart Parmenter <pavlov@pavlov.net>
AuthorDate: Fri Mar 10 12:25:07 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 17:30:42 2006 -0700

    [win32] implement win32 show_glyphs
    (cherry picked from 9c7d0cbde415d02b6e8298a02b3b62cf4513a59e commit)

 src/cairo-win32-font.c    |  14 +++---
 src/cairo-win32-private.h |   1 +
 src/cairo-win32-surface.c | 115 +++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 121 insertions(+), 9 deletions(-)

commit a10bbecaf8f122726c3e5b55b07bcd7882f6f319
Author:     Stuart Parmenter <pavlov@pavlov.net>
AuthorDate: Fri Mar 10 12:12:36 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 17:29:18 2006 -0700

    [win32] Allow for creating a font from a HFONT
    (cherry picked from 677f6c84f9beae3afd375663fed0a440007ebca2 commit)

 src/cairo-win32-font.c | 35 +++++++++++++++++++++++++++++++----
 src/cairo-win32.h      |  3 +++
 2 files changed, 34 insertions(+), 4 deletions(-)

commit 244c111fca042b15d6718295ca2f7c7843fa7ab5
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Fri Mar 10 11:56:27 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 17:27:30 2006 -0700

    [win32] Add SHADEBLENDCAPS and SB_NONE definitions for older SDKs
    (cherry picked from 7a68b7d035b1c63076d6fa6c54d40944459d206d commit)

 src/cairo-win32-surface.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 92a015ff8ec5c11aac6d9c0c6702fa4873c04381
Author:     Vladimir Vukicevic <vladimir@cyclone.vlad1.com>
AuthorDate: Mon Mar 27 13:49:58 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 17:14:01 2006 -0700

    [xlib] only do glyph extents computation if non-solid source.
    
    xlib_show_glyphs was always calculating the glyph extents, even when it
    didn't need to; this only does it when necessary.
    
    Also adds an implementation of surface_flush() for xlib that just calls
    XSync.
    (cherry picked from 8770ac5b5cdba8007c4c6a6a980e6e06acf6aeb6 commit)

 src/cairo-xlib-surface.c | 49 ++++++++++++++++++++++++++++++------------------
 1 file changed, 31 insertions(+), 18 deletions(-)

commit 108431414faa8792659616bae35584b8fced3b21
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Wed Mar 8 21:08:57 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 17:12:32 2006 -0700

    [xlib] implement _cairo_xlib_surface_show_glyphs
    
    Avoid using the fallback paths as much as possible; implement real
    show_glyphs, falling back for OPERATOR_SOURCE (due to Render bug), and all
    unbounded operators (let the fallback code deal with fixup).  Also fall
    back if we have a fallback mask clip set.
    
    (cherry picked from 3225a4ec820fd4051dd893ffc4258b182bd62dca commit)

 src/cairo-xlib-surface.c | 276 ++++++++++++++++++++++++++---------------------
 1 file changed, 152 insertions(+), 124 deletions(-)

commit 6d53687058dc35bb1abd1f9552f43fccad61474f
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Thu May 18 20:03:53 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 20:03:53 2006 -0400

    Look for /-| or /RD tokens to determine the charstring delimiter tokens.

 src/cairo-type1-subset.c | 35 +++++++++++++++++++++++++++++------
 1 file changed, 29 insertions(+), 6 deletions(-)

commit 3487191b2230571323201ed045263433e77e5345
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 18 15:36:43 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 15:36:43 2006 -0700

    xlib: Style cleanups for _cairo_xlib_surface_create_similar
    
    Including style cleanups for _xrender_format_matches_content.
    
    There's even a bug fix here as well. Previously, we would miss compatibility
    if the existing xlib surface had a NULL visual, (even if it had a compatible
    xrender_format). We now catch this case, and don't bother even trying to
    store a visual into the resulting surface.

 src/cairo-xlib-surface.c | 97 ++++++++++++++++++++++++++----------------------
 1 file changed, 53 insertions(+), 44 deletions(-)

commit a96bd2b4f9ab399eee5198c0d27a6cd67798931b
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 18 15:20:25 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 15:20:25 2006 -0700

    xlib: Rename surface->format to surface->xrender_format to avoid confusion
    
    With both XRenderPictFormat* and cairo_format_t values being manipulated in the same
    functions, this really needed to be done.

 src/cairo-xlib-surface.c | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit ea05e027111d5f336b7e3f2170f929b0b1e37692
Author:     Robert O'Callahan <rocallahan@novell.com>
AuthorDate: Fri May 19 08:26:08 2006 +1200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 18 14:25:23 2006 -0700

    [xlib] Have create_similar try harder to create the right surface
    
    I recently discovered that cairo_create_similar on a 16-bit xlib surface
    creates a surface backed by a 24-bit pixmap. This results in absymal
    performance --- I can actually watch a copy from the similar to the
    original move down the screen, on my dual Xeon, NVidia vendor driver
    machine. It also means xlib-based code like GTK themes can't render to
    the surface because it doesn't match the screen depth.
    
    The attached patch makes _cairo_xlib_surface_create_similar match the
    characteristics of the input surface as closely as I know how, and fixes
    my issues.

 src/cairo-xlib-surface.c | 54 +++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 51 insertions(+), 3 deletions(-)

commit d09d95a3231d9137c00da72e5bf56fe246671e15
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Thu May 18 15:10:05 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 15:10:05 2006 -0400

    Track glyph subset indices and use them in the output.

 src/cairo-type1-subset.c | 50 +++++++++++++++++++++++++-----------------------
 1 file changed, 26 insertions(+), 24 deletions(-)

commit 5f55ae7d91174d29f83b2a15e4def0f6baea7344
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Thu May 18 13:57:03 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 13:57:03 2006 -0400

    Make ps surface use type1 subset code.
    
    - Add _cairo_ps_surface_emit_type1_font_subset() which just dumps the
      type1 subset into the ps document.
    - Add a 'name' parameter to _cairo_type1_subset_init() so it will be
      defined under the right name in the ps document.
    - Quiet down debug output from type1 subset code.
    - Reenable code to output custom /Encoding table.

 src/cairo-pdf-surface.c                 |  5 ++++-
 src/cairo-ps-surface.c                  | 34 +++++++++++++++++++++++++++++++++
 src/cairo-scaled-font-subsets-private.h |  1 +
 src/cairo-type1-subset.c                | 26 +++++++++++++++++++------
 4 files changed, 59 insertions(+), 7 deletions(-)

commit fe58e7a81fe9f787ef262615bc1802243770a432
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Thu May 18 13:35:57 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 13:35:57 2006 -0400

    Only use the word wrap stream when emitting paths.
    
    This patch also factors the word wrap stream setup and teardown
    and the call to _cairo_path_fixed_interpret() out into a new function,
    _cairo_ps_surface_emit_path().

 src/cairo-ps-surface.c | 287 ++++++++++++++++++++++++-------------------------
 1 file changed, 140 insertions(+), 147 deletions(-)

commit 2fafbac390f13c8c47464defc8c30e705be98bbb
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Thu May 18 02:24:02 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 02:24:02 2006 -0400

    Use RD and ND for delimiting glyph data instead of -| and |-.
    
    We probably should figure out from the private dictionary which of the two
    pairs the font defines and uses, but I don't actually have fonts that
    use -| and |-, so for now for flip the default.

 src/cairo-type1-subset.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 466d3da4ef2267287095e67342da8eb360198542
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Wed May 17 17:17:02 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 02:16:45 2006 -0400

    Add code to emit type1 dicts to the pdf backend.

 src/cairo-pdf-surface.c                 | 110 ++++++++++++++++++++++++++++++++
 src/cairo-scaled-font-subsets-private.h |   2 +
 src/cairo-type1-subset.c                |  12 ++--
 3 files changed, 120 insertions(+), 4 deletions(-)

commit c36de5b7c5173639712074d0f98365b107707ae7
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Wed May 17 12:05:16 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 02:16:45 2006 -0400

    Pull in type1 subset code from the cvs repo it was sitting in.

 src/Makefile.am                         |    1 +
 src/cairo-font-subset.c                 |    1 -
 src/cairo-scaled-font-subsets-private.h |   41 ++
 src/cairo-type1-subset.c                | 1035 +++++++++++++++++++++++++++++++
 4 files changed, 1077 insertions(+), 1 deletion(-)

commit 127fab4695ef849364e755e10c2b960add78782b
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Thu May 18 02:12:06 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Thu May 18 02:12:06 2006 -0400

    Remember to call _cairo_truetype_subset_fini() after outputting subset.

 src/cairo-ps-surface.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b16c29ff0c38b8fa8e5753770bb93ad9ff084579
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Wed May 17 01:30:43 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Wed May 17 01:30:43 2006 -0400

    Set libcairo_font_subset_sources for ps, pdf, and svg backends.
    
    Backends that use the font subsetting code should add the font subsetting
    sources to the build.  This is dont by setting libcairo_font_subset_sources,
    in the conditional section for each backend.  If any one is enabled, the
    sources will be added to the build.

 src/Makefile.am | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit d42b2c7a89451e95e6e9ec6bc439f06855c66802
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Tue May 16 23:56:38 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Tue May 16 23:56:38 2006 -0400

    Remember to destroy cairo_pdf_ft_font_t once we've generated the subset.
    
    Also, remove cairo_private from function definitions.

 src/cairo-font-subset.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit f3209660c33bc128c58ec487c51440271f30a923
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Tue May 16 23:24:09 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Tue May 16 23:24:09 2006 -0400

    Print out ps comment in the truetype emit code and update type3 ps comment.

 src/cairo-ps-surface.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 3975d7f8a26b53d4d2c7d587fbcfe9ed6ddf78d8
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Tue May 16 23:20:08 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Tue May 16 23:20:08 2006 -0400

    Add support for truetype subset to ps backend.
    
    Same story as for the pdf backend: try to output a truetype subset if
    possible, otherwise fall back to a type3 font.  Ajdust text output code
    to scale font accordingly and scale type3 fonts to unity.

 src/cairo-ps-surface.c | 113 +++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 105 insertions(+), 8 deletions(-)

commit 2c6e799ee64cfc00145ecbe0d0b93256c237dcf4
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Tue May 16 22:53:05 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Tue May 16 22:53:05 2006 -0400

    Switch to using Tm for text positioning and scale type3 fonts to unit size.
    
    This change changes the text output code to use the Tm operator for
    positioning the glyphs.  This allows us to set the scale matrix from
    the cairo_scaled_font_t so truetype glyphs get transformed correctly.
    However, we now need to scale type3 glyph to unity to compensate.
    Longer term we should just only output one unit sized type3 subset for
    a cairo_font_face_t and use that for all cairo_scaled_font_t's coming from
    that font face.
    
    Also, this fixes a num_glyphs initialization bug.

 src/cairo-font-subset.c |  2 +-
 src/cairo-pdf-surface.c | 25 ++++++++++++++++++++++---
 2 files changed, 23 insertions(+), 4 deletions(-)

commit e846dca44e8c60bf45ab84d7adaf7eefe3088f43
Author:     Kristian Høgsberg <krh@redhat.com>
AuthorDate: Tue May 16 21:41:07 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Tue May 16 21:41:07 2006 -0400

    Hook _cairo_truetype_subset_init() up to existing truetype subset code.
    
    This is a minimal first change to get things working.  The truetype
    subset code still needs to be renamed and moved around a bit.

 src/cairo-font-subset.c | 151 +++++++++++++++++++++++++++++-------------------
 1 file changed, 91 insertions(+), 60 deletions(-)

commit f4f11eba5b6daa6f82b967dcb21715b7f16d9719
Author:     Kristian Høgsberg <krh@dinky.bitplanet.net>
AuthorDate: Tue May 16 19:01:15 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Tue May 16 19:01:15 2006 -0400

    Output pdf dicts for truetype subset fonts.

 src/cairo-font-subset.c                 | 21 +++++++
 src/cairo-pdf-surface.c                 | 97 ++++++++++++++++++++++++++++++++-
 src/cairo-scaled-font-subsets-private.h | 41 ++++++++++++++
 3 files changed, 158 insertions(+), 1 deletion(-)

commit 13a05830f5e524cd69b75796888c7a99ba9ce106
Author:     Kristian Høgsberg <krh@dinky.bitplanet.net>
AuthorDate: Tue May 16 16:42:44 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Tue May 16 16:42:44 2006 -0400

    Update pdf font emit code to try to emit a truetype subset before type3.

 src/cairo-pdf-surface.c | 34 +++++++++++++++++++++++++++++-----
 1 file changed, 29 insertions(+), 5 deletions(-)

commit 05b1d2f9c5b827d52f3eb837c6c591c877dde419
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 16 01:04:16 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 16 01:04:59 2006 -0700

    PDF: Fix broken per-page sizes in PDF output.
    
    This was first broken in:
    
            PDF: Fold (unused) cairo_pdf_document_t into cairo_pdf_surface_t
            f500cef19f049a4a0ed296172618db2f26794932
    
    Thanks, git bisect!

 src/cairo-pdf-surface.c | 17 +++++------------
 1 file changed, 5 insertions(+), 12 deletions(-)

commit d70ade00fb67c6f77d23653481079996ec1e1292
Merge: 41d435418 c7ef4cb3f
Author:     Kristian Høgsberg <krh@dinky.bitplanet.net>
AuthorDate: Mon May 15 17:53:56 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Mon May 15 17:53:56 2006 -0400

    Merge branch 'master' of git://git.freedesktop.org/git/cairo

commit 41d435418c414405035eb911239dc6580edabd6b
Author:     Kristian Høgsberg <krh@dinky.bitplanet.net>
AuthorDate: Mon May 15 17:36:12 2006 -0400
Commit:     Kristian Høgsberg <krh@dinky.bitplanet.net>
CommitDate: Mon May 15 17:36:12 2006 -0400

    Documentation fixes (cairo_font_create -> cairo_scaled_font_create).

 src/cairo-ft-font.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit c7ef4cb3f3b14543842bf538dcb216d1ea51d89f
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 10:25:44 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 10:25:44 2006 -0700

    ROADMAP: Note that PDF type 3 font support is done

 ROADMAP | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 621ebc4726c075c183028818af1944f67a60b7ce
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 10:16:06 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 10:16:06 2006 -0700

    pixman: Remove unused code to quiet compiler warnings

 pixman/src/fbpict.c  | 14 -----------
 pixman/src/icimage.c | 66 ----------------------------------------------------
 2 files changed, 80 deletions(-)

commit 636cbe5a191cf8065facfbe45f32620cea2009a5
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 10:14:39 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 10:15:40 2006 -0700

    pixman: Add default case to quiet compiler warning

 pixman/src/fbpict.c | 3 +++
 1 file changed, 3 insertions(+)

commit 2e4c8924ad1c27d807e86a155c6582fd506c66c0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 10:07:57 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 10:07:57 2006 -0700

    pixman: Fix build to enable warnings again

 configure.in           | 2 ++
 pixman/src/Makefile.am | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit bf2ab0de927dae4a1dd67a0cbacefabaf0e4255b
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 10:04:53 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 10:04:53 2006 -0700

    PDF: Add Type3 font support to PDF output.
    
    This uses the recently added cairo-scaled-font-subsets interface in a
    style very similar to what the PS surface does.

 src/cairo-pdf-surface.c                  | 242 +++++++++++++++++++++++++++++--
 test/select-font-face-pdf-argb32-ref.png | Bin 2781 -> 2782 bytes
 2 files changed, 231 insertions(+), 11 deletions(-)

commit 6f417fed51672ccca305b7fcc8b1bc3af7609534
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 10:00:18 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 10:00:18 2006 -0700

    PDF: Move Resources dictionary up from Page objects to Pages object.
    
    This allows for more sharing of resource objects. It also avoids some
    confusion in trying to set independent resources at a global and a
    per-page level, (which doesn't work since the inheritance only works
    for an entire resources object---it can only be overriden in its
    entirety, not for subsets of the resources).

 src/cairo-pdf-surface.c | 118 ++++++++++++++++++++++++------------------------
 1 file changed, 58 insertions(+), 60 deletions(-)

commit 049100fb870bee89b28bd14a9625add33f38a2bd
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 09:52:57 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 09:52:57 2006 -0700

    PDF: Use consistent style for typedef struct and macro naming.

 src/cairo-pdf-surface.c | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

commit 45d0540c3375bfdb09973a809c08b5dec1ae2219
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 09:41:36 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 09:41:36 2006 -0700

    PS: Remove the fallback case from _cairo_ps_surface_show_glyphs
    
    The only expected errors that would lead to this fallback are serious
    problems such as out of memory. There's no reason to go to heroic
    efforts to draw as much as possible in face of an error like that.
    
    Prefer simpler code instead.

 src/cairo-ps-surface.c | 26 ++++++--------------------
 1 file changed, 6 insertions(+), 20 deletions(-)

commit cb32b41a4e24df612dc0cabbe1e22098584759e9
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 09:39:16 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 09:39:16 2006 -0700

    PS: Fix arguments to setcachedevice
    
    Since we are only ever displaying a single glyph at a time we don't
    care about the width values passed to setcachedevice at all---we only
    care about the bounding box.
    
    That's what the code was trying to do before, but the arguments were
    misaligned and we were instead passing bounding-box values for the
    widths and hard-coding half of the bounding-box values as 0.

 src/cairo-ps-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e2c03d51daa60bf18b66ace148e6f8df7c454e2c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 15 09:28:32 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 15 09:34:27 2006 -0700

    Change scaled_font_subsets_callback to have return type of void.
    
    The return of status from this callback was misleading. The function
    actually calling the callback was also a hash table callback function,
    which itself is void---so any status value returned was being lost.
    
    Instead, we now stash any errors that occur during the fallback into
    surface->status.

 src/cairo-ps-surface.c                  | 30 +++++++++++++++---------------
 src/cairo-scaled-font-subsets-private.h |  2 +-
 src/cairo-svg-surface.c                 | 25 ++++++++++---------------
 3 files changed, 26 insertions(+), 31 deletions(-)

commit f500cef19f049a4a0ed296172618db2f26794932
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri May 12 14:56:11 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri May 12 14:56:11 2006 -0700

    PDF: Fold (unused) cairo_pdf_document_t into cairo_pdf_surface_t

 src/cairo-pdf-surface.c | 932 ++++++++++++++++++++----------------------------
 1 file changed, 392 insertions(+), 540 deletions(-)

commit d84a1cac1cc2da8a34fb6aa91c3c4f4058527207
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri May 12 13:31:12 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri May 12 13:31:12 2006 -0700

    PDF: Use cairo_pdf_resource_t more consistently.
    
    Eliminate the named structure cairo_pdf_stream_t. This structure was
    being dynamically allocated, passed around, and leaked when only an ID
    was actually needed to be passed around.
    
    Similarly, many other uses of PDF resources were passing bare unsigned
    int types rather than the safer and more legible cairo_pdf_resource_t.

 src/cairo-pdf-surface.c | 487 +++++++++++++++++++++++-------------------------
 1 file changed, 236 insertions(+), 251 deletions(-)

commit b7e9506707878367493a8a45c74bb6eb048b7e88
Author:     Tim Mooney <enchanter@users.sourceforge.net>
AuthorDate: Wed May 10 20:51:53 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 10 20:51:53 2006 -0700

    bug #6890: fix the signature for main() in pthread-show-text

 test/pthread-show-text.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ba537be18316154781e36fb66545f82afb3c3a0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 10 19:01:40 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 10 19:01:40 2006 -0700

    Fix memory leak in _cairo_scaled_font_subsets_foreach

 src/cairo-scaled-font-subsets.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7bd3a037daadaed5b720d9590a479320de533af5
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 10 18:52:36 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 10 18:52:36 2006 -0700

    Add documentation for the _cairo_scaled_font_subsets interface.

 src/cairo-scaled-font-subsets-private.h | 109 +++++++++++++++++++++++++++++++-
 1 file changed, 106 insertions(+), 3 deletions(-)

commit 7c137b7e2ccbe76bb7870756a8fd29458b571a71
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 10 15:14:10 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 10 15:14:10 2006 -0700

    SVG: Discard custom font subsetting in favor of sharing cairo-scaled-font-subsets

 ROADMAP                 |   2 +-
 src/cairo-svg-surface.c | 272 ++++++++----------------------------------------
 2 files changed, 45 insertions(+), 229 deletions(-)

commit f459c1f0de1d874da55ab9eff075834c4b8633b8
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 10 15:12:53 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 10 15:12:53 2006 -0700

    Tweak names to match those of cairo-scaled-font-subsets
    
    Also, remove a now obsolete field from cairo_ps_surface_t

 src/cairo-ps-surface.c | 19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)

commit 8a209e6ad9a77b8b922687e08731c4b3bbd5621b
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 10 14:50:31 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 10 14:50:31 2006 -0700

    Fix cairo_output_stream_destroy to do nothing on nil stream objects.

 src/cairo-output-stream.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0544515279f9051a418f2079dd4fbeafd256b3ac
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 10 14:47:28 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 10 14:47:28 2006 -0700

    Generalize font subsetting code in cairo-scaled-font-subsets for use by more than just PS backend

 ROADMAP                                 |   1 +
 src/Makefile.am                         |   2 +-
 src/cairo-ps-surface.c                  | 228 ++++++++-----------
 src/cairo-scaled-font-subsets-private.h |  82 +++----
 src/cairo-scaled-font-subsets.c         | 378 ++++++++++++++++++++++++--------
 5 files changed, 416 insertions(+), 275 deletions(-)

commit 906a17a6b1ba1fc120d90f9f3cec29b914300a93
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 10 14:40:32 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 10 14:40:32 2006 -0700

    Rename cairo-ps-font to cairo-scaled-font-subsets (file names only)

 src/{cairo-ps-font-private.h => cairo-scaled-font-subsets-private.h} | 0
 src/{cairo-ps-font.c => cairo-scaled-font-subsets.c}                 | 0
 2 files changed, 0 insertions(+), 0 deletions(-)

commit f7f9bdc05bd0afc4b709ab6a83074b7e66b1cc60
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 9 10:05:44 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 9 14:40:37 2006 -0700

    PS: Put functions in more logical order.

 src/cairo-ps-surface.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit f3703b1806d1086be30323ca0576819b70a47771
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 9 09:55:23 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 9 14:40:36 2006 -0700

    PS: Move type 3 support out into cairo-ps-font.c
    
    This is in preparation for generalizing this code for sharing among
    several backends.

 src/Makefile.am             |   2 +-
 src/cairo-ps-font-private.h | 101 ++++++++++++++++++++++++
 src/cairo-ps-font.c         | 181 ++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-ps-surface.c      | 181 +++-----------------------------------------
 4 files changed, 295 insertions(+), 170 deletions(-)

commit 7ebdf4825d677b3b63671eb44298ea2764df2966
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 8 17:47:31 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 9 14:40:36 2006 -0700

    PS: Remove stale comment (the stuff TODO is done already)

 src/cairo-ps-surface.c | 7 -------
 1 file changed, 7 deletions(-)

commit 172fd2f6a668b6b0e4a7cbce24e006b65417d9b1
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 9 14:39:08 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 9 14:39:08 2006 -0700

    Fix typo in select-font-face.c and update reference images

 test/select-font-face-pdf-argb32-ref.png | Bin 0 -> 2781 bytes
 test/select-font-face-ps-argb32-ref.png  | Bin 0 -> 528 bytes
 test/select-font-face-ref.png            | Bin 2460 -> 2481 bytes
 test/select-font-face-svg-argb32-ref.png | Bin 0 -> 3064 bytes
 test/select-font-face-svg-rgb24-ref.png  | Bin 0 -> 3064 bytes
 test/select-font-face.c                  |   4 ++--
 6 files changed, 2 insertions(+), 2 deletions(-)

commit f0d7e3f858858937168c6cfdfae12dbe751ee683
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 9 14:15:27 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 9 14:15:27 2006 -0700

    Add select-font-face test for whosing multiple faces at once.

 test/.gitignore               |   1 +
 test/Makefile.am              |   2 +
 test/select-font-face-ref.png | Bin 0 -> 2460 bytes
 test/select-font-face.c       |  83 ++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 86 insertions(+)

commit 9595de96ac96bbfdc20177c0228c1673ad701d96
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 8 17:41:17 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 8 17:41:17 2006 -0700

    ROADMAP: non-substantive changes

 ROADMAP | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

commit 7d0bcc3f1cf5dff292289420c3e5e73410997993
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Sat May 6 15:31:53 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Sat May 6 15:31:53 2006 +0200

    SVG: Emit glyphs at the beginning of defs section.

 src/cairo-svg-surface.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 1da2ca0f3575fe00e7e3f2ce27cf0e3416517573
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Sat May 6 14:56:20 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Sat May 6 14:56:20 2006 +0200

    SVG: Implementation of glyph cache
    
    This is an adaptation of Keith ps-type3 branch for SVG backend.
    Main differences with ps stuff are font cache is a property of
    document, and there's no need of subfonts.

 src/cairo-svg-surface.c | 571 ++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 450 insertions(+), 121 deletions(-)

commit 09e94c6a31e58ff85c597d4791b6ec5006f73797
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Fri May 5 20:31:48 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Fri May 5 20:31:48 2006 +0200

    SVG: Add reference images for fill-and-stroke-alpha.
    
    It fails on a one digit color error.

 test/fill-and-stroke-alpha-svg-argb32-ref.png | Bin 0 -> 509 bytes
 test/fill-and-stroke-alpha-svg-rgb24-ref.png  | Bin 0 -> 509 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit ac470b02384528f9fda3ee7c80b64d27825b927a
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri May 5 07:57:10 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri May 5 07:57:10 2006 -0700

    Don't build pdf2svg until we start depending on newer poppler

 test/Makefile.am | 5 -----
 1 file changed, 5 deletions(-)

commit 44572fdcc8627a5c13d8fc68b55290f414166095
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri May 5 07:51:59 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri May 5 07:51:59 2006 -0700

    Revert "pdf2png: Use new poppler_page_render to render directly through cairo."
    
    This introduced a rather gratuitous dependency on a newer version of
    poppler, which caused a fair amount of pain for no significant
    benefit.
    
    This reverts 253472492ee2a690646a30b32cf8180f5b6e3299 commit.

 test/pdf2png.c | 38 +++++++++++---------------------------
 1 file changed, 11 insertions(+), 27 deletions(-)

commit d76701f465669f843c12aee6b533c9fb6399ec99
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Fri May 5 16:47:06 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Fri May 5 16:47:06 2006 +0200

    Use CLEAR operator for initialisation of similar surface with a transparent color.

 src/cairo-surface.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 36fcaa76d66c16fcedddf3c3e967afa3f4a96615
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Fri May 5 16:02:04 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Fri May 5 16:02:04 2006 +0200

    SVG: Fix cairo_svg_surface_restrict_to_version.
    
    surface parameter is actually a paginated surface.
    Use the same logic as pdf backend.

 src/cairo-svg-surface.c | 62 ++++++++++++++++++++++++++++++++-----------------
 src/cairo-svg.h         |  2 +-
 2 files changed, 42 insertions(+), 22 deletions(-)

commit 6b40ba283b6d09a7bf3bd0ec795a19b05b9bfec4
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Fri May 5 12:59:29 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Fri May 5 12:59:29 2006 +0200

    SVG: Remove special case for unclipped CLEAR and SOURCE in paint when
    we're in analysis mode.
    
    intersect_clip_path is not analyzed, so we can't know if we're clipped
    when we're in analysis mode.

 src/cairo-svg-surface.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit fb269aac0887711298241113717aa8bddecbd097
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Fri May 5 11:10:02 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Fri May 5 11:10:02 2006 +0200

    SVG: Sets something sane in width and height if acquire source image fails.
    
    In composite_image_pattern.

 src/cairo-svg-surface.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit c399b7a04777823fc32c65020616b39196795214
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 23:48:28 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 23:48:28 2006 -0700

    Increment CAIRO_VERSION to 1.1.7 after making the 1.1.6 snapshot

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ba3b75efd56113411ed141a86675099ae82d5d5
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 23:44:07 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 23:44:07 2006 -0700

    Fix typos in EXTRA_DIST list of reference images.

 test/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5b3425972dd8864a754ca4551f375151b409fdb5
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 23:39:12 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 23:39:12 2006 -0700

    Update version to 1.1.6 and add notes to NEWS file.
    
    Also update libtool version information to 8:0:6.

 NEWS         | 97 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 ROADMAP      | 16 +++++-----
 configure.in |  6 ++--
 3 files changed, 108 insertions(+), 11 deletions(-)

commit cfdb9a1c5372f261e6d495392aa6c052a6ebdee3
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 23:33:44 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 23:36:59 2006 -0700

    RELEASING: Add a few more steps that we've been somtimes forgetting

 RELEASING | 19 ++++++++++++++-----
 ROADMAP   |  2 +-
 2 files changed, 15 insertions(+), 6 deletions(-)

commit b948683917e26315fdec773db8780662071554a1
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 22:43:22 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 22:43:22 2006 -0700

    Flesh out the documentation for cairo_push_group, cairo_pop_group and friends

 src/cairo.c | 119 ++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 99 insertions(+), 20 deletions(-)

commit 344c2c7acd0a87a7a28b4a73ba340b333fefb2bf
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 21:35:23 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 21:35:23 2006 -0700

    Add a couple more group-using tests: fill-and-stroke-alpha[-add]

 test/.gitignore                        |   2 +
 test/Makefile.am                       |   4 ++
 test/fill-and-stroke-alpha-add-ref.png | Bin 0 -> 588 bytes
 test/fill-and-stroke-alpha-add.c       | 112 +++++++++++++++++++++++++++++++++
 test/fill-and-stroke-alpha-ref.png     | Bin 0 -> 532 bytes
 test/fill-and-stroke-alpha.c           | 106 +++++++++++++++++++++++++++++++
 6 files changed, 224 insertions(+)

commit a16f0b4223a5cc9faa68d844b8fd3ff1bfb996b7
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 15:34:15 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 15:55:05 2006 -0700

    Add push-group to test/.gitignore

 test/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 57a0242d0621020279bd33c3b0312463bf78cc42
Author:     Ian Osgood <iano@quirkster.com>
AuthorDate: Thu May 4 14:29:03 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 14:43:03 2006 -0700

    Additional piece of "Fix the XCB backend build for the XCB 0.9 release."

 test/cairo-test.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8c9da52dc285576e47b4e527487f0b2451ab87cc
Author:     Ian Osgood <iano@quirkster.com>
AuthorDate: Thu May 4 14:29:03 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 14:29:03 2006 -0700

    Fix the XCB backend build for the XCB 0.9 release.
    
    * use split out xcb-render package
    * fix deprecated calls
    * use XCB-specific symbols

 configure.in            |  2 +-
 src/cairo-xcb-surface.c | 12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 450e29ce091e352569518bb5d6a9bf5236f14bfe
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 14:24:18 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 14:24:18 2006 -0700

    pixman: Remove potential memory leak in failure path.
    
    Thanks to Petr Kobalicek <kobalicek.petr@gmail.com> for pointing this out.

 pixman/src/ictri.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit ec94f0a7e2e82bee3973f4c64eb23bb60cac846c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 12:50:50 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 12:52:17 2006 -0700

    Remove trailing comma in enum to pander to non-C99-conformant compilers

 src/cairo.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 457132fc2b1380cfd189ecec2f4ab1c02cd22fe4
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Thu May 4 21:41:36 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Thu May 4 21:41:36 2006 +0200

    SVG: Don't test rectangle-rounding-error.
    
    This test uses CAIRO_ANTIALIAS_NONE, which is not supported yet by
    the SVG backend.

 test/cairo-test.c | 3 +++
 1 file changed, 3 insertions(+)

commit f6748ad030a6b6b7fdf5e43d7636c6641c48c673
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Thu May 4 21:40:17 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Thu May 4 21:40:17 2006 +0200

    SVG: Add reference image for tests failing on composited image misplacement.
    
    There's a bug in librsvg/cairo that offsets composited images by half a pixel.
    http://bugzilla.gnome.org/show_bug.cgi?id=330055

 .../composite-integer-translate-over-svg-argb32-ref.png | Bin 0 -> 15465 bytes
 test/composite-integer-translate-over-svg-rgb24-ref.png | Bin 0 -> 15465 bytes
 test/paint-source-alpha-svg-argb32-ref.png              | Bin 0 -> 353 bytes
 test/paint-source-alpha-svg-rgb24-ref.png               | Bin 0 -> 353 bytes
 test/paint-with-alpha-svg-argb32-ref.png                | Bin 0 -> 420 bytes
 test/paint-with-alpha-svg-rgb24-ref.png                 | Bin 0 -> 420 bytes
 test/scale-source-surface-paint-svg-argb32-ref.png      | Bin 0 -> 146 bytes
 test/scale-source-surface-paint-svg-rgb24-ref.png       | Bin 0 -> 158 bytes
 8 files changed, 0 insertions(+), 0 deletions(-)

commit 720edfe865fde9dff49198edaa9029a989045334
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Thu May 4 18:53:51 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Thu May 4 18:53:51 2006 +0200

    SVG: Add reference images for push-groups test.
    
    Tests just fail for a one digit color on error.

 test/push-group-svg-argb32-ref.png | Bin 0 -> 2945 bytes
 test/push-group-svg-rgb24-ref.png  | Bin 0 -> 2901 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit a3997501fad548988135e1aff6b906e96a9b744c
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Thu May 4 18:40:37 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Thu May 4 18:40:37 2006 +0200

    SVG: Update reference images for shrinked tests.

 test/linear-gradient-svg-argb32-ref.png | Bin 12707 -> 947 bytes
 test/linear-gradient-svg-rgb24-ref.png  | Bin 12707 -> 947 bytes
 test/text-pattern-svg-argb32-ref.png    | Bin 2643 -> 1720 bytes
 test/text-pattern-svg-rgb24-ref.png     | Bin 2490 -> 1567 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

commit 135449ae03e74910c9ac359772d4ad790f6b7bed
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Thu May 4 18:06:06 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Thu May 4 18:06:06 2006 +0200

    SVG: Fix the previous fix for xlink namespace.
    
    It seems libxml2 2.6.24 now requires a node using xlink
    namespace to be linked to a node where it can find this
    namespace.

 src/cairo-svg-surface.c | 34 +++++++++++++++++++---------------
 1 file changed, 19 insertions(+), 15 deletions(-)

commit a428f11738a52ffabbde3925254278585a72aadb
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Thu May 4 14:18:59 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Thu May 4 14:18:59 2006 +0200

    SVG: Fix bug in test suite causing SVG to fail with rgb24 and device offsets.
    
    Same fix as for PDF and PS surfaces.

 test/cairo-test.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 1431a9d4d3655f488b6f6698fdc18c6d65d733b5
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 04:01:06 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 04:03:19 2006 -0700

    Clean up error management of xlib surface getter functions.

 src/cairo-xlib-surface.c | 61 ++++++++++++++++++++++++------------------------
 src/cairo-xlib.h         |  8 +++----
 2 files changed, 34 insertions(+), 35 deletions(-)

commit 4a4603d5517f4e0b014a34ec05bee42fc3640ed3
Author:     Robert O'Callahan <rocallahan@novell.com>
AuthorDate: Thu May 4 03:59:56 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 04:03:19 2006 -0700

    Add Xlib surface getter functions.
    
    Add the following five functions:
    
    cairo_public Display *
    cairo_xlib_surface_get_display (cairo_surface_t *surface);
    
    cairo_public Drawable
    cairo_xlib_surface_get_drawable (cairo_surface_t *surface);
    
    cairo_public Screen *
    cairo_xlib_surface_get_screen (cairo_surface_t *surface);
    
    cairo_public Visual *
    cairo_xlib_surface_get_visual (cairo_surface_t *surface);
    
    cairo_public int
    cairo_xlib_surface_get_depth (cairo_surface_t *surface);

 src/cairo-xlib-surface.c | 66 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-xlib.h         | 15 +++++++++++
 2 files changed, 81 insertions(+)

commit 68915fdfcb7a1c99ebd237b08192732a7409b5ec
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Thu May 4 12:56:06 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Thu May 4 12:56:06 2006 +0200

    SVG: Fix xml namespace declaration.
    
    It looks like since libxml2 2.6.24, we can't just use xmlSetProp
    for namespace declaration anymore.

 src/cairo-svg-surface.c | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 7aa2b05e48f4431639b821661c91103d2b60b482
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 03:44:26 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 03:44:45 2006 -0700

    Add missing prototype for _cairo_clip_translate

 src/cairo-clip-private.h | 5 +++++
 1 file changed, 5 insertions(+)

commit 7bcf957b4e2a986a94bbc29192f61b8c9c0067be
Author:     Robert O'Callahan <rocallahan@novell.com>
AuthorDate: Thu May 4 03:43:34 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 03:43:34 2006 -0700

    Rename cairo_rectangle_t to cairo_rectangle_fixed_t.
    
    This is in preparation for a later function addition for extracting
    clip rectangles from a cairo_t, (which will add a public
    cairo_rectangle_t).

 src/cairo-analysis-surface.c         |   4 +-
 src/cairo-atsui-font.c               |   2 +-
 src/cairo-beos-surface.cpp           |  44 +++++-----
 src/cairo-clip-private.h             |  18 ++--
 src/cairo-clip.c                     |  18 ++--
 src/cairo-directfb-surface.c         |  42 ++++-----
 src/cairo-glitz-surface.c            |  42 ++++-----
 src/cairo-gstate.c                   |  10 +--
 src/cairo-image-surface.c            |  28 +++---
 src/cairo-meta-surface.c             |   4 +-
 src/cairo-paginated-surface.c        |   8 +-
 src/cairo-pattern.c                  |   6 +-
 src/cairo-pdf-surface.c              |   6 +-
 src/cairo-ps-surface.c               |   6 +-
 src/cairo-quartz-private.h           |   2 +-
 src/cairo-quartz-surface.c           |  26 +++---
 src/cairo-region.c                   |  10 +--
 src/cairo-scaled-font.c              |   8 +-
 src/cairo-surface-fallback-private.h |   6 +-
 src/cairo-surface-fallback.c         | 164 +++++++++++++++++------------------
 src/cairo-surface.c                  |  58 ++++++-------
 src/cairo-svg-surface.c              |   4 +-
 src/cairo-win32-private.h            |   4 +-
 src/cairo-win32-surface.c            |  20 ++---
 src/cairo-xcb-surface.c              |  32 +++----
 src/cairo-xlib-surface.c             |  40 ++++-----
 src/cairo.c                          |   2 +-
 src/cairoint.h                       |  72 +++++++--------
 src/test-fallback-surface.c          |  24 ++---
 src/test-meta-surface.c              |   4 +-
 src/test-paginated-surface.c         |   4 +-
 31 files changed, 358 insertions(+), 360 deletions(-)

commit d71ddec8dfcfd4a8eb39edc9f34f93dc1683a62d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 03:05:12 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 03:05:12 2006 -0700

    ROADMAP: Note that device-offset and push-pop-group have landed.

 ROADMAP | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit fb7f7c2f27f0823d7702f960204d6e638d697624
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Tue Mar 14 15:56:08 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 03:02:27 2006 -0700

    Fix up clip at pop_group time, to keep it in surface backend coordinates
    
    We keep the clip in surface-backend coordinates always, so it needs
    fixing whenever we change the target surface out in the gstate.  The
    only place this happens is in push_group, so fix it as part of
    gstate_redirect().

 src/cairo-clip-private.h |  5 ++++
 src/cairo-clip.c         | 77 +++++++++++++++++++++++++++++++++++++++++++++---
 src/cairo-gstate.c       | 32 +++++---------------
 src/cairo.c              |  9 ++++--
 4 files changed, 93 insertions(+), 30 deletions(-)

commit 7fa3c6eee5a19d3486a200a6a14b96210f2b6dab
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Wed Mar 1 17:19:45 2006 +0100
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 02:53:45 2006 -0700

    Add push-group test and reference images

 test/push-group-ref.png       | Bin 0 -> 3012 bytes
 test/push-group-rgb24-ref.png | Bin 0 -> 2858 bytes
 test/push-group.c             | 119 ++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 119 insertions(+)

commit ee02c1b91452e5b34af4f02d7132840a4bf44fe1
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Wed Feb 15 13:46:53 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 02:52:38 2006 -0700

    Implement push_group/pop_group
    
    This patch adds the following API calls:
    
     cairo_push_group
     cairo_push_group_with_content
     cairo_pop_group
     cairo_pop_group_to_source
     cairo_get_group_target
    
    These methods support implementing layers on top of a cairo context,
    allowing for drawing with transparency and temporary buffering.
    cairo_get_group_target allows an app to get access to the actual surface
    created by the last push_group call, in case itneeds to perform native
    drawing to it.

 src/cairo-gstate-private.h |   4 +-
 src/cairo-gstate.c         | 214 ++++++++++++++++++++++++++++++---------------
 src/cairo.c                | 150 ++++++++++++++++++++++++++++---
 src/cairo.h                |  51 ++++++-----
 src/cairoint.h             |  19 ++++
 test/Makefile.am           |   3 +-
 6 files changed, 332 insertions(+), 109 deletions(-)

commit 5e708b38e00f6b2066028c60a5526bf5d5e66356
Merge: a6b1b014b 99719bde9
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 01:46:34 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:46:34 2006 -0700

    Merge branch 'device-offset-history' into cairo

commit a6b1b014bbd12be0f20c44d38d8847181be6d3ae
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu May 4 01:45:41 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:45:41 2006 -0700

    Implement the device_offset functionality at surface, not gstate layer
    
    This is a mega-patch that has the advantage that the entire test suite
    passes both immediately before and immediately after this commit.
    
    The disadvantage of the mega-patch is that it does not reflect the
    development history of the device-offset branch, (with its various
    fumblings and flailings). To capture that history, we will next merge
    in that branch.

 src/cairo-clip.c             |  11 ++
 src/cairo-gstate.c           |  61 +++------
 src/cairo-path.c             |  46 +++++++
 src/cairo-ps-surface.c       |   6 +-
 src/cairo-scaled-font.c      |   8 +-
 src/cairo-surface-fallback.c |  64 +++++-----
 src/cairo-surface.c          | 292 +++++++++++++++++++++++++++++++++++--------
 src/cairo-traps.c            |  49 +++++++-
 src/cairo-xlib-surface.c     |   4 +-
 src/cairo.h                  |   5 +
 src/cairoint.h               |  19 ++-
 test/buffer-diff.c           |   8 +-
 test/cairo-test.c            |  23 ++++
 13 files changed, 444 insertions(+), 152 deletions(-)

commit 99719bde9ee0697bd43d97f034ccf4058c9484a0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Mar 10 14:57:08 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:34:05 2006 -0700

    Move device-offset touchups from the surface layer up to the gstate.
    
    This fixes the self-copy test which was the last one that was really
    failing due to device offsets.

 src/cairo-gstate.c  | 16 ++++++++++++++++
 src/cairo-surface.c | 12 ------------
 2 files changed, 16 insertions(+), 12 deletions(-)

commit ee687d722a315ff9cefd8755ca38b194187a693c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Mar 9 14:39:44 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:33:54 2006 -0700

    Add support to handle the device-offset of a source surface.
    
    This change caused all self-copy failures to now pass.
    But, it also causes all previous self-copy passes to now fail.

 src/cairo-surface.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit ea2faa5fae619a6b813348eda925060f3ed16ee3
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Mar 9 14:38:20 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:33:37 2006 -0700

    Rip out device_{x,y}_scale.
    
    This device scale stuff is currently not being used. However it is also adding
    complexity to the current device-offset rework. And since it's not being tested
    I'm sure we're getting it wrong. It's better to not even have it here rather
    than having it be broken.

 src/cairo-clip.c             |  8 +++----
 src/cairo-path.c             | 25 +++++++++++++-------
 src/cairo-ps-surface.c       |  6 ++---
 src/cairo-surface-fallback.c |  2 --
 src/cairo-surface.c          | 56 +++++++++++---------------------------------
 src/cairoint.h               | 12 ++++------
 6 files changed, 41 insertions(+), 68 deletions(-)

commit 0e230727f8f925b85fffd0359195be4a704fed69
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Mar 9 14:01:30 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:59 2006 -0700

    Prefer classic C style comments rather than C++/C99-style

 src/cairo-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9333e9975cbb3a0e167de1f78076eb779da4317
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Mar 9 14:01:10 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:59 2006 -0700

    Remove dead code from _cairo_surface_{acquire,release}_dest_image

 src/cairo-surface.c | 35 ++++-------------------------------
 1 file changed, 4 insertions(+), 31 deletions(-)

commit f66ce88e0ec1ef91bb85e795fd53a99f71877e4a
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Mar 9 13:42:16 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:59 2006 -0700

    cairo_surface_mark_dirty_rectangle: correct sense of device-offset handling

 src/cairo-surface.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 460820cb58b9a9e893cdb2d48d1457defe797246
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Mar 9 13:39:55 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:58 2006 -0700

    Remove undesired device-offset handling during unbounded fixups.
    
    This code was already commented as being suspicious and its removal causes some
    tests to start passing once again.

 src/cairo-surface.c | 12 ------------
 1 file changed, 12 deletions(-)

commit b0c047ad95957b46922bbb4f6320a4a7b0c32726
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Mar 9 13:37:32 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:58 2006 -0700

    _cairo_surface_show_glyphs: Fix reversed device-offset handling so text works again.

 src/cairo-surface.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ee1c642cd85fc4d5408d65578cc9ca48ee4b58cc
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Mar 9 13:36:30 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:58 2006 -0700

    cairo-surface.c: Correct reversed semantics of SURFACE_TO_BACKEND and BACKEND_TO_SURFACE

 src/cairo-surface.c | 56 ++++++++++++++++++++++++++---------------------------
 1 file changed, 28 insertions(+), 28 deletions(-)

commit a5cb54621259d0a6057543bc0e4edd4d16216007
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Mar 8 15:02:35 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:58 2006 -0700

    _cairo_surface_set_clip_region: Remove device-offset handling that is
    
    now taken care of in _cairo_clip_clip.

 src/cairo-surface.c | 36 ------------------------------------
 1 file changed, 36 deletions(-)

commit 69affa5fafe41edf6c88af7722538b550804284c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Mar 8 14:51:57 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:58 2006 -0700

    Move device-offset handling for clipping from _cairo_surface_interesect_clip_path
    
    to the more general _cairo_clip_clip to handle more cases correctly.

 src/cairo-clip.c    | 13 +++++++++++++
 src/cairo-surface.c | 17 +----------------
 src/cairoint.h      |  3 +++
 3 files changed, 17 insertions(+), 16 deletions(-)

commit 50dcd4d1ac3d4b90bcea04e53836d73b8e7c1aa4
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Mar 8 12:58:13 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:58 2006 -0700

    _cairo_surface_copy_pattern_for_destination: Don't do any transform if there is no offset

 src/cairo-surface.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 6d212c9e391ad8fc5b273269a54740790cbb1ee3
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Mar 8 12:51:46 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:57 2006 -0700

    _cairo_surface_copy_pattern_for_destination: Remove leaking second call to pattern_init_copy

 src/cairo-surface.c | 2 --
 1 file changed, 2 deletions(-)

commit 81e469523fbc83b9ddcd74a6be5d8137a6d71c38
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Mar 8 12:44:49 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:57 2006 -0700

    Abstract away repeated test as _cairo_surface_has_device_offset_or_scale

 src/cairo-surface.c | 34 ++++++++++++++--------------------
 1 file changed, 14 insertions(+), 20 deletions(-)

commit 4ed3e60a25a877f65b82cf7c426659a89d195728
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Mar 8 11:56:27 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:57 2006 -0700

    _cairo_surface_copy_pattern_for_destination: Fix transformation sign/order.
    
    This allows the scale-source-surface-paint test to start passing again
    at least.

 src/cairo-surface.c | 26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

commit d3ff6f0e4b17972361c28f490eaf05222ac97e10
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Mar 8 11:54:33 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:57 2006 -0700

    _cairo_surface_fallback_composite_trapezoids: Remove unused variable.

 src/cairo-surface-fallback.c | 1 -
 1 file changed, 1 deletion(-)

commit 46a1f40b7d1787b570a8381a914a372400ef39a9
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Thu Mar 2 15:05:32 2006 +0100
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:57 2006 -0700

    Move device offsets handling into high-level operations only (stroke/fill/paint/etc)
    
    Remove all device offsets handling from internal cairo_surface methods,
    which will become truly internal shortly.  Have all device offsets
    handled by top-level entry points (stroke/fill/paint/show_glyphs/mask, and
    clipping).

 src/cairo-scaled-font.c |   3 +-
 src/cairo-surface.c     | 402 ++++++++++++++++++++++++------------------------
 2 files changed, 201 insertions(+), 204 deletions(-)

commit 6197d5a7618900f25155af16b91f082ee05ddd03
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Mar 1 11:54:21 2006 +0100
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:56 2006 -0700

    Fix bug in test suite causing PS and PDF to fail with rgb24 and device offsets.
    
    Patch from cworth@cworth.org.
    
    The trick with this one is that the test suite is using device offsets
    in a rather fabricated way, and the final copy from an offset surface
    to a non-offset surface is between two surfaces of the same size, so
    must be 1:1. To get this we turn the device offset off before the
    copy.
    
    In a more conventional use of device offsets the surfaces would be of
    different sizes, and the offset would be desired during the copy.

 test/cairo-test.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 51cf7900e4987d18173ded806988d412752717f5
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Wed Mar 1 11:23:15 2006 +0100
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:30:56 2006 -0700

    Take device offsets into account when compositing scaled glyph images
    
    Scaled glyph image surfaces have device offsets set on them to indicate
    the location of the glyph origin; however, those offsets weren't being
    taken into account for the call to composite, so the glyphs were
    being doubly-offset by this amount.

 src/cairo-scaled-font.c  | 11 ++++++-----
 src/cairo-xlib-surface.c |  4 ++--
 2 files changed, 8 insertions(+), 7 deletions(-)

commit 4894f5a234959a0e50269c1adcc6b4faf08ba053
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Wed Feb 15 13:46:52 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu May 4 01:29:42 2006 -0700

    Implement device offset/scale at cairo-surface layer
    
    This patch implements device offset/scale at the cairo-surface layer,
    instead of them just being multiplied into the CTM at operation time.
    This allows identical drawing operations/clips/paths/etc. to operate
    identically on a surface with or without a device offset (and still
    have things end up in the same place relative to the dev offset).

 src/cairo-gstate.c           |  47 +-----
 src/cairo-path.c             |  37 +++++
 src/cairo-surface-fallback.c |  65 ++++----
 src/cairo-surface.c          | 375 +++++++++++++++++++++++++++++++++++++++----
 src/cairo-traps.c            |  49 +++++-
 src/cairo.h                  |   5 +
 src/cairoint.h               |  14 ++
 test/buffer-diff.c           |   8 +-
 test/cairo-test.c            |   5 +
 9 files changed, 488 insertions(+), 117 deletions(-)

commit 40b39dddf9cd919fb2f456a8e296a60cc8296fbf
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Fri Mar 10 16:37:50 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 23:44:59 2006 -0700

    Shrink the size of a couple of tests (and update reference images).
    
    Shrink linear-gradient and text-pattern test outuput.
    
    The real motivation for this is to hide an annoying difference in the
    gradient output that occurs when under the influence of a device
    offsets. My opinion is that the gradient output should not change due
    to just an integer offset, but we currently don't have a precise
    gradient specification, so this minor deviation really isn't relevant.
    
    A better fix for this might have been to make the test suite more
    forgiving of tiny differences, (perhaps on a per-test basis), but
    another advantage of shrinking these tests is that they now run a lot
    faster.
    
    It is true that these tests now also exercise fewer different output
    values, but that's not the designed purpose of the tests so I don't
    feel bad about losing that characteristic.

 test/linear-gradient-ref.png    | Bin 12750 -> 972 bytes
 test/linear-gradient.c          |   6 +++---
 test/text-pattern-ref.png       | Bin 2725 -> 1721 bytes
 test/text-pattern-rgb24-ref.png | Bin 2339 -> 1423 bytes
 test/text-pattern.c             |   4 ++--
 5 files changed, 5 insertions(+), 5 deletions(-)

commit b3e2252b94297b7fbdbd3a3776781ea6df7c8bc6
Author:     Vladimir Vukicevic <vladimir@pobox.com>
AuthorDate: Wed Feb 15 13:46:52 2006 -0800
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 23:42:45 2006 -0700

    Augment test framework to test everything under device offsets as well.
    
    [With this change, two tests with gradients exhibit subtle differences
    under device offsets. I don't think we actually care about them
    though. -cworth]

 test/.gitignore     |  36 ++-------------
 test/buffer-diff.c  |  98 +++++++++++++++++++++++++++++------------
 test/buffer-diff.h  |  21 +++++++--
 test/cairo-test.c   | 111 +++++++++++++++++++++++++++++-----------------
 test/imagediff.c    |  45 +++++--------------
 test/make-html.pl   | 124 ++++++++++++++++++++++++++++------------------------
 test/xlib-surface.c |   4 ++
 7 files changed, 244 insertions(+), 195 deletions(-)

commit 7beb3e27a552c724bbdb147bc27b775af0d61063
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 16:45:33 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 16:45:33 2006 -0700

    Quiet some 'may be used uninitialized' warnings.

 src/cairo-lzw.c         | 4 ++--
 src/cairo-pdf-surface.c | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8a174a11395af97bf1bffeca7a6ee8e5c1d50281
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 13:20:07 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 13:20:07 2006 -0700

    Add test/pdf-features.c missing from an earlier commit

 test/pdf-features.c | 150 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 150 insertions(+)

commit 7c825797c85fca79ea1229d49cf3ae1b24b6daf2
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 13:18:40 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 13:18:40 2006 -0700

    Add pdf2svg utility for manual testing (not used in test suite)

 test/.gitignore  |   1 +
 test/Makefile.am |   5 +++
 test/pdf2svg.c   | 101 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 107 insertions(+)

commit 6f9aa014aeee03bd6acc31124de05cfd931a88e1
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 13:13:10 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 13:13:10 2006 -0700

    ROADMAP: Note that PDF per-page size setting is done. Sort things that appear in 1.1.4

 ROADMAP | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit c35bfffa1057cfe2aeca6fe681ea59aa628f5315
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 12:39:45 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 12:39:45 2006 -0700

    Add new pdf-features test to exercise cairo_pdf_surface_set_size

 test/.gitignore  | 2 ++
 test/Makefile.am | 5 +++++
 2 files changed, 7 insertions(+)

commit eb1b102e9a9e16cfc38948f8d37e08f263d10f7c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 12:39:23 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 12:39:23 2006 -0700

    PDF: Add new cairo_pdf_surface_set_size for doing per-page size changes

 src/cairo-pdf-surface.c | 90 ++++++++++++++++++++++++++++++++++++++++---------
 src/cairo-pdf.h         |  5 +++
 2 files changed, 80 insertions(+), 15 deletions(-)

commit 5448278d6e9c7452f855f8b262295818b27c5a11
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 12:38:49 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 12:38:49 2006 -0700

    ps-features: Minor touchups (missing include, typo in error message)

 test/ps-features.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit a4fc0c2e2c9ce52750f43dabc2be5daeb8aee9c4
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 11:10:24 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 11:11:25 2006 -0700

    PS: Use ceil, not rounding when computing integers for BoundingBox

 src/cairo-ps-surface.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e91b2c87ccf75e1c4935f1593dfdd10b1992de34
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Wed May 3 14:53:25 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Wed May 3 14:53:25 2006 +0200

    SVG: Emit "svg" version in document_finish.
    
    At least when there's something valid in document->svg_version.

 src/cairo-svg-surface.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 5336cf5a984cdeb4d4887cd3c643a3e051aca338
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Wed May 3 14:47:01 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Wed May 3 14:47:01 2006 +0200

    SVG: Only "comp-op" property when svg_version >= 1.2

 src/cairo-svg-surface.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 57ddc7a8699eac61af2086546130081b897aa3a2
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Wed May 3 14:29:54 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Wed May 3 14:29:54 2006 +0200

    SVG: Emit correct version property of "svg" element.

 src/cairo-svg-surface.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 3ee4bae92071b63ace5570795cf57cb94b06257d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 01:58:03 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 01:58:03 2006 -0700

    Increment CAIRO_VERSION to 1.1.5 after making the 1.1.4 snapshot

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 044bc5b2a51558046bc2d0bc3a8a50897571674a
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 01:31:51 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 01:32:05 2006 -0700

    Update version to 1.1.4 and add notes to NEWS file.
    
    Also update libtool version information to 7:0:5.

 NEWS | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

commit 7cf6bcaeca168394074413925c35c0cf2f3fb12a
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 01:29:24 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 01:30:55 2006 -0700

    RELEASING: Replace references to ChangeLog with git log commands (and improve those)

 RELEASING    | 25 ++++++++++++++-----------
 configure.in |  6 +++---
 2 files changed, 17 insertions(+), 14 deletions(-)

commit 65dd361c49a984a508cb53153a45612028fa49ef
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 01:18:06 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 01:18:06 2006 -0700

    SVG: Enable the SVG backend to be built by default (if dependencies are met)

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6acc836df28e0e97e4d0a146c96f04f9a4db30c4
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 00:57:28 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 00:57:28 2006 -0700

    Add backend-specific reference images to EXTRA_DIST so they'll go out in the tar file.

 test/Makefile.am | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit b6fefaef9bd280715366a44d9f0bef91471e8e3a
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 00:56:34 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 00:56:34 2006 -0700

    ROADMAP: Indicate that PS printing-oriented API is done now.

 ROADMAP | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 09dfd6c3c16ed36b0e9693cfcbb3b679bd18f585
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed May 3 00:26:22 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed May 3 00:26:22 2006 -0700

    PS: Add three new public functions for emitting DSC comments.
    
    This commit adds the following new functions to the cairo-ps API:
    
            cairo_ps_surface_dsc_comment
            cairo_ps_surface_dsc_begin_setup
            cairo_ps_surface_dsc_begin_page_setup
    
    Many thanks are due to Michael Sweet who provided invaluble guidance
    during the design of this API.
    
    It is hoped that with this API in place, basically all printer control
    that is likely to be desired to be performed with cairo PostScript
    output is now possible.
    
    This commit augments the ps-features test to exercise the new API.

 doc/public/tmpl/cairo-status.sgml |   1 +
 src/cairo-array.c                 |   4 +-
 src/cairo-ps-surface.c            | 271 +++++++++++++++++++++++++++++++++++++-
 src/cairo-ps.h                    |  12 +-
 src/cairo.c                       |   4 +-
 src/cairo.h                       |   4 +-
 test/ps-features.c                |  54 +++++---
 7 files changed, 325 insertions(+), 25 deletions(-)

commit 253472492ee2a690646a30b32cf8180f5b6e3299
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 2 16:54:49 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 2 16:57:27 2006 -0700

    pdf2png: Use new poppler_page_render to render directly through cairo.
    
    ...as opposed to using poppler_page_render_to_pixbuf.

 test/pdf2png.c | 38 +++++++++++++++++++++++++++-----------
 1 file changed, 27 insertions(+), 11 deletions(-)

commit e7459428dc87f7372dd7d5bd903341d619ee726f
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Tue May 2 23:37:23 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Tue May 2 23:37:23 2006 +0200

    SVG: Convert SVG file with a resolution of 72 dpi.
    
    That means 1 point = 1 pixel

 test/svg2png.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 1264ae9af4f4aa3bc9f6495e84a7888cd16809da
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Tue May 2 23:35:06 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Tue May 2 23:35:06 2006 +0200

    SVG: Really use width and height in point unit.
    
    I guess it makes more sense to use a unit for
    specifying image size that doesn't depend on context.

 src/cairo-svg-surface.c | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

commit 773692b7df9f0ccf250f259c1bc430c343765651
Merge: bd85701b4 8488aaee1
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Tue May 2 21:52:41 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Tue May 2 21:52:41 2006 +0200

    Merge branch 'master' of git+ssh://emmanuel@git.cairographics.org/git/cairo

commit bd85701b4f97f0750df050c1a8d995f103a52fc1
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Tue May 2 21:48:11 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Tue May 2 21:48:11 2006 +0200

    SVG: Minor documentation fixes.

 src/cairo-svg-surface.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 8488aaee1a8f25d3cc9bf2af986b32710cea91f0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 2 12:36:23 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 2 12:36:35 2006 -0700

    PS: Add cairo_ps_surface_set_size along with ps-features test
    
    Add a new cairo_ps_surface_set_size which can be used to produce a
    PostScript file consisting of pages of various different sizes (or
    orientations).
    
    Also add a new test (ps-features.c) for testing this and subsequent
    ps-specific function calls.

 src/.gitignore         |   1 +
 src/cairo-ps-surface.c | 113 ++++++++++++++++++++++++++++++++++-------
 src/cairo-ps.h         |   5 ++
 test/.gitignore        |   2 +
 test/Makefile.am       |   5 ++
 test/ps-features.c     | 135 +++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 243 insertions(+), 18 deletions(-)

commit e59f35291fa5f97acfe408b7bce8652ec20566c8
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue May 2 11:36:41 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 2 11:38:29 2006 -0700

    atsui: Add missing check of return-value of malloc.
    
    This addresses the original problem noted in mozilla's bug #336129:
    
            Missing out-of-memory check at gfx/cairo/cairo/src/cairo-atsui-font.c:185
            https://bugzilla.mozilla.org/show_bug.cgi?id=336129
    
    This also adds a comment pointing out another malloc that is not
    checked, (but does not fix it).

 src/cairo-atsui-font.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 41e288a88023cac9ced77099bceced41cf526a99
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 1 15:44:58 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue May 2 11:38:28 2006 -0700

    Make backend-specific function set a surface error on type mismatch.
    
    If any backend-specific, surface-modifying function is called with
    the wrong surface type we set an error on that surface.

 src/cairo-surface.c      |  2 +-
 src/cairo-xcb-surface.c  |  5 +++--
 src/cairo-xlib-surface.c | 19 +++++++++++--------
 src/cairoint.h           |  4 ++++
 4 files changed, 19 insertions(+), 11 deletions(-)

commit 0e4527c67e623801544be05de32f21a0c10e5b5d
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Tue May 2 14:50:40 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Tue May 2 14:50:40 2006 +0200

    SVG: Rework of API for SVG selection.
    
    I've removed cairo_svg_surface_create_xxx functions, and instead implemented
    the following ones:
    
    cairo_svg_surface_restrict_to_version
    cairo_svg_get_versions
    cairo_svg_version_to_string

 doc/public/cairo-sections.txt  |   7 +-
 doc/public/tmpl/cairo-svg.sgml |  79 ----------------
 src/cairo-svg-surface.c        | 209 +++++++++++++++++------------------------
 src/cairo-svg.h                |  41 ++++----
 4 files changed, 109 insertions(+), 227 deletions(-)

commit 32f120e4888fd9344f699fd47c1aea6a5ec3df8e
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 1 15:12:46 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 1 15:12:46 2006 -0700

    Don't return void from void-returning function (fix #6792).
    
    It's a dumb part of the C standard and it's even dumber when compilers are
    picky about it. But oh, well.

 src/cairo-paginated-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df2f05876d754ecc4fbc5aee53080bdd672d0de9
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 1 14:54:57 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 1 14:54:57 2006 -0700

    ROADMAP: Mark bug #4705 as fixed.

 ROADMAP | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87bd00326e0b6ac2ac29939d0ab1e59d9ab05a47
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 1 14:52:25 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 1 14:52:25 2006 -0700

    Fix silly typo from previous commit.

 src/cairo-xlib-surface.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8dff692db6e7083633fc9b81548b0554a985fabd
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon May 1 10:17:08 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon May 1 14:50:48 2006 -0700

    Support multiple glyph image formats within the same font (fix #4705).
    
    If we find a glyph image of a format that is different from the font's
    format, then we use a temporary image and convert to the font's
    format.
    
    This provides a simple fix for the crash identified in bug #4705:
    
            crash at XRenderAddGlyphs
            https://bugs.freedesktop.org/show_bug.cgi?id=4705
    
    A later improvement would guarantee that the "font's format" was
    carefully chosen to be able to contain all glyphs in the font without
    information loss.

 src/cairo-xlib-surface.c | 61 +++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 48 insertions(+), 13 deletions(-)

commit 0c927c53880f9ece2903a9b2c7843aaff1c78dec
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 23:23:02 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 23:23:02 2006 +0200

    SVG: Add reference images for tests failing on 1 digit error on color.

 test/caps-joins-alpha-svg-argb32-ref.png | Bin 0 -> 2454 bytes
 test/caps-joins-alpha-svg-rgb24-ref.png  | Bin 0 -> 2454 bytes
 test/linear-gradient-svg-argb32-ref.png  | Bin 0 -> 12707 bytes
 test/linear-gradient-svg-rgb24-ref.png   | Bin 0 -> 12707 bytes
 test/mask-ctm-svg-argb32-ref.png         | Bin 0 -> 108 bytes
 test/mask-ctm-svg-rgb24-ref.png          | Bin 0 -> 118 bytes
 test/mask-surface-ctm-svg-argb32-ref.png | Bin 0 -> 108 bytes
 test/mask-surface-ctm-svg-rgb24-ref.png  | Bin 0 -> 118 bytes
 test/mask-svg-argb32-ref.png             | Bin 0 -> 87715 bytes
 test/mask-svg-rgb24-ref.png              | Bin 0 -> 81874 bytes
 test/set-source-svg-argb32-ref.png       | Bin 0 -> 104 bytes
 test/set-source-svg-rgb24-ref.png        | Bin 0 -> 104 bytes
 test/trap-clip-svg-argb32-ref.png        | Bin 0 -> 71765 bytes
 test/trap-clip-svg-rgb24-ref.png         | Bin 0 -> 73066 bytes
 14 files changed, 0 insertions(+), 0 deletions(-)

commit e3b3402eb82786c4b1faf0d25b6ed322bf5545aa
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 23:21:37 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 23:21:37 2006 +0200

    SVG: Correct use of paginated surface. Fix emit of alpha filter.

 src/cairo-svg-surface.c | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit 8e5ada5201dd8a39026e8973d2590fec5ebf2d00
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:53:46 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:53:46 2006 +0200

    SVG: Trivial indentation and comment fixes.

 src/cairo-svg-surface.c | 31 ++++++++++++++++++-------------
 1 file changed, 18 insertions(+), 13 deletions(-)

commit 62831dc10ec7601869a01041c845d5dc2f15db49
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:53:12 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:53:12 2006 +0200

    SVG: Remove outdated comment.

 src/cairo-svg-surface.c | 4 ----
 1 file changed, 4 deletions(-)

commit 22c799d5b3cae2a98ab927b2b38911ac89cac61e
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:52:47 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:52:47 2006 +0200

    SVG: Fix error handling in create_for_document and in composite_image_pattern.

 src/cairo-svg-surface.c | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 6f49f7b76d69c185d6f97e50d8a57914a9a9fca1
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:51:25 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:51:25 2006 +0200

    SVG: Add an additionnal API for creating SVG 1.1 or 1.2 files.
    
    And update documentation.

 doc/public/cairo-sections.txt  |   4 +
 doc/public/tmpl/cairo-svg.sgml |  46 ++++++++++++
 src/cairo-svg-surface.c        | 164 ++++++++++++++++++++++++++++++++++-------
 src/cairo-svg.h                |  18 +++++
 4 files changed, 206 insertions(+), 26 deletions(-)

commit 2e4d0e5ba71fc320e2b96526a28b654231cb9dbe
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:50:42 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:50:42 2006 +0200

    SVG: Some variable/type renaming.

 src/cairo-svg-surface.c | 50 ++++++++++++++++++++++++-------------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

commit e5ea8268b0c693b7b0940d2f638c94dff93e8d9b
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:49:58 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:49:58 2006 +0200

    SVG: Reenable optimisation of CLEAR and SOURCE in paint when there's
    no active clipping path.

 src/cairo-svg-surface.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 55685d7173adc2e13c21f8830aa38ffc7d1e026f
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:49:29 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:49:29 2006 +0200

    SVG: Code cleanup.

 src/cairo-svg-surface.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 926bb6480c0542a0928e8b109009be4b24c81344
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:47:41 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:47:41 2006 +0200

    SVG: Initial support of operators support via image fallbacks.
    
    We need to add a public API that will let user select
    a compatibility level regarding produced SVG files.
    
    This patch also plugs a memleak.

 src/cairo-svg-surface.c | 100 ++++++++++++++++++++++++++++++++----------------
 1 file changed, 67 insertions(+), 33 deletions(-)

commit 061d5088985a5e0b16202a4f031938772749940a
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:43:15 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:43:15 2006 +0200

    SVG: Sort of working implementation of a SVG backend with paginated surface
        support.
    
            Unoptimized and with memory leaks.

 src/cairo-svg-surface.c | 134 +++++++++++++++++++++++++++++++++++-------------
 1 file changed, 97 insertions(+), 37 deletions(-)

commit 59dcb95ce5fed8264bc161979e615609c38ace2d
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:41:12 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:41:12 2006 +0200

    SVG: First pass for analyze-surface support

 src/cairo-svg-surface.c | 92 +++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 85 insertions(+), 7 deletions(-)

commit 0625d4cd3fb6145e7f9a7474d03945a497b12406
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:15:38 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:15:38 2006 +0200

    SVG: Ignore SVG test files.

 test/.gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit d1dcbbb8c34ed160d2b24a9afc8f30ac9de87d91
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Tue Apr 25 22:48:21 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:13:18 2006 +0200

    SVG: Update rgb24 reference files.
    (cherry picked from 7173951535f4b95da37cbf3d51143deeec95e47a commit)

 test/show-text-current-point-svg-rgb24-ref.png | Bin 4236 -> 2398 bytes
 test/text-antialias-gray-svg-rgb24-ref.png     | Bin 1077 -> 1033 bytes
 test/text-antialias-none-svg-rgb24-ref.png     | Bin 1077 -> 1033 bytes
 test/text-antialias-subpixel-svg-rgb24-ref.png | Bin 1077 -> 1033 bytes
 test/text-pattern-svg-rgb24-ref.png            | Bin 2428 -> 2490 bytes
 5 files changed, 0 insertions(+), 0 deletions(-)

commit bdc1c1ac783f1d2bda742ea7150de2c4b0751a29
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:12:20 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:12:20 2006 +0200

    Copy content property when doing a snapshot of a meta surface.

 src/cairo-meta-surface.c | 1 +
 1 file changed, 1 insertion(+)

commit 6a33993b1510d1c0d311f4a10832ab2bc5ea8f4e
Merge: b920dfd3d 3aa5d76d2
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 22:01:38 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 22:01:38 2006 +0200

    Merge branch 'origin'

commit b920dfd3df7ac1a0e49b7417b710f111a3780700
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Mon May 1 21:59:53 2006 +0200
Commit:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
CommitDate: Mon May 1 21:59:53 2006 +0200

    SVG: Reenable operator tests, and rgb24 surface are meta-surfaces.

 test/cairo-test.c | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit 3aa5d76d23ad9005d296fbb852e75924b0933c82
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Sat Apr 29 14:28:21 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Sat Apr 29 14:28:21 2006 -0700

    Add missing file leaky-dash-ref.png

 test/leaky-dash-ref.png | Bin 0 -> 241 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 516ac16de1ac0cab8e2972e2ac1443fd58c39746
Author:     Henning Noren <henning.noren.402@student.lu.se>
AuthorDate: Fri Apr 28 07:04:56 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Fri Apr 28 07:04:56 2006 -0700

    Fix PS Surface Memleak
    
    Fixes leak of 16 bytes when calling _cairo_ps_surface_finish by never freeing
    the closure allocated in _word_wrap_stream_create.

 src/cairo-ps-surface.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 9729fe60246c7d98ddc1f690b924cd10daabf096
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Apr 27 09:54:58 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Apr 27 11:45:38 2006 -0700

    Add line-width-scale test to demonstrate cairo_set_line_width bug

 test/.gitignore                         |   1 +
 test/Makefile.am                        |   2 +
 test/line-width-scale-ps-argb32-ref.png | Bin 0 -> 1470 bytes
 test/line-width-scale-ref.png           | Bin 0 -> 4884 bytes
 test/line-width-scale.c                 | 184 ++++++++++++++++++++++++++++++++
 5 files changed, 187 insertions(+)

commit 5821d88119740dbbd489909f3bde2f41c7e7ce71
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Apr 27 11:45:26 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Apr 27 11:45:26 2006 -0700

    Correct documentation to say "user space", not "user-space" where appropriate.

 src/cairo.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 5515191f84bb837383278495f1f7034e7a97bdce
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Tue Apr 25 21:55:56 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Apr 27 06:50:37 2006 -0700

    Use CLEAR operator in mask.c in order to not trig image fallback
    for polygon masking.
    (cherry picked from 30b2d1c5df9d1c6b536838a6a3407fdfa7198e29 commit)

 test/mask.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 9bca27a1adc89b12905ec95ebb4e006830010df1
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Sun Apr 23 22:55:37 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Apr 27 06:39:41 2006 -0700

    Optimisation of CLEAR operator in meta-surface.
    
    This optimisation takes care to not replay what was done
    before surface is cleared. We don't erase recorded commands
    since we may have earlier snapshots of this surface.
    (cherry picked from 926e2494ca2211e9117ab70fc427208d125e1bd5 commit)

 src/cairo-meta-surface-private.h |  3 +++
 src/cairo-meta-surface.c         | 14 +++++++++++++-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit a7320589207088351c035df55644f1d94600f313
Author:     Emmanuel Pacaud <emmanuel.pacaud@free.fr>
AuthorDate: Thu Apr 20 22:07:52 2006 +0200
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Apr 27 06:36:16 2006 -0700

    Implement paginated create_similar, moving similar images down to PS and PDF.
    
    The new paginated create_similar simply forwards to target backend create_similar.
    
    We maintain the fact that PS and PDF surfaces are returning image
    surfaces for create_similar by moving that explicitly to their own
    create_similar functions.
    
    (This commit is the combination of the following original commits:
    
            6b69e8c012adb4f2fc2ee9c1579fed8214e8f510
            2589db92a4395f8e900dbc4eafc45982f0d985d3
    )

 src/cairo-paginated-surface.c |  9 +--------
 src/cairo-pdf-surface.c       |  7 ++++---
 src/cairo-ps-surface.c        | 15 ++++++++++++++-
 3 files changed, 19 insertions(+), 12 deletions(-)

commit e1be80b02080955e29d17c50118471158593b86f
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Apr 27 06:02:46 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Apr 27 06:02:46 2006 -0700

    paginated: Remove memory leak of analysis surface from _paint_page
    
    Thanks to Henning Noren <henning.noren.402@student.lu.se> for pointing this out.

 src/cairo-paginated-surface.c | 2 ++
 1 file changed, 2 insertions(+)

commit 09a51a4e037473fc104c788c87730b7e97d9fd26
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Thu Apr 27 05:44:57 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Thu Apr 27 05:44:57 2006 -0700

    Add reference to cairo_surface_set_user_data in docs. for cairo_image_surface_create_for_data

 src/cairo-image-surface.c | 3 +++
 1 file changed, 3 insertions(+)

commit 08733a2228ac4b2739355b536adf955d982a40f0
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Apr 26 21:22:58 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Apr 26 21:22:58 2006 -0700

    Move 1.4 schedule up. Add more bugs from sunmoon1997
    
    To hit the Firefox 3 schedule in early 2007 we'll need to have a 1.4 release
    out much sooner. Let's shoot for October 2006 which gives 6 months between
    1.2 and 1.4.
    
    Also, sunmoon1997 has identified a couple more important issues to be fixed
    before 1.2 releases.

 ROADMAP | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b10a0a9a21216bd4ddcc53a566aac409333ef294
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Apr 26 15:13:41 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Apr 26 16:43:59 2006 -0700

    Add a couple more items to the 1.2.0 ROADMAP

 ROADMAP | 2 ++
 1 file changed, 2 insertions(+)

commit c7a45ab49b98225152542370905b593bb8a14188
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Apr 26 14:42:20 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Apr 26 16:43:58 2006 -0700

    Update ROADMAP with suggestions from discussion of 1.1.2 snapshot

 ROADMAP | 7 +++++++
 1 file changed, 7 insertions(+)

commit 9ab4b81a096bd5f9839b90cb2a3cdafa2460fd55
Author:     Christian Biesinger <cbiesinger@web.de>
AuthorDate: Thu Apr 27 00:51:01 2006 +0200
Commit:     Christian Biesinger <cbiesinger@web.de>
CommitDate: Thu Apr 27 00:51:01 2006 +0200

    Use a single LDADD variable instead of a per-test one
    to avoid repeating the list of tests.

 test/Makefile.am | 93 +++++---------------------------------------------------
 1 file changed, 7 insertions(+), 86 deletions(-)

commit 7601a07ae942be8e63263ab7c7e559d7665c3b81
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Apr 26 14:34:02 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Apr 26 14:34:02 2006 -0700

    Remove cairo.def from the generated tar file. It's not useful there.

 ROADMAP         | 230 +++++++++++++++++++++++++++++---------------------------
 src/Makefile.am |   3 -
 2 files changed, 118 insertions(+), 115 deletions(-)

commit 74ec21b2a7f3435cb4f8ab152fdfb9381bb9eef6
Author:     Behdad Esfahbod <behdad@home.(none)>
AuthorDate: Wed Mar 15 14:02:14 2006 -0500
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Apr 26 14:31:36 2006 -0700

    WIN32: Define SHADEBLENDCAPS and SB_NONE if they are not defined. (from Tor Lillqvist)
    (cherry picked from d3ff5228a205ffb29e85907830d5fc72e2ef5358 commit)

 src/cairo-win32-private.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit e0a2e1fd14a53e646fb6b1a861fd9ca78aa6b603
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Apr 26 12:51:54 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Apr 26 12:51:54 2006 -0700

    Add leaky-dash test case demonstrating bug #4863.
    
    Test case for bug #4863:
    
            stroking problems with wide dashed lines
            https://bugs.freedesktop.org/show_bug.cgi?id=4863

 test/.gitignore   |  1 +
 test/Makefile.am  |  3 +++
 test/leaky-dash.c | 68 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 72 insertions(+)

commit e4b3cb1e71549af6910665e99d2a0dd57e30cede
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Apr 26 12:49:58 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Apr 26 12:49:58 2006 -0700

    Remove deleted reference images from Makefile.am

 test/Makefile.am | 33 +--------------------------------
 1 file changed, 1 insertion(+), 32 deletions(-)

commit 7110c168f7edadcedaea74a73b7ac6f095165931
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Wed Apr 26 12:36:22 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Wed Apr 26 12:36:22 2006 -0700

    Remove redeundant -rgb24-ref.png images.
    
    In several cases the -rgb24 reference images were identical to the -ref images.
    So we change the logic to find the latter if the former doesn't exist, and then
    we remove the redundant images.

 test/a8-mask-rgb24-ref.png                          | Bin 128 -> 0 bytes
 test/cairo-test.c                                   |  20 +++++++++++++-------
 test/caps-joins-alpha-rgb24-ref.png                 | Bin 2283 -> 0 bytes
 test/caps-joins-rgb24-ref.png                       | Bin 1398 -> 0 bytes
 test/caps-sub-paths-rgb24-ref.png                   | Bin 186 -> 0 bytes
 test/clip-all-rgb24-ref.png                         | Bin 114 -> 0 bytes
 ...site-integer-translate-over-repeat-rgb24-ref.png | Bin 353 -> 0 bytes
 test/composite-integer-translate-over-rgb24-ref.png | Bin 13041 -> 0 bytes
 ...composite-integer-translate-source-rgb24-ref.png | Bin 14017 -> 0 bytes
 test/create-from-png-rgb24-ref.png                  | Bin 115 -> 0 bytes
 test/create-from-png-stream-rgb24-ref.png           | Bin 115 -> 0 bytes
 test/dash-caps-joins-rgb24-ref.png                  | Bin 2465 -> 0 bytes
 test/dash-offset-negative-rgb24-ref.png             | Bin 170 -> 0 bytes
 test/filter-nearest-offset-rgb24-ref.png            | Bin 254 -> 0 bytes
 test/imagediff.c                                    |  15 +++++++++------
 test/leaky-polygon-rgb24-ref.png                    | Bin 344 -> 0 bytes
 test/line-width-rgb24-ref.png                       | Bin 199 -> 0 bytes
 test/linear-gradient-rgb24-ref.png                  | Bin 11700 -> 0 bytes
 test/move-to-show-surface-rgb24-ref.png             | Bin 115 -> 0 bytes
 test/paint-rgb24-ref.png                            | Bin 116 -> 0 bytes
 test/paint-source-alpha-rgb24-ref.png               | Bin 248 -> 0 bytes
 test/paint-with-alpha-rgb24-ref.png                 | Bin 255 -> 0 bytes
 test/path-data-rgb24-ref.png                        | Bin 523 -> 0 bytes
 test/rectangle-rounding-error-rgb24-ref.png         | Bin 298 -> 0 bytes
 test/self-copy-rgb24-ref.png                        | Bin 291 -> 0 bytes
 test/show-glyphs-many-rgb24-ref.png                 | Bin 115 -> 0 bytes
 test/show-text-current-point-rgb24-ref.png          | Bin 2173 -> 0 bytes
 test/source-clip-rgb24-ref.png                      | Bin 180 -> 0 bytes
 test/surface-pattern-rgb24-ref.png                  | Bin 194 -> 0 bytes
 test/text-antialias-gray-rgb24-ref.png              | Bin 995 -> 0 bytes
 test/text-antialias-none-rgb24-ref.png              | Bin 284 -> 0 bytes
 test/text-antialias-subpixel-rgb24-ref.png          | Bin 1121 -> 0 bytes
 test/transforms-rgb24-ref.png                       | Bin 318 -> 0 bytes
 test/translate-show-surface-rgb24-ref.png           | Bin 115 -> 0 bytes
 test/unantialiased-shapes-rgb24-ref.png             | Bin 4449 -> 0 bytes
 35 files changed, 22 insertions(+), 13 deletions(-)

commit fe8bf47afc11b12034fd2c92caf424c8911d630b
Author:     Zhe Su <james.su@gmail.com>
AuthorDate: Tue Apr 25 10:20:42 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 10:20:42 2006 -0700

    Support fontconfig embeddedbitmap option/handle transformation issue as well.

 src/cairo-ft-font.c | 24 +++++++++++++++++++++---
 1 file changed, 21 insertions(+), 3 deletions(-)

commit 90b7a2d5fc5d195a0e521e48d17a78a98b53b224
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 09:47:30 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 09:47:30 2006 -0700

    Increment CAIRO_VERSION to 1.1.3 after making the 1.1.2 snapshot

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d5dd5e6ebc43db103071b8b86284f4e38572b053
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 09:12:30 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 09:12:30 2006 -0700

    Remove from EXTRA_DIST reference images which don't exist

 test/Makefile.am | 7 -------
 1 file changed, 7 deletions(-)

commit e89de1030eae71da469c9c4c7176d0fdfe0df595
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 08:56:23 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 08:56:23 2006 -0700

    Change release targets as appropriate for a snapshot, not a release.
    
    The big change here is to change the upload directory to be the snapshots directory
    rather than the releases directory. We also use make dist rather than make distcheck
    since there are currently a few tests still failing.

 Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3d6cdc996f3a3f4d54d0d8926daa3973d69e4dc2
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 08:54:59 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 08:54:59 2006 -0700

    Add release vs. snapshot distinction to version increment instructions

 RELEASING | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 68c5382b6cdc442f3057b8e4eed2dfe7084ef7f1
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 08:51:08 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 08:51:08 2006 -0700

    Increment CAIRO_VERSION to 1.1.2 and libtool versioning to 6:0:4

 configure.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3002c6cc8b4722a324de27a20f04ae810b6dc573
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 08:44:45 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 08:44:45 2006 -0700

    Add some notes for the 1.1.2 snapshot

 NEWS      | 113 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 RELEASING |   4 ++-
 2 files changed, 116 insertions(+), 1 deletion(-)

commit a0df6fa696d44533adec1ecec7398e851b2eb37a
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 07:07:48 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 07:07:48 2006 -0700

    Update PS and PDF reference images for change in font options

 test/show-text-current-point-pdf-argb32-ref.png | Bin 2143 -> 3838 bytes
 test/show-text-current-point-ps-argb32-ref.png  | Bin 638 -> 645 bytes
 test/text-antialias-gray-pdf-argb32-ref.png     | Bin 945 -> 1004 bytes
 test/text-antialias-gray-ps-argb32-ref.png      | Bin 305 -> 306 bytes
 test/text-antialias-none-pdf-argb32-ref.png     | Bin 945 -> 1004 bytes
 test/text-antialias-none-ps-argb32-ref.png      | Bin 305 -> 306 bytes
 test/text-antialias-subpixel-pdf-argb32-ref.png | Bin 945 -> 1004 bytes
 test/text-antialias-subpixel-ps-argb32-ref.png  | Bin 305 -> 306 bytes
 8 files changed, 0 insertions(+), 0 deletions(-)

commit 6237437f412d9d007e1c49c33f6e81117b612d39
Merge: 22ab0e5f1 f1c375475
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 07:02:41 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 07:02:41 2006 -0700

    Merge branch 'behdad-colored-fails' into cairo

commit f1c37547530c0c6c134526ea4bac7d11013160f1
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Apr 25 09:58:48 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Tue Apr 25 09:58:48 2006 -0400

    Use white on red for failures.

 test/cairo-test.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9668b6592f805b6e05f9e75354956e4119483b6a
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Apr 25 09:03:26 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Tue Apr 25 09:03:26 2006 -0400

    Set background color to red for test failures printing on a terminal.

 test/cairo-test.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 22ab0e5f1615e28f77d8dc0c8a26929e0f0279b6
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 05:44:08 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 05:44:08 2006 -0700

    Fix default font options for PS and PDF backends.
    
    The paginated surface layer was missing its get_font_options function.
    It now defers to the target surface. The PDF backend already had a
    get_font_options function, but the PS backend was also missing it.
    
    This should fix the problem with 72DPI hinting seen in glyph paths in
    PostScript output.
    
    Thanks to Owen Taylor for identifying this problem and the correct
    fix.

 src/cairo-paginated-surface.c | 11 ++++++++++-
 src/cairo-pdf-surface.c       |  6 +++---
 src/cairo-ps-surface.c        | 12 +++++++++++-
 3 files changed, 24 insertions(+), 5 deletions(-)

commit 6723547f0035e6c41abee165ebefb7406e40b7d8
Merge: 8d635a3aa e912512c6
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Apr 25 08:28:59 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Tue Apr 25 08:28:59 2006 -0400

    Merge branch 'configure-backends'

commit e912512c6ddff517f3afa4635bbaa81a869475c8
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Apr 25 08:26:35 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Tue Apr 25 08:26:35 2006 -0400

    Better message when backends are disabled.

 configure.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 05fc4ca32363366a3637443d525834bc91b5203d
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Apr 25 07:30:16 2006 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Tue Apr 25 07:30:16 2006 -0400

    Unified handling of --enable-backend options.

 configure.in | 203 ++++++++++++++++++++++++++++-------------------------------
 1 file changed, 96 insertions(+), 107 deletions(-)

commit 8d635a3aa967b16de5047eceadf3d350d1169a76
Author:     Keith Packard <keithp@keithp.com>
AuthorDate: Tue Apr 25 04:04:10 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 04:04:10 2006 -0700

    PDF: Execute entire path in user coordinates when stroking so that line params are interpreted correctly

 src/cairo-pdf-surface.c | 95 ++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 86 insertions(+), 9 deletions(-)

commit 134c508bf04d8674af632644095b78256f2e350d
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 03:45:37 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 03:45:37 2006 -0700

    PDF: Add SMask output and simplify analysis to support all OVER operations.
    
    With this SMask support, the PDF backend is now able to handle a very
    large subset of the things that are likely to be thrown at it in
    common operation, (for example, when handling images and text from web
    pages).

 src/cairo-pdf-surface.c | 289 +++++++++++++++++++++++++++++++++---------------
 1 file changed, 199 insertions(+), 90 deletions(-)

commit c0721190438826d7222ed87c36b4e48e57ad0323
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 02:33:18 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 03:26:25 2006 -0700

    PDF: Remove unused backend functions.
    
    Since the switch to using paginated, we have a guarantee that the following functions
    will never be called. So we drop them now:
    
            _cairo_pdf_surface_composite
            _cairo_pdf_surface_fill_rectangles
            _cairo_pdf_surface_composite_trapezoids
            _cairo_pdf_surface_old_show_glyphs

 src/cairo-pdf-surface.c | 366 +-----------------------------------------------
 1 file changed, 4 insertions(+), 362 deletions(-)

commit bef621e870e3d4038e00ed56ad40d726d5a7ca77
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Tue Apr 25 01:56:51 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Tue Apr 25 01:56:51 2006 -0700

    Augment tests to do better testing of paths/images with alpha.
    
    Add a new cairo_test_paint_checkered function so that tests that draw
    with alpha can easily put an easy-to-see checkered background in place
    first.
    
    Add new tests caps-joins-alpha and paint-source-alpha that do simple
    tests of strokes and image painting with source pattern alpha.
    
    Also, add the checkered background to paint-with-alpha for
    consistency.

 test/.gitignore                       |   2 +
 test/Makefile.am                      |   8 +++
 test/cairo-test.c                     |  45 ++++++++++++++++
 test/cairo-test.h                     |   3 ++
 test/caps-joins-alpha-ref.png         | Bin 0 -> 2434 bytes
 test/caps-joins-alpha-rgb24-ref.png   | Bin 0 -> 2283 bytes
 test/caps-joins-alpha.c               |  94 ++++++++++++++++++++++++++++++++++
 test/paint-source-alpha-ref.png       | Bin 0 -> 258 bytes
 test/paint-source-alpha-rgb24-ref.png | Bin 0 -> 248 bytes
 test/paint-source-alpha.c             |  67 ++++++++++++++++++++++++
 test/paint-with-alpha-ref.png         | Bin 164 -> 268 bytes
 test/paint-with-alpha-rgb24-ref.png   | Bin 142 -> 255 bytes
 test/paint-with-alpha.c               |   9 ++--
 13 files changed, 225 insertions(+), 3 deletions(-)

commit a5afc59d0ad90125c0593ab60c8e1e01f51bdc3c
Author:     Carl Worth <cworth@cworth.org>
AuthorDate: Mon Apr 24 16:16:19 2006 -0700
Commit:     Carl Worth <cworth@cworth.org>
CommitDate: Mon Apr 24 16:16:19 2006 -0700

    Add PDF-specific reference image for scale-source-surface-paint
    
    It only fails because the PDF ouput doesn't preserve the NEAREST filter attribute.
    There might be a way to get something like this in the PDF, but it's not the point
    of the test.

